!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 174

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1256)
  integer, parameter :: nGC_149 = 1
  integer, parameter :: nGC_9749 = 2
  integer, parameter :: nGC_69 = 3
  integer, parameter :: nGC_206 = 4
  integer, parameter :: nGC_MZ_GF = 5
  integer, parameter :: nGC_28 = 6
  integer, parameter :: nGC_29 = 7
  integer, parameter :: nGC_9687 = 8
  integer, parameter :: nGC_9686 = 9
  integer, parameter :: nGC_9685 = 10
  integer, parameter :: nGC_22 = 11
  integer, parameter :: nGC_23 = 12
  integer, parameter :: nGC_20 = 13
  integer, parameter :: nGC_21 = 14
  integer, parameter :: nGC_26 = 15
  integer, parameter :: nGC_27 = 16
  integer, parameter :: nGC_24 = 17
  integer, parameter :: nGC_25 = 18
  integer, parameter :: nGC_150 = 19
  integer, parameter :: nGC_9272 = 20
  integer, parameter :: nGC_140 = 21
  integer, parameter :: nGC_GG = 22
  integer, parameter :: nGC_9074 = 23
  integer, parameter :: nGC_9076 = 24
  integer, parameter :: nGC_9071 = 25
  integer, parameter :: nGC_9072 = 26
  integer, parameter :: nGC_9298 = 27
  integer, parameter :: nGC_9299 = 28
  integer, parameter :: nGC_118 = 29
  integer, parameter :: nGC_9199 = 30
  integer, parameter :: nGC_9198 = 31
  integer, parameter :: nGC_9197 = 32
  integer, parameter :: nGC_9196 = 33
  integer, parameter :: nGC_9159 = 34
  integer, parameter :: nGC_9750 = 35
  integer, parameter :: nGC_122 = 36
  integer, parameter :: nGC_123 = 37
  integer, parameter :: nGC_120 = 38
  integer, parameter :: nGC_121 = 39
  integer, parameter :: nGC_9758 = 40
  integer, parameter :: nGC_128 = 41
  integer, parameter :: nGC_129 = 42
  integer, parameter :: nGC_100 = 43
  integer, parameter :: nGC_MMW_GF = 44
  integer, parameter :: nGC_18273 = 45
  integer, parameter :: nGC_9150 = 46
  integer, parameter :: nGC_9185 = 47
  integer, parameter :: nGC_9101 = 48
  integer, parameter :: nGC_9102 = 49
  integer, parameter :: nGC_9103 = 50
  integer, parameter :: nGC_97 = 51
  integer, parameter :: nGC_16488 = 52
  integer, parameter :: nGC_16489 = 53
  integer, parameter :: nGC_GGH = 54
  integer, parameter :: nGC_141 = 55
  integer, parameter :: nGC_I = 56
  integer, parameter :: nGC_109 = 57
  integer, parameter :: nGC_9765 = 58
  integer, parameter :: nGC_70 = 59
  integer, parameter :: nGC_79 = 60
  integer, parameter :: nGC_9751 = 61
  integer, parameter :: nGC_14285 = 62
  integer, parameter :: nGC_14286 = 63
  integer, parameter :: nGC_110 = 64
  integer, parameter :: nGC_9763 = 65
  integer, parameter :: nGC_9148 = 66
  integer, parameter :: nGC_9637 = 67
  integer, parameter :: nGC_3 = 68
  integer, parameter :: nGC_2 = 69
  integer, parameter :: nGC_1 = 70
  integer, parameter :: nGC_7 = 71
  integer, parameter :: nGC_6 = 72
  integer, parameter :: nGC_5 = 73
  integer, parameter :: nGC_4 = 74
  integer, parameter :: nGC_9 = 75
  integer, parameter :: nGC_8 = 76
  integer, parameter :: nGC_48 = 77
  integer, parameter :: nGC_49 = 78
  integer, parameter :: nGC_15682 = 79
  integer, parameter :: nGC_53 = 80
  integer, parameter :: nGC_52 = 81
  integer, parameter :: nGC_51 = 82
  integer, parameter :: nGC_50 = 83
  integer, parameter :: nGC_57 = 84
  integer, parameter :: nGC_56 = 85
  integer, parameter :: nGC_55 = 86
  integer, parameter :: nGC_54 = 87
  integer, parameter :: nGC_59 = 88
  integer, parameter :: nGC_58 = 89
  integer, parameter :: nGC_9242 = 90
  integer, parameter :: nGC_9085 = 91
  integer, parameter :: nGC_9084 = 92
  integer, parameter :: nGC_9087 = 93
  integer, parameter :: nGC_9086 = 94
  integer, parameter :: nGC_9081 = 95
  integer, parameter :: nGC_2320 = 96
  integer, parameter :: nGC_1952 = 97
  integer, parameter :: nGC_ME = 98
  integer, parameter :: nGC_14853 = 99
  integer, parameter :: nGC_143 = 100
  integer, parameter :: nGC_9661 = 101
  integer, parameter :: nGC_9149 = 102
  integer, parameter :: nGC_9662 = 103
  integer, parameter :: nGC_15449 = 104
  integer, parameter :: nGC_9667 = 105
  integer, parameter :: nGC_9666 = 106
  integer, parameter :: nGC_9669 = 107
  integer, parameter :: nGC_9668 = 108
  integer, parameter :: nGC_9147 = 109
  integer, parameter :: nGC_836 = 110
  integer, parameter :: nGC_14311 = 111
  integer, parameter :: nGC_127 = 112
  integer, parameter :: nGC_65 = 113
  integer, parameter :: nGC_1934 = 114
  integer, parameter :: nGC_9319 = 115
  integer, parameter :: nGC_9318 = 116
  integer, parameter :: nGC_MU = 117
  integer, parameter :: nGC_9158 = 118
  integer, parameter :: nGC_9314 = 119
  integer, parameter :: nGC_14797 = 120
  integer, parameter :: nGC_266 = 121
  integer, parameter :: nGC_9243 = 122
  integer, parameter :: nGC_17 = 123
  integer, parameter :: nGC_16 = 124
  integer, parameter :: nGC_15 = 125
  integer, parameter :: nGC_14 = 126
  integer, parameter :: nGC_13 = 127
  integer, parameter :: nGC_12 = 128
  integer, parameter :: nGC_11 = 129
  integer, parameter :: nGC_10 = 130
  integer, parameter :: nGC_19 = 131
  integer, parameter :: nGC_18 = 132
  integer, parameter :: nGC_9694 = 133
  integer, parameter :: nGC_9695 = 134
  integer, parameter :: nGC_17113 = 135
  integer, parameter :: nGC_9363 = 136
  integer, parameter :: nGC_9366 = 137
  integer, parameter :: nGC_9369 = 138
  integer, parameter :: nGC_502 = 139
  integer, parameter :: nGC_96 = 140
  integer, parameter :: nGC_9184 = 141
  integer, parameter :: nGC_9186 = 142
  integer, parameter :: nGC_135 = 143
  integer, parameter :: nGC_134 = 144
  integer, parameter :: nGC_137 = 145
  integer, parameter :: nGC_136 = 146
  integer, parameter :: nGC_131 = 147
  integer, parameter :: nGC_130 = 148
  integer, parameter :: nGC_9748 = 149
  integer, parameter :: nGC_132 = 150
  integer, parameter :: nGC_9746 = 151
  integer, parameter :: nGC_9217 = 152
  integer, parameter :: nGC_138 = 153
  integer, parameter :: nGC_14057 = 154
  integer, parameter :: nGC_14059 = 155
  integer, parameter :: nGC_9722 = 156
  integer, parameter :: nGC_9151 = 157
  integer, parameter :: nGC_94 = 158
  integer, parameter :: nGC_9443 = 159
  integer, parameter :: nGC_9130 = 160
  integer, parameter :: nGC_9133 = 161
  integer, parameter :: nGC_9132 = 162
  integer, parameter :: nGC_9134 = 163
  integer, parameter :: nGC_9073 = 164
  integer, parameter :: nGC_116 = 165
  integer, parameter :: nGC_16543 = 166
  integer, parameter :: nGC_9219 = 167
  integer, parameter :: nGC_9253 = 168
  integer, parameter :: nGC_HHHH = 169
  integer, parameter :: nGC_9156 = 170
  integer, parameter :: nGC_3086 = 171
  integer, parameter :: nGC_3084 = 172
  integer, parameter :: nGC_14421 = 173
  integer, parameter :: nGC_14422 = 174
  integer, parameter :: nGC_14122 = 175
  integer, parameter :: nGC_9419 = 176
  integer, parameter :: nGC_9381 = 177
  integer, parameter :: nGC_16333 = 178
  integer, parameter :: nGC_16334 = 179
  integer, parameter :: nGC_44 = 180
  integer, parameter :: nGC_45 = 181
  integer, parameter :: nGC_46 = 182
  integer, parameter :: nGC_47 = 183
  integer, parameter :: nGC_40 = 184
  integer, parameter :: nGC_41 = 185
  integer, parameter :: nGC_42 = 186
  integer, parameter :: nGC_43 = 187
  integer, parameter :: nGC_9702 = 188
  integer, parameter :: nGC_9251 = 189
  integer, parameter :: nGC_14888 = 190
  integer, parameter :: nGC_14889 = 191
  integer, parameter :: nGC_9254 = 192
  integer, parameter :: nGC_9257 = 193
  integer, parameter :: nGC_14886 = 194
  integer, parameter :: nGC_14887 = 195
  integer, parameter :: nGC_9092 = 196
  integer, parameter :: nGC_9093 = 197
  integer, parameter :: nGC_9090 = 198
  integer, parameter :: nGC_9091 = 199
  integer, parameter :: nGC_9096 = 200
  integer, parameter :: nGC_9097 = 201
  integer, parameter :: nGC_9094 = 202
  integer, parameter :: nGC_9095 = 203
  integer, parameter :: nGC_9114 = 204
  integer, parameter :: nGC_9313 = 205
  integer, parameter :: nGC_9315 = 206
  integer, parameter :: nGC_174 = 207
  integer, parameter :: nGC_9317 = 208
  integer, parameter :: nGC_9316 = 209
  integer, parameter :: nGC_706 = 210
  integer, parameter :: nGC_MM = 211
  integer, parameter :: nGC_9180 = 212
  integer, parameter :: nGC_9181 = 213
  integer, parameter :: nGC_9182 = 214
  integer, parameter :: nGC_9183 = 215
  integer, parameter :: nGC_9175 = 216
  integer, parameter :: nGC_9174 = 217
  integer, parameter :: nGC_9177 = 218
  integer, parameter :: nGC_9176 = 219
  integer, parameter :: nGC_9171 = 220
  integer, parameter :: nGC_9170 = 221
  integer, parameter :: nGC_9173 = 222
  integer, parameter :: nGC_9172 = 223
  integer, parameter :: nGC_14120 = 224
  integer, parameter :: nGC_9179 = 225
  integer, parameter :: nGC_9178 = 226
  integer, parameter :: nGC_18911 = 227
  integer, parameter :: nGC_9678 = 228
  integer, parameter :: nGC_9679 = 229
  integer, parameter :: nGC_9676 = 230
  integer, parameter :: nGC_9218 = 231
  integer, parameter :: nGC_9674 = 232
  integer, parameter :: nGC_9675 = 233
  integer, parameter :: nGC_9672 = 234
  integer, parameter :: nGC_9673 = 235
  integer, parameter :: nGC_9670 = 236
  integer, parameter :: nGC_9671 = 237
  integer, parameter :: nGC_133 = 238
  integer, parameter :: nGC_9680 = 239
  integer, parameter :: nGC_14308 = 240
  integer, parameter :: nGC_9241 = 241
  integer, parameter :: nGC_9240 = 242
  integer, parameter :: nGC_9216 = 243
  integer, parameter :: nGC_9682 = 244
  integer, parameter :: nGC_18253 = 245
  integer, parameter :: nGC_139 = 246
  integer, parameter :: nGC_9244 = 247
  integer, parameter :: nGC_9681 = 248
  integer, parameter :: nGC_9665 = 249
  integer, parameter :: nGC_19028 = 250
  integer, parameter :: nGC_14392 = 251
  integer, parameter :: nGC_14390 = 252
  integer, parameter :: nGC_9189 = 253
  integer, parameter :: nGC_9213 = 254
  integer, parameter :: nGC_780 = 255
  integer, parameter :: nGC_91 = 256
  integer, parameter :: nGC_9211 = 257
  integer, parameter :: nGC_9512 = 258
  integer, parameter :: nGC_9455 = 259
  integer, parameter :: nGC_1066 = 260
  integer, parameter :: nGC_9688 = 261
  integer, parameter :: nGC_14575 = 262
  integer, parameter :: nGC_15397 = 263
  integer, parameter :: nGC_MTA = 264
  integer, parameter :: nGC_9328 = 265
  integer, parameter :: nGC_9602 = 266
  integer, parameter :: nGC_9080 = 267
  integer, parameter :: nGC_9083 = 268
  integer, parameter :: nGC_9372 = 269
  integer, parameter :: nGC_9082 = 270
  integer, parameter :: nGC_9279 = 271
  integer, parameter :: nGC_9377 = 272
  integer, parameter :: nGC_9202 = 273
  integer, parameter :: nGC_9326 = 274
  integer, parameter :: nGC_9353 = 275
  integer, parameter :: nGC_9646 = 276
  integer, parameter :: nGC_15162 = 277
  integer, parameter :: nGC_15163 = 278
  integer, parameter :: nGC_99 = 279
  integer, parameter :: nGC_98 = 280
  integer, parameter :: nGC_95 = 281
  integer, parameter :: nGC_93 = 282
  integer, parameter :: nGC_15169 = 283
  integer, parameter :: nGC_1168 = 284
  integer, parameter :: nGC_9271 = 285
  integer, parameter :: nGC_14690 = 286
  integer, parameter :: nGC_92 = 287
  integer, parameter :: nGC_MW_GF = 288
  integer, parameter :: nGC_75 = 289
  integer, parameter :: nGC_74 = 290
  integer, parameter :: nGC_77 = 291
  integer, parameter :: nGC_76 = 292
  integer, parameter :: nGC_71 = 293
  integer, parameter :: nGC_14599 = 294
  integer, parameter :: nGC_73 = 295
  integer, parameter :: nGC_72 = 296
  integer, parameter :: nGC_9689 = 297
  integer, parameter :: nGC_90 = 298
  integer, parameter :: nGC_9212 = 299
  integer, parameter :: nGC_18254 = 300
  integer, parameter :: nGC_78 = 301
  integer, parameter :: nGC_9632 = 302
  integer, parameter :: nGC_9633 = 303
  integer, parameter :: nGC_9630 = 304
  integer, parameter :: nGC_9631 = 305
  integer, parameter :: nGC_9635 = 306
  integer, parameter :: nGC_HHGG = 307
  integer, parameter :: nGC_19029 = 308
  integer, parameter :: nGC_142 = 309
  integer, parameter :: nGC_9229 = 310
  integer, parameter :: nGC_9228 = 311
  integer, parameter :: nGC_102 = 312
  integer, parameter :: nGC_103 = 313
  integer, parameter :: nGC_104 = 314
  integer, parameter :: nGC_105 = 315
  integer, parameter :: nGC_106 = 316
  integer, parameter :: nGC_107 = 317
  integer, parameter :: nGC_108 = 318
  integer, parameter :: nGC_9220 = 319
  integer, parameter :: nGC_9730 = 320
  integer, parameter :: nGC_9225 = 321
  integer, parameter :: nGC_9224 = 322
  integer, parameter :: nGC_9227 = 323
  integer, parameter :: nGC_9226 = 324
  integer, parameter :: nGC_9119 = 325
  integer, parameter :: nGC_14027 = 326
  integer, parameter :: nGC_GPGMGPGM = 327
  integer, parameter :: nGC_1936 = 328
  integer, parameter :: nGC_1938 = 329
  integer, parameter :: nGC_9643 = 330
  integer, parameter :: nGC_16545 = 331
  integer, parameter :: nGC_9075 = 332
  integer, parameter :: nGC_14802 = 333
  integer, parameter :: nGC_9721 = 334
  integer, parameter :: nGC_101 = 335
  integer, parameter :: nGC_14110 = 336
  integer, parameter :: nGC_9644 = 337
  integer, parameter :: nGC_9641 = 338
  integer, parameter :: nGC_9640 = 339
  integer, parameter :: nGC_9126 = 340
  integer, parameter :: nGC_14119 = 341
  integer, parameter :: nGC_9124 = 342
  integer, parameter :: nGC_9125 = 343
  integer, parameter :: nGC_9122 = 344
  integer, parameter :: nGC_9123 = 345
  integer, parameter :: nGC_9649 = 346
  integer, parameter :: nGC_9121 = 347
  integer, parameter :: nGC_14231 = 348
  integer, parameter :: nGC_9341 = 349
  integer, parameter :: nGC_14330 = 350
  integer, parameter :: nGC_14331 = 351
  integer, parameter :: nGC_9297 = 352
  integer, parameter :: nGC_9290 = 353
  integer, parameter :: nGC_16783 = 354
  integer, parameter :: nGC_9131 = 355
  integer, parameter :: nGC_16786 = 356
  integer, parameter :: nGC_16785 = 357
  integer, parameter :: nGC_214 = 358
  integer, parameter :: nGC_1022 = 359
  integer, parameter :: nGC_210 = 360
  integer, parameter :: nGC_1026 = 361
  integer, parameter :: nGC_9157 = 362
  integer, parameter :: nGC_16416 = 363
  integer, parameter :: nGC_14341 = 364
  integer, parameter :: nGC_14340 = 365
  integer, parameter :: nGC_14343 = 366
  integer, parameter :: nGC_16544 = 367
  integer, parameter :: nGC_HHH = 368
  integer, parameter :: nGC_9463 = 369
  integer, parameter :: nGC_9089 = 370
  integer, parameter :: nGC_83 = 371
  integer, parameter :: nGC_9549 = 372
  integer, parameter :: nGC_14618 = 373
  integer, parameter :: nGC_9546 = 374
  integer, parameter :: nGC_16542 = 375
  integer, parameter :: nGC_9541 = 376
  integer, parameter :: nGC_9543 = 377
  integer, parameter :: nGC_9735 = 378
  integer, parameter :: nGC_9120 = 379
  integer, parameter :: nGC_9303 = 380
  integer, parameter :: nGC_87 = 381
  integer, parameter :: nGC_9088 = 382
  integer, parameter :: nGC_9200 = 383
  integer, parameter :: nGC_9753 = 384
  integer, parameter :: nGC_39 = 385
  integer, parameter :: nGC_9734 = 386
  integer, parameter :: nGC_31 = 387
  integer, parameter :: nGC_30 = 388
  integer, parameter :: nGC_33 = 389
  integer, parameter :: nGC_32 = 390
  integer, parameter :: nGC_35 = 391
  integer, parameter :: nGC_37 = 392
  integer, parameter :: nGC_9207 = 393
  integer, parameter :: nGC_144 = 394
  integer, parameter :: nGC_145 = 395
  integer, parameter :: nGC_146 = 396
  integer, parameter :: nGC_9269 = 397
  integer, parameter :: nGC_17529 = 398
  integer, parameter :: nGC_9300 = 399
  integer, parameter :: nGC_9267 = 400
  integer, parameter :: nGC_148 = 401
  integer, parameter :: nGC_9663 = 402
  integer, parameter :: nGC_9308 = 403
  integer, parameter :: nGC_147 = 404
  integer, parameter :: nGC_9067 = 405
  integer, parameter :: nGC_9066 = 406
  integer, parameter :: nGC_9206 = 407
  integer, parameter :: nGC_9664 = 408
  integer, parameter :: nGC_67 = 409
  integer, parameter :: nGC_9284 = 410
  integer, parameter :: nGC_9283 = 411
  integer, parameter :: nGC_9282 = 412
  integer, parameter :: nGC_9281 = 413
  integer, parameter :: nGC_9280 = 414
  integer, parameter :: nGC_9289 = 415
  integer, parameter :: nGC_9288 = 416
  integer, parameter :: nGC_14800 = 417
  integer, parameter :: nGC_115 = 418
  integer, parameter :: nGC_119 = 419
  integer, parameter :: nGC_9766 = 420
  integer, parameter :: nGC_9162 = 421
  integer, parameter :: nGC_9163 = 422
  integer, parameter :: nGC_9160 = 423
  integer, parameter :: nGC_9161 = 424
  integer, parameter :: nGC_9166 = 425
  integer, parameter :: nGC_9167 = 426
  integer, parameter :: nGC_9164 = 427
  integer, parameter :: nGC_9165 = 428
  integer, parameter :: nGC_9168 = 429
  integer, parameter :: nGC_9169 = 430
  integer, parameter :: nGC_15867 = 431
  integer, parameter :: nGC_14387 = 432
  integer, parameter :: nGC_9764 = 433
  integer, parameter :: nGC_14342 = 434
  integer, parameter :: nGC_9760 = 435
  integer, parameter :: nGC_9761 = 436
  integer, parameter :: nGC_9762 = 437
  integer, parameter :: nGC_9537 = 438
  integer, parameter :: nGC_9603 = 439
  integer, parameter :: nGC_9204 = 440
  integer, parameter :: nGC_9604 = 441
  integer, parameter :: nGC_MI = 442
  integer, parameter :: nGC_MH = 443
  integer, parameter :: nGC_14370 = 444
  integer, parameter :: nGC_14371 = 445
  integer, parameter :: nGC_MC = 446
  integer, parameter :: nGC_MB = 447
  integer, parameter :: nGC_61 = 448
  integer, parameter :: nGC_14077 = 449
  integer, parameter :: nGC_15679 = 450
  integer, parameter :: nGC_MD = 451
  integer, parameter :: nGC_MZ = 452
  integer, parameter :: nGC_14668 = 453
  integer, parameter :: nGC_117 = 454
  integer, parameter :: nGC_9648 = 455
  integer, parameter :: nGC_MS = 456
  integer, parameter :: nGC_9677 = 457
  integer, parameter :: nGC_9190 = 458
  integer, parameter :: nGC_MW = 459
  integer, parameter :: nGC_9752 = 460
  integer, parameter :: nGC_MT = 461
  integer, parameter :: nGC_126 = 462
  integer, parameter :: nGC_9252 = 463
  integer, parameter :: nGC_81 = 464
  integer, parameter :: nGC_124 = 465
  integer, parameter :: nGC_18260 = 466
  integer, parameter :: nGC_9115 = 467
  integer, parameter :: nGC_125 = 468
  integer, parameter :: nGC_9113 = 469
  integer, parameter :: nGC_9112 = 470
  integer, parameter :: nGC_9111 = 471
  integer, parameter :: nGC_9110 = 472
  integer, parameter :: nGC_14666 = 473
  integer, parameter :: nGC_17018 = 474
  integer, parameter :: nGC_9754 = 475
  integer, parameter :: nGC_14209 = 476
  integer, parameter :: nGC_9757 = 477
  integer, parameter :: nGC_9756 = 478
  integer, parameter :: nGC_14204 = 479
  integer, parameter :: nGC_9234 = 480
  integer, parameter :: nGC_9759 = 481
  integer, parameter :: nGC_9201 = 482
  integer, parameter :: nGC_9508 = 483
  integer, parameter :: nGC_17934 = 484
  integer, parameter :: nGC_9205 = 485
  integer, parameter :: nGC_9233 = 486
  integer, parameter :: nGC_38 = 487
  integer, parameter :: nGC_9203 = 488
  integer, parameter :: nGC_114 = 489
  integer, parameter :: nGC_9615 = 490
  integer, parameter :: nGC_14121 = 491
  integer, parameter :: nGC_9767 = 492
  integer, parameter :: nGC_34 = 493
  integer, parameter :: nGC_9451 = 494
  integer, parameter :: nGC_112 = 495
  integer, parameter :: nGC_9465 = 496
  integer, parameter :: nGC_9339 = 497
  integer, parameter :: nGC_9700 = 498
  integer, parameter :: nGC_9357 = 499
  integer, parameter :: nGC_14856 = 500
  integer, parameter :: nGC_9701 = 501
  integer, parameter :: nGC_9438 = 502
  integer, parameter :: nGC_9729 = 503
  integer, parameter :: nGC_9342 = 504
  integer, parameter :: nGC_9343 = 505
  integer, parameter :: nGC_9340 = 506
  integer, parameter :: nGC_9432 = 507
  integer, parameter :: nGC_88 = 508
  integer, parameter :: nGC_89 = 509
  integer, parameter :: nGC_9755 = 510
  integer, parameter :: nGC_80 = 511
  integer, parameter :: nGC_18252 = 512
  integer, parameter :: nGC_82 = 513
  integer, parameter :: nGC_36 = 514
  integer, parameter :: nGC_84 = 515
  integer, parameter :: nGC_85 = 516
  integer, parameter :: nGC_86 = 517
  integer, parameter :: nGC_9306 = 518
  integer, parameter :: nGC_9307 = 519
  integer, parameter :: nGC_111 = 520
  integer, parameter :: nGC_9338 = 521
  integer, parameter :: nGC_9304 = 522
  integer, parameter :: nGC_66 = 523
  integer, parameter :: nGC_9337 = 524
  integer, parameter :: nGC_64 = 525
  integer, parameter :: nGC_9305 = 526
  integer, parameter :: nGC_62 = 527
  integer, parameter :: nGC_63 = 528
  integer, parameter :: nGC_60 = 529
  integer, parameter :: nGC_9488 = 530
  integer, parameter :: nGC_9302 = 531
  integer, parameter :: nGC_9327 = 532
  integer, parameter :: nGC_14583 = 533
  integer, parameter :: nGC_68 = 534
  integer, parameter :: nGC_9268 = 535
  integer, parameter :: nGC_9236 = 536
  integer, parameter :: nGC_9237 = 537
  integer, parameter :: nGC_9270 = 538
  integer, parameter :: nGC_9235 = 539
  integer, parameter :: nGC_9232 = 540
  integer, parameter :: nGC_686 = 541
  integer, parameter :: nGC_9230 = 542
  integer, parameter :: nGC_9231 = 543
  integer, parameter :: nGC_113 = 544
  integer, parameter :: nGC_14615 = 545
  integer, parameter :: nGC_9301 = 546
  integer, parameter :: nGC_9238 = 547
  integer, parameter :: nGC_9239 = 548
  integer, parameter :: nGC_9481 = 549
  integer, parameter :: nGC_9480 = 550
  integer, parameter :: nGC_9482 = 551
  integer, parameter :: nGC_9485 = 552
  integer, parameter :: nGC_9484 = 553
  integer, parameter :: nGC_9486 = 554
  integer, parameter :: nGC_9489 = 555
  integer, parameter :: nGC_9333 = 556
  integer, parameter :: nGC_9332 = 557
  integer, parameter :: nGC_9331 = 558
  integer, parameter :: nGC_9330 = 559
  integer, parameter :: nGC_14037 = 560
  integer, parameter :: nGC_14032 = 561
  integer, parameter :: nGC_14031 = 562
  integer, parameter :: nGC_14030 = 563
  integer, parameter :: nGC_15524 = 564
  integer, parameter :: nGC_15523 = 565
  integer, parameter :: nGC_2250 = 566
  integer, parameter :: nGC_14559 = 567
  integer, parameter :: nGC_9654 = 568
  integer, parameter :: nGC_9655 = 569
  integer, parameter :: nGC_9656 = 570
  integer, parameter :: nGC_9657 = 571
  integer, parameter :: nGC_9650 = 572
  integer, parameter :: nGC_9651 = 573
  integer, parameter :: nGC_9652 = 574
  integer, parameter :: nGC_9653 = 575
  integer, parameter :: nGC_15450 = 576
  integer, parameter :: nGC_15451 = 577
  integer, parameter :: nGC_9658 = 578
  integer, parameter :: nGC_9659 = 579
  integer, parameter :: nGC_14244 = 580
  integer, parameter :: nGC_14321 = 581
  integer, parameter :: nGC_14327 = 582
  integer, parameter :: nGC_2404 = 583
  integer, parameter :: nGC_1036 = 584
  integer, parameter :: nGC_14408 = 585
  integer, parameter :: nGC_14409 = 586
  integer, parameter :: nGC_16817 = 587
  integer, parameter :: nGC_14407 = 588
  integer, parameter :: nGC_20462 = 589
  integer, parameter :: nGC_9413 = 590
  integer, parameter :: nGC_9356 = 591
  integer, parameter :: nGC_9423 = 592
  integer, parameter :: nGC_9470 = 593
  integer, parameter :: nGC_9472 = 594
  integer, parameter :: nGC_9473 = 595
  integer, parameter :: nGC_9474 = 596
  integer, parameter :: nGC_9475 = 597
  integer, parameter :: nGC_9476 = 598
  integer, parameter :: nGC_9477 = 599
  integer, parameter :: nGC_9478 = 600
  integer, parameter :: nGC_9479 = 601
  integer, parameter :: nGC_9420 = 602
  integer, parameter :: nGC_14818 = 603
  integer, parameter :: nGC_9589 = 604
  integer, parameter :: nGC_9575 = 605
  integer, parameter :: nGC_9574 = 606
  integer, parameter :: nGC_9576 = 607
  integer, parameter :: nGC_16725 = 608
  integer, parameter :: nGC_18392 = 609
  integer, parameter :: nGC_15982 = 610
  integer, parameter :: nGC_15983 = 611
  integer, parameter :: nGC_9683 = 612
  integer, parameter :: nGC_15398 = 613
  integer, parameter :: nGC_9684 = 614
  integer, parameter :: nGC_9371 = 615
  integer, parameter :: nGC_9370 = 616
  integer, parameter :: nGC_17102 = 617
  integer, parameter :: nGC_9376 = 618
  integer, parameter :: nGC_9375 = 619
  integer, parameter :: nGC_9374 = 620
  integer, parameter :: nGC_14869 = 621
  integer, parameter :: nGC_9378 = 622
  integer, parameter :: nGC_9565 = 623
  integer, parameter :: nGC_15083 = 624
  integer, parameter :: nGC_9449 = 625
  integer, parameter :: nGC_15403 = 626
  integer, parameter :: nGC_15402 = 627
  integer, parameter :: nGC_724 = 628
  integer, parameter :: nGC_15404 = 629
  integer, parameter :: nGC_15409 = 630
  integer, parameter :: nGC_9440 = 631
  integer, parameter :: nGC_9618 = 632
  integer, parameter :: nGC_14667 = 633
  integer, parameter :: nGC_656 = 634
  integer, parameter :: nGC_14665 = 635
  integer, parameter :: nGC_14663 = 636
  integer, parameter :: nGC_17198 = 637
  integer, parameter :: nGC_14669 = 638
  integer, parameter :: nGC_18576 = 639
  integer, parameter :: nGC_18577 = 640
  integer, parameter :: nGC_14443 = 641
  integer, parameter :: nGC_14444 = 642
  integer, parameter :: nGC_15561 = 643
  integer, parameter :: nGC_15566 = 644
  integer, parameter :: nGC_15567 = 645
  integer, parameter :: nGC_15564 = 646
  integer, parameter :: nGC_14213 = 647
  integer, parameter :: nGC_14212 = 648
  integer, parameter :: nGC_14211 = 649
  integer, parameter :: nGC_14215 = 650
  integer, parameter :: nGC_14214 = 651
  integer, parameter :: nGC_9539 = 652
  integer, parameter :: nGC_9538 = 653
  integer, parameter :: nGC_9534 = 654
  integer, parameter :: nGC_9536 = 655
  integer, parameter :: nGC_9531 = 656
  integer, parameter :: nGC_1368 = 657
  integer, parameter :: nGC_14927 = 658
  integer, parameter :: nGC_9389 = 659
  integer, parameter :: nGC_16006 = 660
  integer, parameter :: nGC_16007 = 661
  integer, parameter :: nGC_16008 = 662
  integer, parameter :: nGC_16009 = 663
  integer, parameter :: nGC_9433 = 664
  integer, parameter :: nGC_14827 = 665
  integer, parameter :: nGC_9408 = 666
  integer, parameter :: nGC_9600 = 667
  integer, parameter :: nGC_17764 = 668
  integer, parameter :: nGC_9400 = 669
  integer, parameter :: nGC_9403 = 670
  integer, parameter :: nGC_9405 = 671
  integer, parameter :: nGC_9404 = 672
  integer, parameter :: nGC_9407 = 673
  integer, parameter :: nGC_9406 = 674
  integer, parameter :: nGC_15063 = 675
  integer, parameter :: nGC_15062 = 676
  integer, parameter :: nGC_15066 = 677
  integer, parameter :: nGC_15065 = 678
  integer, parameter :: nGC_15069 = 679
  integer, parameter :: nGC_9638 = 680
  integer, parameter :: nGC_9391 = 681
  integer, parameter :: nGC_9390 = 682
  integer, parameter :: nGC_9393 = 683
  integer, parameter :: nGC_9392 = 684
  integer, parameter :: nGC_562 = 685
  integer, parameter :: nGC_9394 = 686
  integer, parameter :: nGC_9397 = 687
  integer, parameter :: nGC_9396 = 688
  integer, parameter :: nGC_9399 = 689
  integer, parameter :: nGC_9398 = 690
  integer, parameter :: nGC_15687 = 691
  integer, parameter :: nGC_15686 = 692
  integer, parameter :: nGC_9715 = 693
  integer, parameter :: nGC_9717 = 694
  integer, parameter :: nGC_9716 = 695
  integer, parameter :: nGC_9711 = 696
  integer, parameter :: nGC_9710 = 697
  integer, parameter :: nGC_9713 = 698
  integer, parameter :: nGC_9712 = 699
  integer, parameter :: nGC_14743 = 700
  integer, parameter :: nGC_14629 = 701
  integer, parameter :: nGC_9719 = 702
  integer, parameter :: nGC_9718 = 703
  integer, parameter :: nGC_14747 = 704
  integer, parameter :: nGC_9329 = 705
  integer, parameter :: nGC_9496 = 706
  integer, parameter :: nGC_9494 = 707
  integer, parameter :: nGC_9492 = 708
  integer, parameter :: nGC_9493 = 709
  integer, parameter :: nGC_9490 = 710
  integer, parameter :: nGC_2718 = 711
  integer, parameter :: nGC_9706 = 712
  integer, parameter :: nGC_14630 = 713
  integer, parameter :: nGC_16547 = 714
  integer, parameter :: nGC_16546 = 715
  integer, parameter :: nGC_14482 = 716
  integer, parameter :: nGC_14483 = 717
  integer, parameter :: nGC_14480 = 718
  integer, parameter :: nGC_14481 = 719
  integer, parameter :: nGC_14524 = 720
  integer, parameter :: nGC_9705 = 721
  integer, parameter :: nGC_14523 = 722
  integer, parameter :: nGC_14137 = 723
  integer, parameter :: nGC_14134 = 724
  integer, parameter :: nGC_13998 = 725
  integer, parameter :: nGC_13996 = 726
  integer, parameter :: nGC_14252 = 727
  integer, parameter :: nGC_14315 = 728
  integer, parameter :: nGC_14313 = 729
  integer, parameter :: nGC_14410 = 730
  integer, parameter :: nGC_19030 = 731
  integer, parameter :: nGC_19031 = 732
  integer, parameter :: nGC_14552 = 733
  integer, parameter :: nGC_14006 = 734
  integer, parameter :: nGC_14005 = 735
  integer, parameter :: nGC_20577 = 736
  integer, parameter :: nGC_20576 = 737
  integer, parameter :: nGC_9448 = 738
  integer, parameter :: nGC_9560 = 739
  integer, parameter :: nGC_9445 = 740
  integer, parameter :: nGC_9444 = 741
  integer, parameter :: nGC_9447 = 742
  integer, parameter :: nGC_9446 = 743
  integer, parameter :: nGC_9441 = 744
  integer, parameter :: nGC_20578 = 745
  integer, parameter :: nGC_9367 = 746
  integer, parameter :: nGC_9617 = 747
  integer, parameter :: nGC_9690 = 748
  integer, parameter :: nGC_9691 = 749
  integer, parameter :: nGC_9692 = 750
  integer, parameter :: nGC_9693 = 751
  integer, parameter :: nGC_9696 = 752
  integer, parameter :: nGC_9697 = 753
  integer, parameter :: nGC_9698 = 754
  integer, parameter :: nGC_9699 = 755
  integer, parameter :: nGC_17112 = 756
  integer, parameter :: nGC_17115 = 757
  integer, parameter :: nGC_17114 = 758
  integer, parameter :: nGC_9360 = 759
  integer, parameter :: nGC_9361 = 760
  integer, parameter :: nGC_9362 = 761
  integer, parameter :: nGC_9364 = 762
  integer, parameter :: nGC_9365 = 763
  integer, parameter :: nGC_14874 = 764
  integer, parameter :: nGC_9368 = 765
  integer, parameter :: nGC_9593 = 766
  integer, parameter :: nGC_9594 = 767
  integer, parameter :: nGC_14686 = 768
  integer, parameter :: nGC_14682 = 769
  integer, parameter :: nGC_9591 = 770
  integer, parameter :: nGC_9627 = 771
  integer, parameter :: nGC_9590 = 772
  integer, parameter :: nGC_9621 = 773
  integer, parameter :: nGC_9620 = 774
  integer, parameter :: nGC_9623 = 775
  integer, parameter :: nGC_9622 = 776
  integer, parameter :: nGC_14670 = 777
  integer, parameter :: nGC_9629 = 778
  integer, parameter :: nGC_9628 = 779
  integer, parameter :: nGC_13957 = 780
  integer, parameter :: nGC_13956 = 781
  integer, parameter :: nGC_14398 = 782
  integer, parameter :: nGC_14777 = 783
  integer, parameter :: nGC_14778 = 784
  integer, parameter :: nGC_9744 = 785
  integer, parameter :: nGC_9742 = 786
  integer, parameter :: nGC_9743 = 787
  integer, parameter :: nGC_9740 = 788
  integer, parameter :: nGC_9741 = 789
  integer, parameter :: nGC_14056 = 790
  integer, parameter :: nGC_14058 = 791
  integer, parameter :: nGC_9647 = 792
  integer, parameter :: nGC_16679 = 793
  integer, parameter :: nGC_9442 = 794
  integer, parameter :: nGC_14229 = 795
  integer, parameter :: nGC_16493 = 796
  integer, parameter :: nGC_16492 = 797
  integer, parameter :: nGC_16495 = 798
  integer, parameter :: nGC_16494 = 799
  integer, parameter :: nGC_22199 = 800
  integer, parameter :: nGC_9528 = 801
  integer, parameter :: nGC_9529 = 802
  integer, parameter :: nGC_9523 = 803
  integer, parameter :: nGC_9520 = 804
  integer, parameter :: nGC_9521 = 805
  integer, parameter :: nGC_9524 = 806
  integer, parameter :: nGC_9525 = 807
  integer, parameter :: nGC_14951 = 808
  integer, parameter :: nGC_14291 = 809
  integer, parameter :: nGC_14290 = 810
  integer, parameter :: nGC_16013 = 811
  integer, parameter :: nGC_16012 = 812
  integer, parameter :: nGC_14295 = 813
  integer, parameter :: nGC_20465 = 814
  integer, parameter :: nGC_14427 = 815
  integer, parameter :: nGC_9507 = 816
  integer, parameter :: nGC_9416 = 817
  integer, parameter :: nGC_9417 = 818
  integer, parameter :: nGC_9414 = 819
  integer, parameter :: nGC_9415 = 820
  integer, parameter :: nGC_9412 = 821
  integer, parameter :: nGC_17019 = 822
  integer, parameter :: nGC_9410 = 823
  integer, parameter :: nGC_9411 = 824
  integer, parameter :: nGC_9395 = 825
  integer, parameter :: nGC_17017 = 826
  integer, parameter :: nGC_9418 = 827
  integer, parameter :: nGC_9559 = 828
  integer, parameter :: nGC_9558 = 829
  integer, parameter :: nGC_9557 = 830
  integer, parameter :: nGC_9556 = 831
  integer, parameter :: nGC_9555 = 832
  integer, parameter :: nGC_9554 = 833
  integer, parameter :: nGC_9553 = 834
  integer, parameter :: nGC_596 = 835
  integer, parameter :: nGC_9551 = 836
  integer, parameter :: nGC_594 = 837
  integer, parameter :: nGC_356 = 838
  integer, parameter :: nGC_9388 = 839
  integer, parameter :: nGC_13958 = 840
  integer, parameter :: nGC_9386 = 841
  integer, parameter :: nGC_9384 = 842
  integer, parameter :: nGC_9382 = 843
  integer, parameter :: nGC_9383 = 844
  integer, parameter :: nGC_9380 = 845
  integer, parameter :: nGC_564 = 846
  integer, parameter :: nGC_9626 = 847
  integer, parameter :: nGC_16336 = 848
  integer, parameter :: nGC_16337 = 849
  integer, parameter :: nGC_16335 = 850
  integer, parameter :: nGC_14635 = 851
  integer, parameter :: nGC_9703 = 852
  integer, parameter :: nGC_14636 = 853
  integer, parameter :: nGC_14631 = 854
  integer, parameter :: nGC_9707 = 855
  integer, parameter :: nGC_9704 = 856
  integer, parameter :: nGC_14632 = 857
  integer, parameter :: nGC_9708 = 858
  integer, parameter :: nGC_9709 = 859
  integer, parameter :: nGC_14638 = 860
  integer, parameter :: nGC_14497 = 861
  integer, parameter :: nGC_14082 = 862
  integer, parameter :: nGC_14084 = 863
  integer, parameter :: nGC_15870 = 864
  integer, parameter :: nGC_14088 = 865
  integer, parameter :: nGC_14089 = 866
  integer, parameter :: nGC_18914 = 867
  integer, parameter :: nGC_13962 = 868
  integer, parameter :: nGC_13963 = 869
  integer, parameter :: nGC_13964 = 870
  integer, parameter :: nGC_13969 = 871
  integer, parameter :: nGC_14622 = 872
  integer, parameter :: nGC_9714 = 873
  integer, parameter :: nGC_14067 = 874
  integer, parameter :: nGC_9588 = 875
  integer, parameter :: nGC_14621 = 876
  integer, parameter :: nGC_14626 = 877
  integer, parameter :: nGC_9625 = 878
  integer, parameter :: nGC_18259 = 879
  integer, parameter :: nGC_18258 = 880
  integer, parameter :: nGC_14624 = 881
  integer, parameter :: nGC_18251 = 882
  integer, parameter :: nGC_18257 = 883
  integer, parameter :: nGC_14394 = 884
  integer, parameter :: nGC_14018 = 885
  integer, parameter :: nGC_14017 = 886
  integer, parameter :: nGC_14013 = 887
  integer, parameter :: nGC_9624 = 888
  integer, parameter :: nGC_9511 = 889
  integer, parameter :: nGC_9510 = 890
  integer, parameter :: nGC_9517 = 891
  integer, parameter :: nGC_14009 = 892
  integer, parameter :: nGC_9515 = 893
  integer, parameter :: nGC_9452 = 894
  integer, parameter :: nGC_20466 = 895
  integer, parameter :: nGC_9450 = 896
  integer, parameter :: nGC_9518 = 897
  integer, parameter :: nGC_20463 = 898
  integer, parameter :: nGC_9457 = 899
  integer, parameter :: nGC_20461 = 900
  integer, parameter :: nGC_13959 = 901
  integer, parameter :: nGC_9373 = 902
  integer, parameter :: nGC_680 = 903
  integer, parameter :: nGC_2514 = 904
  integer, parameter :: nGC_9359 = 905
  integer, parameter :: nGC_9358 = 906
  integer, parameter :: nGC_9429 = 907
  integer, parameter :: nGC_9428 = 908
  integer, parameter :: nGC_9355 = 909
  integer, parameter :: nGC_9426 = 910
  integer, parameter :: nGC_9425 = 911
  integer, parameter :: nGC_9424 = 912
  integer, parameter :: nGC_9351 = 913
  integer, parameter :: nGC_9422 = 914
  integer, parameter :: nGC_9421 = 915
  integer, parameter :: nGC_14849 = 916
  integer, parameter :: nGC_15166 = 917
  integer, parameter :: nGC_15167 = 918
  integer, parameter :: nGC_15089 = 919
  integer, parameter :: nGC_15088 = 920
  integer, parameter :: nGC_9580 = 921
  integer, parameter :: nGC_9581 = 922
  integer, parameter :: nGC_9582 = 923
  integer, parameter :: nGC_15086 = 924
  integer, parameter :: nGC_9584 = 925
  integer, parameter :: nGC_15168 = 926
  integer, parameter :: nGC_9587 = 927
  integer, parameter :: nGC_14697 = 928
  integer, parameter :: nGC_14691 = 929
  integer, parameter :: nGC_14699 = 930
  integer, parameter :: nGC_14698 = 931
  integer, parameter :: nGC_18890 = 932
  integer, parameter :: nGC_16365 = 933
  integer, parameter :: nGC_9636 = 934
  integer, parameter :: nGC_17767 = 935
  integer, parameter :: nGC_9634 = 936
  integer, parameter :: nGC_14605 = 937
  integer, parameter :: nGC_14606 = 938
  integer, parameter :: nGC_9639 = 939
  integer, parameter :: nGC_14169 = 940
  integer, parameter :: nGC_15260 = 941
  integer, parameter :: nGC_9739 = 942
  integer, parameter :: nGC_9738 = 943
  integer, parameter :: nGC_9733 = 944
  integer, parameter :: nGC_9732 = 945
  integer, parameter :: nGC_9731 = 946
  integer, parameter :: nGC_9737 = 947
  integer, parameter :: nGC_9736 = 948
  integer, parameter :: nGC_14393 = 949
  integer, parameter :: nGC_17860 = 950
  integer, parameter :: nGC_14026 = 951
  integer, parameter :: nGC_14023 = 952
  integer, parameter :: nGC_9462 = 953
  integer, parameter :: nGC_9352 = 954
  integer, parameter :: nGC_14507 = 955
  integer, parameter :: nGC_14111 = 956
  integer, parameter :: nGC_9645 = 957
  integer, parameter :: nGC_14114 = 958
  integer, parameter :: nGC_9642 = 959
  integer, parameter :: nGC_14508 = 960
  integer, parameter :: nGC_14230 = 961
  integer, parameter :: nGC_14232 = 962
  integer, parameter :: nGC_14236 = 963
  integer, parameter :: nGC_9430 = 964
  integer, parameter :: nGC_14332 = 965
  integer, parameter :: nGC_14333 = 966
  integer, parameter :: nGC_14334 = 967
  integer, parameter :: nGC_14335 = 968
  integer, parameter :: nGC_9347 = 969
  integer, parameter :: nGC_9583 = 970
  integer, parameter :: nGC_14430 = 971
  integer, parameter :: nGC_14007 = 972
  integer, parameter :: nGC_14803 = 973
  integer, parameter :: nGC_9461 = 974
  integer, parameter :: nGC_9460 = 975
  integer, parameter :: nGC_9467 = 976
  integer, parameter :: nGC_9466 = 977
  integer, parameter :: nGC_14804 = 978
  integer, parameter :: nGC_9464 = 979
  integer, parameter :: nGC_9469 = 980
  integer, parameter :: nGC_9468 = 981
  integer, parameter :: nGC_9548 = 982
  integer, parameter :: nGC_9544 = 983
  integer, parameter :: nGC_9545 = 984
  integer, parameter :: nGC_9547 = 985
  integer, parameter :: nGC_9540 = 986
  integer, parameter :: nGC_9458 = 987
  integer, parameter :: nGC_9542 = 988
  integer, parameter :: nGC_9459 = 989
  integer, parameter :: nGC_9586 = 990
  integer, parameter :: nGC_9516 = 991
  integer, parameter :: nGC_14526 = 992
  integer, parameter :: nGC_9514 = 993
  integer, parameter :: nGC_20467 = 994
  integer, parameter :: nGC_9453 = 995
  integer, parameter :: nGC_9519 = 996
  integer, parameter :: nGC_20464 = 997
  integer, parameter :: nGC_14729 = 998
  integer, parameter :: nGC_9660 = 999
  integer, parameter :: nGC_9456 = 1000
  integer, parameter :: nGC_9454 = 1001
  integer, parameter :: nGC_17020 = 1002
  integer, parameter :: nGC_14785 = 1003
  integer, parameter :: nGC_14095 = 1004
  integer, parameter :: nGC_14094 = 1005
  integer, parameter :: nGC_15869 = 1006
  integer, parameter :: nGC_15868 = 1007
  integer, parameter :: nGC_14093 = 1008
  integer, parameter :: nGC_14092 = 1009
  integer, parameter :: nGC_14154 = 1010
  integer, parameter :: nGC_9609 = 1011
  integer, parameter :: nGC_9608 = 1012
  integer, parameter :: nGC_13976 = 1013
  integer, parameter :: nGC_786 = 1014
  integer, parameter :: nGC_9607 = 1015
  integer, parameter :: nGC_9606 = 1016
  integer, parameter :: nGC_9605 = 1017
  integer, parameter :: nGC_16015 = 1018
  integer, parameter :: nGC_14372 = 1019
  integer, parameter :: nGC_14373 = 1020
  integer, parameter :: nGC_14071 = 1021
  integer, parameter :: nGC_14075 = 1022
  integer, parameter :: nGC_22193 = 1023
  integer, parameter :: nGC_9619 = 1024
  integer, parameter :: nGC_14664 = 1025
  integer, parameter :: nGC_17456 = 1026
  integer, parameter :: nGC_17457 = 1027
  integer, parameter :: nGC_14471 = 1028
  integer, parameter :: nGC_14576 = 1029
  integer, parameter :: nGC_14577 = 1030
  integer, parameter :: nGC_9500 = 1031
  integer, parameter :: nGC_9501 = 1032
  integer, parameter :: nGC_9502 = 1033
  integer, parameter :: nGC_9503 = 1034
  integer, parameter :: nGC_9504 = 1035
  integer, parameter :: nGC_9505 = 1036
  integer, parameter :: nGC_9506 = 1037
  integer, parameter :: nGC_9611 = 1038
  integer, parameter :: nGC_9509 = 1039
  integer, parameter :: nGC_15007 = 1040
  integer, parameter :: nGC_15488 = 1041
  integer, parameter :: nGC_9614 = 1042
  integer, parameter :: nGC_326 = 1043
  integer, parameter :: nGC_15008 = 1044
  integer, parameter :: nGC_14279 = 1045
  integer, parameter :: nGC_14276 = 1046
  integer, parameter :: nGC_9354 = 1047
  integer, parameter :: nGC_15182 = 1048
  integer, parameter :: nGC_15183 = 1049
  integer, parameter :: nGC_14858 = 1050
  integer, parameter :: nGC_14805 = 1051
  integer, parameter :: nGC_14857 = 1052
  integer, parameter :: nGC_15178 = 1053
  integer, parameter :: nGC_9348 = 1054
  integer, parameter :: nGC_9349 = 1055
  integer, parameter :: nGC_9439 = 1056
  integer, parameter :: nGC_9434 = 1057
  integer, parameter :: nGC_9435 = 1058
  integer, parameter :: nGC_9436 = 1059
  integer, parameter :: nGC_9437 = 1060
  integer, parameter :: nGC_9346 = 1061
  integer, parameter :: nGC_9431 = 1062
  integer, parameter :: nGC_9344 = 1063
  integer, parameter :: nGC_9345 = 1064
  integer, parameter :: nGC_16014 = 1065
  integer, parameter :: nGC_9487 = 1066
  integer, parameter :: nGC_21472 = 1067
  integer, parameter :: nGC_14299 = 1068
  integer, parameter :: nGC_14580 = 1069
  integer, parameter :: nGC_18196 = 1070
  integer, parameter :: nGC_9334 = 1071
  integer, parameter :: nGC_4190 = 1072
  integer, parameter :: nGC_14614 = 1073
  integer, parameter :: nGC_15829 = 1074
  integer, parameter :: nGC_9728 = 1075
  integer, parameter :: nGC_9483 = 1076
  integer, parameter :: nGC_9720 = 1077
  integer, parameter :: nGC_9336 = 1078
  integer, parameter :: nGC_9335 = 1079
  integer, parameter :: nGC_9723 = 1080
  integer, parameter :: nGC_9724 = 1081
  integer, parameter :: nGC_9725 = 1082
  integer, parameter :: nGC_9726 = 1083
  integer, parameter :: nGC_9727 = 1084
  integer, parameter :: nGC_14034 = 1085
  integer, parameter :: nGC_14033 = 1086
  integer, parameter :: nGC_15526 = 1087
  integer, parameter :: nGC_15527 = 1088
  integer, parameter :: nGC_15525 = 1089
  integer, parameter :: nGC_19626 = 1090
  integer, parameter :: nGC_14749 = 1091
  integer, parameter :: nGC_14748 = 1092
  integer, parameter :: nGC_17492 = 1093
  integer, parameter :: nGC_14740 = 1094
  integer, parameter :: nGC_16558 = 1095
  integer, parameter :: nGC_9552 = 1096
  integer, parameter :: nGC_9550 = 1097
  integer, parameter :: nGC_9498 = 1098
  integer, parameter :: nGC_9499 = 1099
  integer, parameter :: nGC_15452 = 1100
  integer, parameter :: nGC_9497 = 1101
  integer, parameter :: nGC_9495 = 1102
  integer, parameter :: nGC_9491 = 1103
  integer, parameter :: nGC_15489 = 1104
  integer, parameter :: nGC_21449 = 1105
  integer, parameter :: nGC_16824 = 1106
  integer, parameter :: nGC_14323 = 1107
  integer, parameter :: nGC_14322 = 1108
  integer, parameter :: nGC_9385 = 1109
  integer, parameter :: nGC_14845 = 1110
  integer, parameter :: nGC_14970 = 1111
  integer, parameter :: nGC_14971 = 1112
  integer, parameter :: nGC_15091 = 1113
  integer, parameter :: nGC_14637 = 1114
  integer, parameter :: nGC_21610 = 1115
  integer, parameter :: nGC_14525 = 1116
  integer, parameter :: nGC_22440 = 1117
  integer, parameter :: nGC_14403 = 1118
  integer, parameter :: nGC_14138 = 1119
  integer, parameter :: nGC_14314 = 1120
  integer, parameter :: nGC_9471 = 1121
  integer, parameter :: nGC_15261 = 1122
  integer, parameter :: nGC_14969 = 1123
  integer, parameter :: nGC_14733 = 1124
  integer, parameter :: nGC_14819 = 1125
  integer, parameter :: nGC_9579 = 1126
  integer, parameter :: nGC_9578 = 1127
  integer, parameter :: nGC_9571 = 1128
  integer, parameter :: nGC_9570 = 1129
  integer, parameter :: nGC_9573 = 1130
  integer, parameter :: nGC_9572 = 1131
  integer, parameter :: nGC_9577 = 1132
  integer, parameter :: nGC_22490 = 1133
  integer, parameter :: nGC_14008 = 1134
  integer, parameter :: nGC_13965 = 1135
  integer, parameter :: nGC_16726 = 1136
  integer, parameter :: nGC_16282 = 1137
  integer, parameter :: nGC_9596 = 1138
  integer, parameter :: nGC_14623 = 1139
  integer, parameter :: nGC_15984 = 1140
  integer, parameter :: nGC_15985 = 1141
  integer, parameter :: nGC_15986 = 1142
  integer, parameter :: nGC_15987 = 1143
  integer, parameter :: nGC_9566 = 1144
  integer, parameter :: nGC_9567 = 1145
  integer, parameter :: nGC_9564 = 1146
  integer, parameter :: nGC_9562 = 1147
  integer, parameter :: nGC_9563 = 1148
  integer, parameter :: nGC_9561 = 1149
  integer, parameter :: nGC_9568 = 1150
  integer, parameter :: nGC_9569 = 1151
  integer, parameter :: nGC_14860 = 1152
  integer, parameter :: nGC_15628 = 1153
  integer, parameter :: nGC_14158 = 1154
  integer, parameter :: nGC_9379 = 1155
  integer, parameter :: nGC_13973 = 1156
  integer, parameter :: nGC_15313 = 1157
  integer, parameter :: nGC_14395 = 1158
  integer, parameter :: nGC_14019 = 1159
  integer, parameter :: nGC_9387 = 1160
  integer, parameter :: nGC_17832 = 1161
  integer, parameter :: nGC_9601 = 1162
  integer, parameter :: nGC_14374 = 1163
  integer, parameter :: nGC_9513 = 1164
  integer, parameter :: nGC_21405 = 1165
  integer, parameter :: nGC_21403 = 1166
  integer, parameter :: nGC_20468 = 1167
  integer, parameter :: nGC_14692 = 1168
  integer, parameter :: nGC_9599 = 1169
  integer, parameter :: nGC_9598 = 1170
  integer, parameter :: nGC_9610 = 1171
  integer, parameter :: nGC_9592 = 1172
  integer, parameter :: nGC_9612 = 1173
  integer, parameter :: nGC_14786 = 1174
  integer, parameter :: nGC_14780 = 1175
  integer, parameter :: nGC_9616 = 1176
  integer, parameter :: nGC_14683 = 1177
  integer, parameter :: nGC_14047 = 1178
  integer, parameter :: nGC_15006 = 1179
  integer, parameter :: nGC_14043 = 1180
  integer, parameter :: nGC_14040 = 1181
  integer, parameter :: nGC_13982 = 1182
  integer, parameter :: nGC_15453 = 1183
  integer, parameter :: nGC_14062 = 1184
  integer, parameter :: nGC_15090 = 1185
  integer, parameter :: nGC_14172 = 1186
  integer, parameter :: nGC_14173 = 1187
  integer, parameter :: nGC_9613 = 1188
  integer, parameter :: nGC_9427 = 1189
  integer, parameter :: nGC_9597 = 1190
  integer, parameter :: nGC_14446 = 1191
  integer, parameter :: nGC_9350 = 1192
  integer, parameter :: nGC_14445 = 1193
  integer, parameter :: nGC_15568 = 1194
  integer, parameter :: nGC_15569 = 1195
  integer, parameter :: nGC_9595 = 1196
  integer, parameter :: nGC_14779 = 1197
  integer, parameter :: nGC_9585 = 1198
  integer, parameter :: nGC_15184 = 1199
  integer, parameter :: nGC_14694 = 1200
  integer, parameter :: nGC_14693 = 1201
  integer, parameter :: nGC_15462 = 1202
  integer, parameter :: nGC_14859 = 1203
  integer, parameter :: nGC_9535 = 1204
  integer, parameter :: nGC_9530 = 1205
  integer, parameter :: nGC_9533 = 1206
  integer, parameter :: nGC_9532 = 1207
  integer, parameter :: nGC_15179 = 1208
  integer, parameter :: nGC_14166 = 1209
  integer, parameter :: nGC_17768 = 1210
  integer, parameter :: nGC_14514 = 1211
  integer, parameter :: nGC_14511 = 1212
  integer, parameter :: nGC_14512 = 1213
  integer, parameter :: nGC_14513 = 1214
  integer, parameter :: nGC_13977 = 1215
  integer, parameter :: nGC_15193 = 1216
  integer, parameter :: nGC_14083 = 1217
  integer, parameter :: nGC_9522 = 1218
  integer, parameter :: nGC_9526 = 1219
  integer, parameter :: nGC_9527 = 1220
  integer, parameter :: nGC_9409 = 1221
  integer, parameter :: nGC_9401 = 1222
  integer, parameter :: nGC_18354 = 1223
  integer, parameter :: nGC_9402 = 1224
  integer, parameter :: nGC_14292 = 1225
  integer, parameter :: nGC_14115 = 1226
  integer, parameter :: nGC_14750 = 1227
  integer, parameter :: nGC_14751 = 1228
  integer, parameter :: nGC_14123 = 1229
  integer, parameter :: nGC_15689 = 1230
  integer, parameter :: nGC_15688 = 1231
  integer, parameter :: nGC_14316 = 1232
  integer, parameter :: nGC_14317 = 1233
  integer, parameter :: nGC_22211 = 1234
  integer, parameter :: nGC_14625 = 1235
  integer, parameter :: nGC_21944 = 1236
  integer, parameter :: nGC_14125 = 1237
  integer, parameter :: nGC_14124 = 1238
  integer, parameter :: nGC_14893 = 1239
  integer, parameter :: nGC_14892 = 1240
  integer, parameter :: nGC_14411 = 1241
  integer, parameter :: nGC_14412 = 1242
  integer, parameter :: nGC_16727 = 1243
  integer, parameter :: nGC_14347 = 1244
  integer, parameter :: nGC_14346 = 1245
  integer, parameter :: nGC_19034 = 1246
  integer, parameter :: nGC_19035 = 1247
  integer, parameter :: nGC_14972 = 1248
  integer, parameter :: nGC_14486 = 1249
  integer, parameter :: nGC_14487 = 1250
  integer, parameter :: nGC_14781 = 1251
  integer, parameter :: nGC_14085 = 1252
  integer, parameter :: nGC_15009 = 1253
  integer, parameter :: nGC_13979 = 1254
  integer, parameter :: nGC_13978 = 1255
  integer, parameter :: nGC_13991 = 1256
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
