!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_149) = -sqrt(2d0)*cima*yup/2d0
    coupl(nGC_69) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_206) = cima/(2d0*cMW)
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_28) = -cima*ee**2d0/(2d0*sw**2d0) - cima*lam/2d0
    coupl(nGC_29) = -cima*ee**2d0/(2d0*sw**2d0) - cima*lam/2d0 - cima*ee**2d0/(&
                    2d0*cw**2d0)
    coupl(nGC_22) = -cima*lam/2d0
    coupl(nGC_23) = -cima*lam
    coupl(nGC_20) = -cima*gs**2d0
    coupl(nGC_21) = cima*gs**2d0
    coupl(nGC_26) = cima*ee**2d0/(4d0*sw**2d0) - cima*lam/2d0
    coupl(nGC_27) = cima*ee**2d0/(4d0*sw**2d0) - cima*lam/2d0 + cima*ee**2d0/( &
                    4d0*cw**2d0)
    coupl(nGC_24) = -3d0*cima*lam/2d0
    coupl(nGC_25) = -cima*ee**2d0/(4d0*sw**2d0) - cima*lam - cima*ee**2d0/(4d0*&
                    cw**2d0)
    coupl(nGC_150) = sqrt(2d0)*yup/2d0
    coupl(nGC_9272) = -2d0*cima*ee**2d0/sw
    coupl(nGC_140) = -sqrt(2d0)*ys/2d0
    coupl(nGC_9074) = 4d0*cima*ee**2d0/sw**3d0
    coupl(nGC_9076) = cima*ee**2d0/sw**3d0
    coupl(nGC_9071) = -3d0*cima*vev/2d0
    coupl(nGC_9072) = -3d0*cima*lam/2d0
    coupl(nGC_9298) = cima*ee*sw/cw
    coupl(nGC_9299) = cima*ee/cw
    coupl(nGC_118) = cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/(4d0*&
                     cw)
    coupl(nGC_9199) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_9198) = -ee**2d0/sw
    coupl(nGC_9197) = -cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_9196) = cima*ee**2d0/cw
    coupl(nGC_9159) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_122) = -cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev&
                      - cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_123) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*vev &
                      + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_120) = cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/(2d0*&
                     cw)
    coupl(nGC_121) = -cima*cw**2d0*ee**2d0*vev/(4d0*sw**2d0) - cima*ee**2d0*vev&
                     /2d0 - cima*ee**2d0*sw**2d0*vev/(4d0*cw**2d0)
    coupl(nGC_128) = -sqrt(2d0)*cima*yc/2d0
    coupl(nGC_129) = sqrt(2d0)*yc/2d0
    coupl(nGC_100) = cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_9150) = -sqrt(2d0)*cima/2d0
    coupl(nGC_9185) = sqrt(2d0)/2d0
    coupl(nGC_9101) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_9102) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **2d0*sw**3d0)
    coupl(nGC_9103) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **3d0*sw**2d0)
    coupl(nGC_97) = -ee**2d0*vev/(4d0*cw**2d0)
    coupl(nGC_141) = -sqrt(2d0)*cima*ys/2d0
    coupl(nGC_I) = cima
    coupl(nGC_109) = ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_70) = cima*ee**2d0/(2d0*sw)
    coupl(nGC_79) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_110) = -cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_9148) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_3) = -cima*ee
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_7) = -cima*ee**2d0
    coupl(nGC_6) = 2d0*cima*ee
    coupl(nGC_5) = -2d0*cima*ee
    coupl(nGC_4) = cima*ee
    coupl(nGC_9) = -2d0*cima*ee**2d0
    coupl(nGC_8) = cima*ee**2d0
    coupl(nGC_48) = -cima*ee**2d0/sw**2d0
    coupl(nGC_49) = cima*ee**2d0/sw**2d0
    coupl(nGC_53) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_52) = ee**2d0/(4d0*sw**2d0)
    coupl(nGC_51) = 2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_50) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_57) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_56) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_55) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_54) = -cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_59) = -cima*ee/(2d0*sw)
    coupl(nGC_58) = -ee/(2d0*sw)
    coupl(nGC_9242) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_9085) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_9084) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_9087) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_9086) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_9081) = -cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_2320) = -2d0*coupl(nGC_48)
    coupl(nGC_1952) = -coupl(nGC_20) + coupl(nGC_21)
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_143) = -sqrt(2d0)*cima*yt/2d0
    coupl(nGC_9149) = -sqrt(2d0)/2d0
    coupl(nGC_9147) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_836) = 2d0*coupl(nGC_21)
    coupl(nGC_127) = cima*yc
    coupl(nGC_65) = -2d0*cima*cw*ee/sw
    coupl(nGC_1934) = coupl(nGC_20) - coupl(nGC_21)
    coupl(nGC_9319) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_9318) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_9158) = -2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_9314) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_266) = -coupl(nGC_3)
    coupl(nGC_9243) = cima*ee
    coupl(nGC_17) = -2d0*gs
    coupl(nGC_16) = ee**2d0/(2d0*cw)
    coupl(nGC_15) = cima*ee**2d0/(2d0*cw)
    coupl(nGC_14) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_13) = -ee**2d0/(2d0*cw)
    coupl(nGC_12) = ee**2d0/(4d0*cw**2d0)
    coupl(nGC_11) = -ee**2d0/(4d0*cw**2d0)
    coupl(nGC_10) = 2d0*cima*ee**2d0
    coupl(nGC_19) = cima*gs
    coupl(nGC_18) = -gs
    coupl(nGC_502) = -2d0*coupl(nGC_8)
    coupl(nGC_96) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_9184) = -sqrt(2d0)/2d0
    coupl(nGC_9186) = -sqrt(2d0)*cima/2d0
    coupl(nGC_135) = -sqrt(2d0)*cima*ye/2d0
    coupl(nGC_134) = -sqrt(2d0)*ye/2d0
    coupl(nGC_137) = -sqrt(2d0)*ym/2d0
    coupl(nGC_136) = -cima*ym
    coupl(nGC_131) = -sqrt(2d0)*ydo/2d0
    coupl(nGC_130) = -cima*ydo
    coupl(nGC_132) = -sqrt(2d0)*cima*ydo/2d0
    coupl(nGC_9217) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_138) = -sqrt(2d0)*cima*ym/2d0
    coupl(nGC_9151) = -sqrt(2d0)*cima/2d0
    coupl(nGC_94) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 - cima* &
                    ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_9130) = -cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_9133) = cima*ee**2d0/sw**2d0
    coupl(nGC_9132) = cima*ee**2d0/(2d0*sw)
    coupl(nGC_9134) = -cima*ee**2d0/sw**3d0
    coupl(nGC_9073) = -4d0*cima*ee**2d0/sw**2d0
    coupl(nGC_116) = -cima*ee**2d0*vev/(2d0*sw**2d0) - cima*lam*vev/2d0 - cima*&
                     ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_9219) = cima*ee/(2d0*sw)
    coupl(nGC_9253) = -3d0*cima/2d0
    coupl(nGC_9156) = sqrt(2d0)/2d0
    coupl(nGC_3086) = -coupl(nGC_50)
    coupl(nGC_3084) = coupl(nGC_50)/2d0
    coupl(nGC_44) = -ee**2d0/(4d0*sw**2d0)
    coupl(nGC_45) = -cima*ee**2d0/(4d0*sw**2d0)
    coupl(nGC_46) = -cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_47) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_40) = cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
    coupl(nGC_41) = cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
    coupl(nGC_42) = cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
    coupl(nGC_43) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_9251) = -2d0*cima*ee
    coupl(nGC_9254) = -2d0*cima*ee**2d0
    coupl(nGC_9257) = 2d0*cima*gs**2d0
    coupl(nGC_9092) = 2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_9093) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_9090) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_9091) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_9096) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_9097) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_9094) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_9095) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_9114) = -cima*ee**2d0*vev/sw
    coupl(nGC_9313) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_9315) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_174) = cima*gs
    coupl(nGC_9317) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_9316) = cima*ee/3d0
    coupl(nGC_706) = -coupl(nGC_129)
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_9180) = -sqrt(2d0)*cima/2d0
    coupl(nGC_9181) = -sqrt(2d0)*cima/2d0
    coupl(nGC_9182) = sqrt(2d0)/2d0
    coupl(nGC_9183) = -sqrt(2d0)*cima/2d0
    coupl(nGC_9175) = -sqrt(2d0)*cima/2d0
    coupl(nGC_9174) = -sqrt(2d0)/2d0
    coupl(nGC_9177) = -cima*cw*ee/sw**2d0
    coupl(nGC_9176) = cima*cw*ee/sw
    coupl(nGC_9171) = -sqrt(2d0)*cima/2d0
    coupl(nGC_9170) = -sqrt(2d0)/2d0
    coupl(nGC_9173) = -sqrt(2d0)*cima/2d0
    coupl(nGC_9172) = -sqrt(2d0)/2d0
    coupl(nGC_9179) = -sqrt(2d0)/2d0
    coupl(nGC_9178) = cima*ee/sw
    coupl(nGC_9218) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_133) = -cima*ye
    coupl(nGC_9241) = ee**2d0/cw
    coupl(nGC_9240) = -4d0*cima*ee**2d0
    coupl(nGC_9216) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_139) = -cima*ys
    coupl(nGC_9244) = -cima*ee
    coupl(nGC_9189) = -cima*ee**2d0/sw
    coupl(nGC_9213) = -4d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_780) = -coupl(nGC_150)
    coupl(nGC_91) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0/2d0 -   &
                    cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
    coupl(nGC_9211) = -4d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_1066) = -coupl(nGC_18)
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_9328) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_9080) = cima*ee**2d0*vev/cw
    coupl(nGC_9083) = -cima*ee**2d0*vev/cw
    coupl(nGC_9082) = cima*ee**2d0/(2d0*cw)
    coupl(nGC_9279) = cima*ee*sw/(3d0*cw)
    coupl(nGC_9202) = 2d0*cima*cw*ee/sw
    coupl(nGC_9326) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_99) = -cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_98) = ee**2d0*vev/(4d0*cw**2d0)
    coupl(nGC_95) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_93) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 - cima* &
                    ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_1168) = -coupl(nGC_131)
    coupl(nGC_9271) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_92) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/2d0 -   &
                    cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
  end subroutine fill_couplings_mdl1
end module fill_couplings1
