!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl2()
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_75) = cima*cw*ee**2d0/sw
    coupl(nGC_74) = -cima*cw*ee**2d0/sw
    coupl(nGC_77) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_76) = -2d0*cima*cw*ee**2d0/sw
    coupl(nGC_71) = -cima*ee**2d0/sw
    coupl(nGC_73) = ee**2d0/sw
    coupl(nGC_72) = ee**2d0/(2d0*sw)
    coupl(nGC_90) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
    coupl(nGC_9212) = 4d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_78) = cima*ee*sw/(3d0*cw)
    coupl(nGC_142) = cima*yt
    coupl(nGC_9229) = -cima*ee/(2d0*sw)
    coupl(nGC_9228) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_102) = -3d0*cima*lam*vev/2d0
    coupl(nGC_103) = -ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_104) = -ee**2d0*vev/(4d0*sw**2d0)
    coupl(nGC_105) = -cima*ee**2d0*vev/(4d0*sw**2d0)
    coupl(nGC_106) = -cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_107) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_108) = ee**2d0*vev/(4d0*sw**2d0)
    coupl(nGC_9220) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_9225) = -ee/(2d0*sw**2d0)
    coupl(nGC_9224) = ee/(2d0*sw)
    coupl(nGC_9227) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_9226) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_9119) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_1936) = coupl(nGC_20) + coupl(nGC_21)
    coupl(nGC_1938) = -coupl(nGC_20) - coupl(nGC_21)
    coupl(nGC_9075) = -cima*ee**2d0/sw**2d0
    coupl(nGC_101) = -cima*lam*vev/2d0
    coupl(nGC_9126) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_9124) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **3d0*sw**2d0)
    coupl(nGC_9125) = -cima*ee**2d0/cw
    coupl(nGC_9122) = -cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw**&
                      2d0)
    coupl(nGC_9123) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **2d0*sw**3d0)
    coupl(nGC_9121) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_9297) = -2d0*cima*ee/3d0
    coupl(nGC_9290) = cima*ee**2d0/sw
    coupl(nGC_9131) = cima*ee**2d0*vev/sw
    coupl(nGC_214) = 1d0/(2d0*cMZ)
    coupl(nGC_1022) = -coupl(nGC_134)
    coupl(nGC_210) = -cima/(2d0*cMW)
    coupl(nGC_1026) = -coupl(nGC_21)
    coupl(nGC_9157) = 2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_9089) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_83) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_9120) = cima*ee**2d0*vev/sw**2d0
    coupl(nGC_9303) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_87) = cw*ee/(2d0*sw) + ee*sw/(2d0*cw)
    coupl(nGC_9088) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_9200) = cima*ee**2d0/sw
    coupl(nGC_39) = cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
    coupl(nGC_31) = -cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
    coupl(nGC_30) = cima*ee**2d0/(2d0*sw**2d0) - cima*lam + cima*ee**2d0/(2d0* &
                    cw**2d0)
    coupl(nGC_33) = -cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
    coupl(nGC_32) = -cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
    coupl(nGC_35) = -cima*cw*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/(4d0*cw)
    coupl(nGC_37) = -cima*cw*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0/(2d0*cw)
    coupl(nGC_9207) = -cima/2d0
    coupl(nGC_144) = sqrt(2d0)*yt/2d0
    coupl(nGC_145) = -cima*ytau
    coupl(nGC_146) = -sqrt(2d0)*ytau/2d0
    coupl(nGC_9269) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_9300) = -cima*ee*sw/cw**2d0
    coupl(nGC_9267) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_148) = cima*yup
    coupl(nGC_9308) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_147) = -sqrt(2d0)*cima*ytau/2d0
    coupl(nGC_9067) = -cima*lam/2d0
    coupl(nGC_9066) = -cima*vev/2d0
    coupl(nGC_9206) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_67) = -ee**2d0/sw
    coupl(nGC_9284) = 2d0*cima*ee**2d0/sw
    coupl(nGC_9283) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_9282) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_9281) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_9280) = cima*ee/(3d0*cw)
    coupl(nGC_9289) = -cima*cw*ee**2d0/sw**2d0
    coupl(nGC_9288) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_115) = -cima*ee**2d0*vev/(2d0*sw**2d0) - cima*lam*vev/2d0
    coupl(nGC_119) = -cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/(2d0&
                     *cw)
    coupl(nGC_9162) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw** &
                      2d0)
    coupl(nGC_9163) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_9160) = -cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_9161) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_9166) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**  &
                      2d0)
    coupl(nGC_9167) = -2d0*cima*cw*ee/sw
    coupl(nGC_9164) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                      2d0)
    coupl(nGC_9165) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_9168) = 2d0*cima*cw*ee/sw**2d0
    coupl(nGC_9169) = -2d0*cima*ee/sw
    coupl(nGC_9204) = 2d0*cima*ee/sw
    coupl(nGC_MI) = -cima
    coupl(nGC_MH) = -cMH**2d0*cima
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_61) = ee/(2d0*sw)
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_117) = -cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/(4d0&
                     *cw)
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_9190) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_126) = -sqrt(2d0)*cima*yb/2d0
    coupl(nGC_9252) = 2d0*cima*ee
    coupl(nGC_81) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
    coupl(nGC_124) = -cima*yb
    coupl(nGC_9115) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_125) = -sqrt(2d0)*yb/2d0
    coupl(nGC_9113) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_9112) = -cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_9111) = -cima*ee**2d0*vev/sw**2d0
    coupl(nGC_9110) = cima*ee**2d0*vev/sw**3d0
    coupl(nGC_9234) = -ee**2d0/cw
    coupl(nGC_9201) = -cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_9205) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_9233) = -gs
    coupl(nGC_38) = cima*cw*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0/(2d0*cw)
    coupl(nGC_9203) = -2d0*cima*cw*ee/sw**2d0
    coupl(nGC_114) = cima*ee**2d0*vev/(4d0*sw**2d0) - cima*lam*vev/2d0 + cima* &
                     ee**2d0*vev/(4d0*cw**2d0)
    coupl(nGC_34) = -cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
    coupl(nGC_112) = -cima*ee**2d0*vev/sw
    coupl(nGC_88) = cima*cw*ee**2d0/(2d0*sw) - cima*ee**2d0*sw/(2d0*cw)
    coupl(nGC_89) = cima*cw*ee**2d0/sw - cima*ee**2d0*sw/cw
    coupl(nGC_80) = cima*ee*sw/cw
    coupl(nGC_82) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_36) = cima*cw*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/(4d0*cw)
    coupl(nGC_84) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(2d0*cw)
    coupl(nGC_85) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_86) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_9306) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_9307) = ee**2d0/sw
    coupl(nGC_111) = cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_9304) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_66) = 2d0*cima*cw*ee/sw
    coupl(nGC_64) = cima*cw*ee/sw
    coupl(nGC_9305) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_62) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_63) = -cima*cw*ee/sw
    coupl(nGC_60) = cima*ee/(2d0*sw)
    coupl(nGC_9302) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_9327) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_68) = -ee**2d0/(2d0*sw)
    coupl(nGC_9268) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_9236) = 2d0*cima*ee**2d0
    coupl(nGC_9237) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_9270) = -4d0*cima*cw*ee**2d0/sw
    coupl(nGC_9235) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_9232) = 4d0*cima*ee**2d0
    coupl(nGC_686) = -coupl(nGC_140)
    coupl(nGC_9230) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_9231) = -2d0*gs
    coupl(nGC_113) = cima*ee**2d0*vev/(4d0*sw**2d0) - cima*lam*vev/2d0
    coupl(nGC_9301) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_9238) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_9239) = 4d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_2250) = -coupl(nGC_61)
    coupl(nGC_2404) = -coupl(nGC_59)
    coupl(nGC_1036) = -2d0*coupl(nGC_21)
    coupl(nGC_724) = -coupl(nGC_137)
    coupl(nGC_656) = -coupl(nGC_144)
    coupl(nGC_1368) = -coupl(nGC_125)
    coupl(nGC_562) = -coupl(nGC_77)/2d0
    coupl(nGC_2718) = -coupl(nGC_81)
    coupl(nGC_596) = -coupl(nGC_10)
    coupl(nGC_594) = coupl(nGC_10)/2d0
    coupl(nGC_356) = -coupl(nGC_63)
    coupl(nGC_564) = -coupl(nGC_77)
    coupl(nGC_680) = -coupl(nGC_64)
    coupl(nGC_2514) = -coupl(nGC_146)
    coupl(nGC_786) = -coupl(nGC_4)
    coupl(nGC_326) = -coupl(nGC_85)
    coupl(nGC_4190) = -coupl(nGC_60)
  end subroutine fill_couplings_mdl2
end module fill_couplings2
