!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_9749) = -cima*dMM_QED2
    coupl(nGC_9687) = -cima*dytau_QED3
    coupl(nGC_9686) = -cima*dym_QED3
    coupl(nGC_9685) = -cima*dye_QED3
    coupl(nGC_GG) = cima*dt_QED1/vev
    coupl(nGC_9750) = -cima*dMTA_QED2
    coupl(nGC_9758) = -cima*dMD_QCD2
    coupl(nGC_18273) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_16488) = coupl(nGC_129)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_16489) = coupl(nGC_129)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
    coupl(nGC_9765) = coupl(nGC_206)*dMW2_QED2
    coupl(nGC_9751) = -cima*dMU_QED2
    coupl(nGC_14285) = coupl(nGC_141)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_14286) = coupl(nGC_141)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_9763) = cima*dMZ2_QED2
    coupl(nGC_9637) = coupl(nGC_9196)*dZee_QED2 + coupl(nGC_9197)*dcw_QED2
    coupl(nGC_15682) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_14853) = coupl(nGC_79)*dZuR_QCD2
    coupl(nGC_9661) = cima*dyup_QED1_QCD2
    coupl(nGC_9662) = cima*dyup_QED3
    coupl(nGC_15449) = coupl(nGC_128)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_9667) = cima*dyc_QED1_QCD2
    coupl(nGC_9666) = -cima*dys_QED3
    coupl(nGC_9669) = -cima*dyb_QED1_QCD2
    coupl(nGC_9668) = cima*dyc_QED3
    coupl(nGC_14311) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_14797) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_9694) = coupl(nGC_9185)*dyup_QED1_QCD2
    coupl(nGC_9695) = coupl(nGC_9185)*dyup_QED3
    coupl(nGC_17113) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_9363) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_9366) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_9369) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_9748) = -cima*dME_QED2
    coupl(nGC_9746) = -cima*dMH2_QED2
    coupl(nGC_14057) = coupl(nGC_127)*dZcR_QCD2/2d0 + coupl(nGC_127)*dZsL_QCD2/&
                       2d0 + coupl(nGC_9667)
    coupl(nGC_14059) = coupl(nGC_127)*dZcR_QED2/2d0 + coupl(nGC_127)*dZsL_QED2/&
                       2d0 + coupl(nGC_9668)
    coupl(nGC_9722) = coupl(nGC_9147)*dZee_QED2 + coupl(nGC_9148)*dsw_QED2
    coupl(nGC_9443) = coupl(nGC_129)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_16543) = coupl(nGC_131)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
    coupl(nGC_14421) = 2d0*coupl(nGC_48)*dZWMinus_QED2 + coupl(nGC_9722)
    coupl(nGC_14422) = -2d0*coupl(nGC_14421)
    coupl(nGC_14122) = coupl(nGC_19)*dZuR_QCD2
    coupl(nGC_9419) = coupl(nGC_130)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9381) = coupl(nGC_1)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_16333) = coupl(nGC_149)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_16334) = coupl(nGC_149)*(dZuL_QCD2 + dZuR_QCD2)/2d0
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
