!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_14027) = coupl(nGC_8)*dZAZ_QED2/2d0
    coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
    coupl(nGC_9643) = coupl(nGC_9198)*dZee_QED2 + coupl(nGC_9199)*dsw_QED2
    coupl(nGC_16545) = coupl(nGC_16543) + coupl(nGC_9673)
    coupl(nGC_14802) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
    coupl(nGC_9721) = coupl(nGC_9176)*dZee_QED2 + coupl(nGC_9177)*dsw_QED2 +   &
                      coupl(nGC_9178)*dcw_QED2
    coupl(nGC_14110) = coupl(nGC_15)*dZH_QED2/2d0 + coupl(nGC_9637)
    coupl(nGC_9644) = coupl(nGC_9092)*dZee_QED2 + coupl(nGC_9093)*dsw_QED2 +   &
                      coupl(nGC_9094)*dcw_QED2
    coupl(nGC_9641) = coupl(nGC_9075)*dZee_QED2 + coupl(nGC_9076)*dsw_QED2
    coupl(nGC_9640) = -cima*dlam_QED4
    coupl(nGC_14119) = coupl(nGC_19)*dZuL_QED2
    coupl(nGC_9649) = coupl(nGC_9071)*dlam_QED4 + coupl(nGC_9072)*dvev_QED1
    coupl(nGC_14231) = coupl(nGC_142)*dZbL_QED2/2d0 + coupl(nGC_142)*dZtR_QED2/&
                       2d0 + coupl(nGC_9672)
    coupl(nGC_9341) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +   &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_4)**&
                      2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 2d0*cMTA**2d0&
                      *cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl(nGC_266)** &
                      2d0 + cMW**2d0*cima*coupl(nGC_3)**2d0 - cMW**2d0*coupl(  &
                      nGC_9))/(8d0*pi**2d0)
    coupl(nGC_14330) = coupl(nGC_79)*dZcR_QCD2
    coupl(nGC_14331) = coupl(nGC_2)*dZAZ_QED2/2d0
    coupl(nGC_16783) = coupl(nGC_137)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_16786) = coupl(nGC_16783) + coupl(nGC_9689)
    coupl(nGC_16785) = -coupl(nGC_16783) - coupl(nGC_9689)
    coupl(nGC_16416) = coupl(nGC_96)*dZH_QED2 + coupl(nGC_96)*dZZ_QED2 + coupl(&
                       nGC_9730)
    coupl(nGC_14341) = coupl(nGC_19)*dZdR_QCD2
    coupl(nGC_14340) = coupl(nGC_19)*dZdR_QED2
    coupl(nGC_14343) = coupl(nGC_19)*dZdL_QCD2
    coupl(nGC_16544) = -coupl(nGC_16543) - coupl(nGC_9673)
    coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
    coupl(nGC_9463) = coupl(nGC_19)**2d0*coupl(nGC_780)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9549) = coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_1066 &
                      ) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
    coupl(nGC_14618) = coupl(nGC_78)*dZdR_QCD2
    coupl(nGC_9546) = coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_1066&
                      ) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
    coupl(nGC_16542) = coupl(nGC_131)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_9541) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(       &
                      nGC_1168)*coupl(nGC_131) + coupl(nGC_130)**2d0 + coupl(  &
                      nGC_132)**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9543) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                      nGC_1168)*coupl(nGC_131) - coupl(nGC_130)**2d0 - coupl(  &
                      nGC_132)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
    coupl(nGC_9735) = coupl(nGC_9297)*dZee_QED2
    coupl(nGC_9753) = -cima*dMC_QED2
    coupl(nGC_9734) = coupl(nGC_9211)*dZee_QED2 + coupl(nGC_9212)*dsw_QED2 +   &
                      coupl(nGC_9213)*dcw_QED2
    coupl(nGC_17529) = coupl(nGC_9640) + coupl(nGC_GPGMGPGM)
    coupl(nGC_9663) = -cima*dydo_QED1_QCD2
    coupl(nGC_9664) = -cima*dydo_QED3
    coupl(nGC_14800) = coupl(nGC_2)*dZtL_QCD2
    coupl(nGC_9766) = coupl(nGC_210)*dMW2_QED2
    coupl(nGC_15867) = coupl(nGC_148)*dZdL_QCD2/2d0 + coupl(nGC_148)*dZuR_QCD2/&
                       2d0 + coupl(nGC_9661)
    coupl(nGC_14387) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_9764) = cima*dMW2_QED2
    coupl(nGC_14342) = coupl(nGC_19)*dZdL_QED2
    coupl(nGC_9760) = -cima*dMS_QCD2
    coupl(nGC_9761) = -cima*dMB_QED2
    coupl(nGC_9762) = -cima*dMB_QCD2
    coupl(nGC_9537) = -coupl(nGC_19)*sq2*(coupl(nGC_127)**2d0 + coupl(nGC_128  &
                      )**2d0 + coupl(nGC_129)*coupl(nGC_706) + 4d0*coupl(nGC_2 &
                      )**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9603) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl( &
                      nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_9604) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(16d0*pi**2d0*Nc**2d0)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
