!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_14370) = coupl(nGC_143)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_14371) = coupl(nGC_143)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_14077) = coupl(nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_15679) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_14668) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_9648) = coupl(nGC_9066)*dlam_QED4 + coupl(nGC_9067)*dvev_QED1
    coupl(nGC_9677) = coupl(nGC_9149)*dyb_QED1_QCD2
    coupl(nGC_9752) = -cima*dMU_QCD2
    coupl(nGC_18260) = coupl(nGC_18254) + coupl(nGC_9752)
    coupl(nGC_14666) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_17018) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_9754) = -cima*dMC_QCD2
    coupl(nGC_14209) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_9757) = -cima*dMD_QED2
    coupl(nGC_9756) = -cima*dMT_QCD2
    coupl(nGC_14204) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_9759) = -cima*dMS_QED2
    coupl(nGC_9508) = coupl(nGC_19)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_17934) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_9615) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_126)**2d0 +  &
                      coupl(nGC_128)**2d0 + coupl(nGC_132)**2d0 + coupl(nGC_141&
                      )**2d0 + coupl(nGC_143)**2d0 + coupl(nGC_149)**2d0)/(16d0&
                      *pi**2d0*Nc)
    coupl(nGC_14121) = coupl(nGC_19)*dZuR_QED2
    coupl(nGC_9767) = coupl(nGC_214)*dMZ2_QED2
    coupl(nGC_9451) = coupl(nGC_131)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9465) = coupl(nGC_150)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9339) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2)**  &
                      2d0 - coupl(nGC_266)**2d0 - coupl(nGC_3)**2d0 - 6d0*coupl&
                      (nGC_4)**2d0)/(48d0*pi**2d0)
    coupl(nGC_9700) = coupl(nGC_9186)*dyup_QED1_QCD2
    coupl(nGC_9357) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_14856) = coupl(nGC_83)*dZuL_QCD2
    coupl(nGC_9701) = coupl(nGC_9186)*dyup_QED3
    coupl(nGC_9438) = coupl(nGC_125)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9729) = coupl(nGC_9282)*dZee_QED2 + coupl(nGC_9283)*dsw_QED2 +   &
                      coupl(nGC_9284)*dcw_QED2
    coupl(nGC_9342) = cima*(Nc*coupl(nGC_126)**2d0 + Nc*coupl(nGC_128)**2d0 +  &
                      Nc*coupl(nGC_132)**2d0 + Nc*coupl(nGC_141)**2d0 + Nc*    &
                      coupl(nGC_143)**2d0 + Nc*coupl(nGC_149)**2d0 + coupl(    &
                      nGC_135)**2d0 + coupl(nGC_138)**2d0 + coupl(nGC_147)**2d0&
                      )/(24d0*pi**2d0)
    coupl(nGC_9343) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_126)**2d0 - 4d0*Nc*cMC**&
                      2d0*cima*coupl(nGC_128)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl&
                      (nGC_132)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_141)**2d0&
                       - 4d0*Nc*cMT**2d0*cima*coupl(nGC_143)**2d0 - 4d0*Nc*cMU &
                      **2d0*cima*coupl(nGC_149)**2d0 - 4d0*cME**2d0*cima*coupl(&
                      nGC_135)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_138)**2d0 -  &
                      4d0*cMTA**2d0*cima*coupl(nGC_147)**2d0 - 2d0*cMW**2d0*   &
                      coupl(nGC_47) - cMZ**2d0*coupl(nGC_96) + 2d0*cima*coupl( &
                      nGC_107)**2d0 + cima*coupl(nGC_123)**2d0)/(16d0*pi**2d0)
    coupl(nGC_9340) = cima*(coupl(nGC_266)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_9432) = (8d0*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_2) + 8d0*coupl&
                      (nGC_130)*coupl(nGC_78)*coupl(nGC_83) - coupl(nGC_131)*  &
                      coupl(nGC_148)*coupl(nGC_150) - coupl(nGC_132)*coupl(    &
                      nGC_148)*coupl(nGC_149))/(32d0*pi**2d0)
    coupl(nGC_9755) = -cima*dMT_QED2
    coupl(nGC_18252) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_9338) = (-Nc*cMB**2d0*cima*coupl(nGC_124)**2d0 - Nc*cMB**2d0*cima&
                      *coupl(nGC_142)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_127)** &
                      2d0 - Nc*cMC**2d0*cima*coupl(nGC_139)**2d0 - Nc*cMD**2d0*&
                      cima*coupl(nGC_130)**2d0 - Nc*cMD**2d0*cima*coupl(nGC_148&
                      )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_127)**2d0 - Nc*cMS** &
                      2d0*cima*coupl(nGC_139)**2d0 - Nc*cMT**2d0*cima*coupl(   &
                      nGC_124)**2d0 - Nc*cMT**2d0*cima*coupl(nGC_142)**2d0 - Nc&
                      *cMU**2d0*cima*coupl(nGC_130)**2d0 - Nc*cMU**2d0*cima*   &
                      coupl(nGC_148)**2d0 - cME**2d0*cima*coupl(nGC_133)**2d0  &
                       - cMM**2d0*cima*coupl(nGC_136)**2d0 - cMTA**2d0*cima*   &
                      coupl(nGC_145)**2d0 - 2d0*cMW**2d0*coupl(nGC_47) - cMZ** &
                      2d0*coupl(nGC_95) + 2d0*cima*coupl(nGC_110)**2d0 + 2d0*  &
                      cima*coupl(nGC_99)**2d0)/(16d0*pi**2d0)
    coupl(nGC_9337) = cima*(Nc*coupl(nGC_124)**2d0 + Nc*coupl(nGC_127)**2d0 +  &
                      Nc*coupl(nGC_130)**2d0 + Nc*coupl(nGC_139)**2d0 + Nc*    &
                      coupl(nGC_142)**2d0 + Nc*coupl(nGC_148)**2d0 + coupl(    &
                      nGC_133)**2d0 + coupl(nGC_136)**2d0 + coupl(nGC_145)**2d0&
                      )/(48d0*pi**2d0)
    coupl(nGC_9488) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl(  &
                      nGC_143)**3d0 - coupl(nGC_143)*coupl(nGC_144)**2d0 + 8d0*&
                      coupl(nGC_143)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_143)*   &
                      coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_14583) = coupl(nGC_145)*dZnu_tauL_QED2/2d0 + coupl(nGC_145)*     &
                       dZtauMinusR_QED2/2d0 + coupl(nGC_9687)
    coupl(nGC_14615) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_9481) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_126) + cMC*   &
                      coupl(nGC_128) + cMD*coupl(nGC_132) + cMS*coupl(nGC_141  &
                      ) + cMT*coupl(nGC_143) + cMU*coupl(nGC_149))/(16d0*pi**  &
                      2d0*Nc)
    coupl(nGC_9480) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_126) - cMC*  &
                      coupl(nGC_128) - cMD*coupl(nGC_132) - cMS*coupl(nGC_141  &
                      ) - cMT*coupl(nGC_143) - cMU*coupl(nGC_149))/(16d0*pi**  &
                      2d0)
    coupl(nGC_9482) = coupl(nGC_138)*(-coupl(nGC_137)**2d0 - coupl(nGC_138)**  &
                      2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(   &
                      nGC_85))/(32d0*pi**2d0)
    coupl(nGC_9485) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_127)*  &
                      coupl(nGC_128)*coupl(nGC_139) - coupl(nGC_140)**2d0*coupl&
                      (nGC_141) - coupl(nGC_141)**3d0 + 8d0*coupl(nGC_141)*    &
                      coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_9484) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_127)*  &
                      coupl(nGC_128)*coupl(nGC_139) - coupl(nGC_141)**3d0 -    &
                      coupl(nGC_141)*coupl(nGC_686)**2d0 + 8d0*coupl(nGC_141)* &
                      coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_9486) = coupl(nGC_141)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9489) = coupl(nGC_143)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9333) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)**2d0)/(16d0*pi**&
                      2d0)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
