!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl6()
    coupl(nGC_15982) = coupl(nGC_150)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_15983) = coupl(nGC_150)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_9683) = coupl(nGC_9150)*dyb_QED1_QCD2
    coupl(nGC_15398) = coupl(nGC_132)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_9684) = coupl(nGC_9150)*dyb_QED3
    coupl(nGC_9371) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(nGC_83&
                      ))/(8d0*pi**2d0)
    coupl(nGC_9370) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(nGC_82&
                      ))/(8d0*pi**2d0)
    coupl(nGC_17102) = coupl(nGC_9765) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_9376) = (coupl(nGC_1)*coupl(nGC_139)**2d0 + 4d0*coupl(nGC_1)*    &
                      coupl(nGC_62)**2d0 + coupl(nGC_128)**2d0*coupl(nGC_2) +  &
                      coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_706) + 4d0*coupl(  &
                      nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0 + 2d0* &
                      coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
    coupl(nGC_9375) = cMU*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_9374) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(nGC_83&
                      ))/(8d0*pi**2d0)
    coupl(nGC_14869) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_90)*dZZA_QED2 + coupl&
                       (nGC_9652)
    coupl(nGC_9378) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9565) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_126)**2d0 - 2d0&
                      *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_132)**2d0 - 2d0*Nc* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_141)**2d0 - 2d0*Nc*cima*&
                      coupl(nGC_128)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*cima*coupl&
                      (nGC_143)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*cima*coupl(    &
                      nGC_149)**2d0*coupl(nGC_2)**2d0 - 2d0*cima*coupl(nGC_135 &
                      )**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_138)**2d0* &
                      coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_147)**2d0*coupl(  &
                      nGC_4)**2d0 + cima*coupl(nGC_47)*coupl(nGC_9) + coupl(   &
                      nGC_266)**2d0*coupl(nGC_47) + coupl(nGC_3)**2d0*coupl(   &
                      nGC_47))/(8d0*pi**2d0)
    coupl(nGC_15083) = coupl(nGC_78)*dZsR_QCD2
    coupl(nGC_9449) = coupl(nGC_1168)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                      1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_15403) = coupl(nGC_132)*dZH_QED2/2d0 + coupl(nGC_9680)
    coupl(nGC_15402) = coupl(nGC_15398) + coupl(nGC_9679)
    coupl(nGC_15404) = coupl(nGC_15397) + coupl(nGC_15403)
    coupl(nGC_15409) = coupl(nGC_123)*dZZA_QED2/2d0
    coupl(nGC_9440) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_140) - coupl(  &
                      nGC_128)**2d0*coupl(nGC_129) - coupl(nGC_129)*coupl(     &
                      nGC_706)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_706) +   &
                      8d0*coupl(nGC_706)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi &
                      **2d0)
    coupl(nGC_9618) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_78)**2d0 -  &
                      coupl(nGC_79)**2d0 - coupl(nGC_82)**2d0 - coupl(nGC_83)**&
                      2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_14667) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_14665) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_14663) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_17198) = coupl(nGC_81)*dZZA_QED2/2d0
    coupl(nGC_14669) = coupl(nGC_14665) + coupl(nGC_9761)
    coupl(nGC_18576) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_18577) = -coupl(nGC_18576)
    coupl(nGC_14443) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/ &
                       2d0
    coupl(nGC_14444) = coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/ &
                       2d0
    coupl(nGC_15561) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_15566) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_78)*dZZA_QED2/2d0
    coupl(nGC_15567) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_82)*dZZA_QED2/2d0
    coupl(nGC_15564) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_14213) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
    coupl(nGC_14212) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_9735)
    coupl(nGC_14211) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
    coupl(nGC_14215) = coupl(nGC_14211) + coupl(nGC_14212)
    coupl(nGC_14214) = coupl(nGC_14212) + coupl(nGC_14213)
    coupl(nGC_9539) = -coupl(nGC_19)*sq2*(-coupl(nGC_127)**2d0 - coupl(nGC_128 &
                      )**2d0 - coupl(nGC_129)*coupl(nGC_706) - 4d0*coupl(nGC_2 &
                      )**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
    coupl(nGC_9538) = -coupl(nGC_19)*sq2*(-coupl(nGC_128)**2d0 - coupl(nGC_129 &
                      )*coupl(nGC_706) - coupl(nGC_139)**2d0 - 4d0*coupl(nGC_2 &
                      )**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83)**2d0 &
                      )/(64d0*pi**2d0)
    coupl(nGC_9534) = -coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(       &
                      nGC_1066) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
    coupl(nGC_9536) = -coupl(nGC_19)*sq2*(coupl(nGC_128)**2d0 + coupl(nGC_129)*&
                      coupl(nGC_706) + coupl(nGC_139)**2d0 + 4d0*coupl(nGC_2)**&
                      2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83)**2d0)/( &
                      64d0*pi**2d0*Nc)
    coupl(nGC_9531) = -coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_1066&
                      ) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
    coupl(nGC_14927) = coupl(nGC_6)*dZAZ_QED2/2d0 + coupl(nGC_65)*dZZ_QED2/2d0 &
                        + coupl(nGC_9657)
    coupl(nGC_9389) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1168)*   &
                      coupl(nGC_131) + coupl(nGC_1)*coupl(nGC_132)**2d0 + 4d0* &
                      coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_130)**2d0*   &
                      coupl(nGC_2))/(32d0*pi**2d0)
    coupl(nGC_16006) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_16007) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_16008) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
  end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
