!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl8()
    coupl(nGC_16546) = -coupl(nGC_16542) - coupl(nGC_9674)
    coupl(nGC_14482) = coupl(nGC_19)*dZtR_QED2
    coupl(nGC_14483) = coupl(nGC_19)*dZtR_QCD2
    coupl(nGC_14480) = coupl(nGC_19)*dZtL_QED2
    coupl(nGC_14481) = coupl(nGC_19)*dZtL_QCD2
    coupl(nGC_14524) = coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/2d0
    coupl(nGC_9705) = coupl(nGC_9181)*dyt_QED3
    coupl(nGC_14523) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
    coupl(nGC_14137) = coupl(nGC_62)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_14134) = coupl(nGC_47)*dZWMinus_QED2 + coupl(nGC_9715)
    coupl(nGC_13998) = coupl(nGC_96)*dZZA_QED2/2d0
    coupl(nGC_13996) = coupl(nGC_66)*dZWMinus_QED2/2d0 + coupl(nGC_9656)
    coupl(nGC_14252) = coupl(nGC_16)*dZWMinus_QED2/2d0 + coupl(nGC_16)*dZZ_QED2&
                       /2d0 + coupl(nGC_72)*dZAZ_QED2/2d0 + coupl(nGC_9633)
    coupl(nGC_14315) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_82)*dZZA_QED2/2d0
    coupl(nGC_14313) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_78)*dZZA_QED2/2d0
    coupl(nGC_14410) = coupl(nGC_19)*dZbL_QCD2
    coupl(nGC_19030) = coupl(nGC_19)*dZsR_QED2
    coupl(nGC_19031) = coupl(nGC_19)*dZsR_QCD2
    coupl(nGC_14552) = coupl(nGC_101)*dZH_QED2/2d0 + coupl(nGC_9648) + coupl(  &
                       nGC_GGH)
    coupl(nGC_14006) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/&
                       2d0
    coupl(nGC_14005) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_9655)
    coupl(nGC_20577) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_20576) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_9448) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1168) - coupl(nGC_1168  &
                      )**2d0*coupl(nGC_131) + 8d0*coupl(nGC_1168)*coupl(nGC_78 &
                      )*coupl(nGC_82) - coupl(nGC_130)*coupl(nGC_148)*coupl(   &
                      nGC_150) - coupl(nGC_131)*coupl(nGC_132)**2d0)/(32d0*pi**&
                      2d0)
    coupl(nGC_9560) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_124)**2d0 - 4d0&
                      *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_127)**2d0 - 4d0*Nc* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_130)**2d0 - 4d0*Nc*cima*&
                      coupl(nGC_1)**2d0*coupl(nGC_139)**2d0 - 4d0*Nc*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_142)**2d0 - 4d0*Nc*cima*coupl(    &
                      nGC_1)**2d0*coupl(nGC_148)**2d0 + 5d0*Nc*cima*coupl(nGC_1&
                      )*coupl(nGC_124)**2d0*coupl(nGC_2) + 5d0*Nc*cima*coupl(  &
                      nGC_1)*coupl(nGC_127)**2d0*coupl(nGC_2) + 5d0*Nc*cima*   &
                      coupl(nGC_1)*coupl(nGC_130)**2d0*coupl(nGC_2) + 5d0*Nc*  &
                      cima*coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_2) + 5d0*&
                      Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*coupl(nGC_2) +  &
                      5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148)**2d0*coupl(nGC_2 &
                      ) - 4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_2)**2d0 -  &
                      4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_2)**2d0 - 4d0* &
                      Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*  &
                      cima*coupl(nGC_139)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*&
                      coupl(nGC_142)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl&
                      (nGC_148)**2d0*coupl(nGC_2)**2d0 - 4d0*cima*coupl(nGC_133&
                      )**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_136)**2d0* &
                      coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_145)**2d0*coupl(  &
                      nGC_4)**2d0 + 3d0*cima*coupl(nGC_47)*coupl(nGC_9) + 3d0* &
                      coupl(nGC_266)**2d0*coupl(nGC_47) + 3d0*coupl(nGC_3)**2d0&
                      *coupl(nGC_47))/(24d0*pi**2d0)
    coupl(nGC_9445) = (-coupl(nGC_1022)**2d0*coupl(nGC_134) + 8d0*coupl(       &
                      nGC_1022)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_1022)*coupl( &
                      nGC_80)*coupl(nGC_85) - coupl(nGC_134)*coupl(nGC_135)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_9444) = (-coupl(nGC_1022)*coupl(nGC_134)**2d0 - coupl(nGC_1022)* &
                      coupl(nGC_135)**2d0 + 8d0*coupl(nGC_134)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_85))/(  &
                      32d0*pi**2d0)
    coupl(nGC_9447) = (-coupl(nGC_137)*coupl(nGC_138)**2d0 - coupl(nGC_137)*   &
                      coupl(nGC_724)**2d0 + 8d0*coupl(nGC_4)**2d0*coupl(nGC_724&
                      ) + 8d0*coupl(nGC_724)*coupl(nGC_80)*coupl(nGC_85))/(32d0&
                      *pi**2d0)
    coupl(nGC_9446) = (-coupl(nGC_137)**2d0*coupl(nGC_724) + 8d0*coupl(nGC_137 &
                      )*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_137)*coupl(nGC_80)*  &
                      coupl(nGC_85) - coupl(nGC_138)**2d0*coupl(nGC_724))/(32d0&
                      *pi**2d0)
    coupl(nGC_9441) = coupl(nGC_19)**2d0*coupl(nGC_706)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_20578) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_9367) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(nGC_85&
                      ))/(8d0*pi**2d0)
    coupl(nGC_9617) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_78)**2d0 +   &
                      coupl(nGC_79)**2d0 + coupl(nGC_82)**2d0 + coupl(nGC_83)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_9690) = coupl(nGC_9184)*dytau_QED3
    coupl(nGC_9691) = coupl(nGC_9173)*dye_QED3
    coupl(nGC_9692) = coupl(nGC_9175)*dym_QED3
    coupl(nGC_9693) = coupl(nGC_9183)*dytau_QED3
    coupl(nGC_9696) = coupl(nGC_9156)*dyc_QED1_QCD2
    coupl(nGC_9697) = coupl(nGC_9156)*dyc_QED3
    coupl(nGC_9698) = coupl(nGC_9182)*dyt_QED1_QCD2
    coupl(nGC_9699) = coupl(nGC_9182)*dyt_QED3
    coupl(nGC_17112) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_17115) = coupl(nGC_17113) + coupl(nGC_9748)
    coupl(nGC_17114) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_9360) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_62)**2d0 + coupl(    &
                      nGC_85)**2d0)/(16d0*pi**2d0)
    coupl(nGC_9361) = cima*sq2**2d0*(Nc*coupl(nGC_1066)**2d0 - 6d0*coupl(nGC_19&
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_9362) = -Nc*cima*coupl(nGC_1066)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_9364) = cima*sq2**2d0*(-Nc*coupl(nGC_1066)**2d0 + 6d0*coupl(     &
                      nGC_19)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_9365) = cima*coupl(nGC_1066)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_14874) = coupl(nGC_47)*dZH_QED2 + coupl(nGC_47)*dZWMinus_QED2 +  &
                       coupl(nGC_9715)
  end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
