!******************************************************************************!
!                                                                              !
!    ctparameter130.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter130.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter130
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter130()
  dZtL_QED2 = (2d0*Ten256*coupl(nGC_2)**2d0 + Ten257*coupl(nGC_143)**2d0 +     &
              Ten258*(coupl(nGC_144)**2d0 - 2d0*coupl(nGC_83)**2d0) + 2d0*     &
              Ten259*coupl(nGC_2)**2d0 + Ten260*(-coupl(nGC_124)**2d0 - 2d0*   &
              coupl(nGC_62)**2d0) + Ten261*coupl(nGC_143)**2d0 + 2d0*Ten264*cMT&
              *rMT*(coupl(nGC_144)**2d0 - 4d0*coupl(nGC_79)*coupl(nGC_83)) +   &
              4d0*Ten265*coupl(nGC_2)**2d0*rMT*(-2d0*cMT + rMT) + 2d0*Ten266*  &
              cMB*coupl(nGC_124)*coupl(nGC_142)*rMT + 2d0*Ten267*coupl(nGC_143 &
              )**2d0*rMT*(cMT + rMT) + 2d0*Ten268*rMT**2d0*(coupl(nGC_144)**2d0&
               - coupl(nGC_79)**2d0 - coupl(nGC_83)**2d0) + 4d0*Ten269*coupl(  &
              nGC_2)**2d0*rMT**2d0 + Ten270*rMT**2d0*(-coupl(nGC_124)**2d0 -   &
              coupl(nGC_142)**2d0 - 2d0*coupl(nGC_62)**2d0) + 2d0*Ten271*coupl(&
              nGC_143)**2d0*rMT**2d0 + pi**2d0*(-coupl(nGC_2)**2d0/pi**2d0 -   &
              coupl(nGC_62)**2d0/pi**2d0 - coupl(nGC_83)**2d0/pi**2d0))/(16d0* &
              pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtL_QED2 = cone*real(dZtL_QED2,kind=dp)
    end if 
end subroutine set_ctparameter130
end module ctparameter130
