!******************************************************************************!
!                                                                              !
!    ctparameter26.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter26.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter26
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter26()
  if (dZbL_QED2_scheme .eq. 1) then
    dZbL_QED2 = (2d0*Ten238*coupl(nGC_1)**2d0 - 2d0*Ten239*coupl(nGC_82)**2d0  &
                 + 2d0*Ten241*coupl(nGC_1)**2d0 + Ten242*(-coupl(nGC_142)**2d0 &
                 - 2d0*coupl(nGC_62)**2d0) - 4d0*Ten248*cMB_reg**2d0*coupl(    &
                nGC_1)**2d0 + 4d0*Ten252*cMB_reg**2d0*coupl(nGC_1)**2d0 + pi** &
                2d0*(-coupl(nGC_1)**2d0/pi**2d0 - coupl(nGC_62)**2d0/pi**2d0 - &
                coupl(nGC_82)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZbL_QED2 = cone*real(dZbL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter26
end module ctparameter26
