!******************************************************************************!
!                                                                              !
!    currents_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info2
  implicit none
  contains
  subroutine fill_current_2(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_GQPlus, P_H, P_WMinus, P_AQ, 3200, check)
    call createCurrent(P_Z, P_bAnti, P_b, 3487, check)
    call createCurrent(P_GQ0, P_G0, P_WMinus, P_WQPlus, 3469, check)
    call createCurrent(P_G0, P_cAnti, P_c, 2022, check)
    call createCurrent(P_Z, P_A, P_Z, P_A, 3947, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 916, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 132, check)
    call createCurrent(P_GQPlus, P_A, P_A, P_GQMinus, 3572, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghA, P_GMinus, 1251, check)
    call createCurrent(P_GQMinus, P_GPlus, P_AQ, 3642, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghWpAnti, P_WPlus, 2073, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 2342, check)
    call createCurrent(P_Z, P_dAnti, P_d, 1417, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, P_HQ, 1058, check)
    call createCurrent(P_ghA, P_GPlus, P_H, P_ghWpAnti, 2486, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 1802, check)
    call createCurrent(P_H, P_A, P_A, P_H, 3941, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WQPlus, 691, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, P_Z, 115, check)
    call createCurrent(P_bAnti, P_b, P_Z, 952, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_H, P_ghZ, 3608, check)
    call createCurrent(P_Z, P_WMinus, P_ghWp, P_ghAAnti, 2887, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, P_HQ, 3675, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghWp, P_ghWpAnti, 3449, check)
    call createCurrent(P_A, P_c, P_cAnti, 2921, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 4009, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, P_A, 1657, check)
    call createCurrent(P_GQPlus, P_H, P_ghWpAnti, P_ghZ, 762, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_GMinus, P_GQPlus, 2196, check)
    call createCurrent(P_g, P_dAnti, P_d, 145, check)
    call createCurrent(P_ZQ, P_Z, P_ghWmAnti, P_ghWm, 2417, check)
    call createCurrent(P_GQPlus, P_GPlus, P_GMinus, P_GQMinus, 1094, check)
    call createCurrent(P_A, P_uAnti, P_u, 3699, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 3336, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 2801, check)
    call createCurrent(P_H, P_H, P_A, P_A, 3966, check)
    call createCurrent(P_A, P_A, P_ghWp, P_ghWpAnti, 3162, check)
    call createCurrent(P_GQMinus, P_WPlus, P_AQ, 3399, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, P_A, 1046, check)
    call createCurrent(P_muPlus, P_muMinus, P_GQ0, 1103, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_A, P_WQMinus, 2427, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, P_HQ, 196, check)
    call createCurrent(P_WQMinus, P_ghZ, P_WPlus, P_ghZAnti, 3761, check)
    call createCurrent(P_GQ0, P_t, P_tAnti, 2636, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 292, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, P_G0, 3366, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 3932, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 3491, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Z, P_WMinus, 482, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 3592, check)
    call createCurrent(P_WQPlus, P_ghWm, P_ghAAnti, 1386, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 1381, check)
    call createCurrent(P_GQPlus, P_tAnti, P_b, 267, check)
    call createCurrent(P_HQ, P_WMinus, P_WPlus, P_HQ, 2659, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 3532, check)
    call createCurrent(P_ghA, P_ghZAnti, P_WMinus, P_WQPlus, 278, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 2023, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, P_A, 2000, check)
    call createCurrent(P_HQ, P_WPlus, P_GQMinus, 3327, check)
    call createCurrent(P_s, P_g, P_sAnti, 3065, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 126, check)
    call createCurrent(P_GPlus, P_H, P_ghZ, P_ghWpAnti, 2372, check)
    call createCurrent(P_WQMinus, P_GPlus, P_HQ, 2300, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_G0, P_ghWm, 2621, check)
    call createCurrent(P_A, P_ghWp, P_ghZAnti, P_WMinus, 1667, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_GQ0, 1000, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 3806, check)
    call createCurrent(P_ZQ, P_Z, P_G0, P_GQ0, 2516, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 2290, check)
    call createCurrent(P_Z, P_WMinus, P_ghWmAnti, P_ghA, 574, check)
    call createCurrent(P_GQMinus, P_WPlus, P_A, P_GQ0, 3743, check)
    call createCurrent(P_GQMinus, P_ghWp, P_GPlus, P_ghWpAnti, 2268, check)
    call createCurrent(P_A, P_g, P_g, P_g, 4006, check)
    call createCurrent(P_ghAAnti, P_H, P_ghWm, P_GPlus, 3137, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghWm, P_WPlus, 1816, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 243, check)
    call createCurrent(P_s, P_cAnti, P_GQPlus, 3420, check)
    call createCurrent(P_WQPlus, P_A, P_ghA, P_ghWpAnti, 1205, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, P_A, 1859, check)
    call createCurrent(P_A, P_tAnti, P_t, 2752, check)
    call createCurrent(P_b, P_bAnti, P_HQ, 227, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 2153, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 3992, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, P_Z, 1761, check)
    call createCurrent(P_GQPlus, P_WMinus, P_WPlus, P_GQMinus, 2306, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_GMinus, P_GPlus, 1275, check)
    call createCurrent(P_GQMinus, P_A, P_GPlus, P_AQ, 3562, check)
    call createCurrent(P_A, P_ghZ, P_ghWpAnti, P_WPlus, 1048, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghZ, P_ghAAnti, 2212, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, P_G0, 3225, check)
    call createCurrent(P_WQMinus, P_Z, P_GPlus, P_GQ0, 1892, check)
    call createCurrent(P_dAnti, P_d, 3832, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghWpAnti, P_WPlus, 1961, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 1769, check)
    call createCurrent(P_GQ0, P_WPlus, P_WQMinus, 67, check)
    call createCurrent(P_s, P_sAnti, P_Z, 891, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 3956, check)
    call createCurrent(P_g, P_H, P_g, 3917, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghWp, P_WQMinus, 2069, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 2615, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 3372, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, P_GQ0, 2599, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 3073, check)
    call createCurrent(P_ZQ, P_GMinus, P_Z, P_GQPlus, 2950, check)
    call createCurrent(P_A, P_ghZAnti, P_ghWm, P_WPlus, 1909, check)
    call createCurrent(P_Z, P_A, P_ghWpAnti, P_ghWp, 2207, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, P_Z, 258, check)
    call createCurrent(P_WMinus, P_Z, P_ghWmAnti, P_ghZ, 1126, check)
    call createCurrent(P_HQ, P_H, P_ghWp, P_ghWpAnti, 3080, check)
    call createCurrent(P_ghAAnti, P_A, P_ghWm, P_WPlus, 1288, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, P_A, 3013, check)
    call createCurrent(P_ZQ, P_GMinus, P_A, P_GQPlus, 794, check)
    call createCurrent(P_WQMinus, P_Z, P_ghA, P_ghWmAnti, 3025, check)
    call createCurrent(P_cAnti, P_g, P_c, 1265, check)
    call createCurrent(P_H, P_ghWm, P_H, P_ghWmAnti, 3204, check)
    call createCurrent(P_ghWp, P_A, P_Z, P_ghWpAnti, 2893, check)
    call createCurrent(P_A, P_cAnti, P_c, 3663, check)
    call createCurrent(P_u, P_dAnti, P_GQMinus, 490, check)
    call createCurrent(P_ghZ, P_G0, P_ghZAnti, P_GQ0, 1216, check)
    call createCurrent(P_WQPlus, P_GMinus, P_AQ, 2167, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 1488, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WQPlus, 3405, check)
    call createCurrent(P_ghZ, P_GPlus, P_H, P_ghWpAnti, 1947, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_G0, P_GQPlus, 1704, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_GMinus, P_ghWp, 1329, check)
    call createCurrent(P_GQMinus, P_nu_mu, P_muPlus, 731, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 912, check)
    call createCurrent(P_HQ, P_cAnti, P_c, 2254, check)
    call createCurrent(P_g, P_tAnti, P_t, 2966, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghAAnti, P_ghA, 2463, check)
    call createCurrent(P_ghWp, P_Z, P_WMinus, P_ghZAnti, 1267, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 753, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_HQ, 3215, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 2696, check)
    call createCurrent(P_WQMinus, P_ghWmAnti, P_A, P_ghZ, 1564, check)
    call createCurrent(P_A, P_Z, P_A, P_A, 3949, check)
    call createCurrent(P_HQ, P_GMinus, P_G0, P_GQPlus, 3782, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 3067, check)
    call createCurrent(P_Z, P_Z, P_Z, P_Z, 4001, check)
    call createCurrent(P_GQ0, P_ghWp, P_ghWpAnti, 2586, check)
    call createCurrent(P_WQPlus, P_Z, P_GMinus, P_HQ, 7, check)
    call createCurrent(P_AQ, P_Z, P_WPlus, P_WQMinus, 1799, check)
    call createCurrent(P_WMinus, P_Z, P_ghWp, P_ghZAnti, 3614, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 3915, check)
    call createCurrent(P_H, P_H, P_Z, P_A, 3894, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_GQ0, 33, check)
    call createCurrent(P_HQ, P_ghWmAnti, P_ghWm, 3260, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 2049, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 3110, check)
    call createCurrent(P_t, P_g, P_tAnti, 722, check)
    call createCurrent(P_ghWpAnti, P_A, P_WPlus, P_ghZ, 2445, check)
    call createCurrent(P_GQPlus, P_ghA, P_GMinus, P_ghAAnti, 2308, check)
    call createCurrent(P_HQ, P_G0, P_ghWp, P_ghWpAnti, 800, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_HQ, 726, check)
    call createCurrent(P_HQ, P_WPlus, P_H, P_WQMinus, 3480, check)
    call createCurrent(P_GQ0, P_Z, P_Z, P_GQ0, 866, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 1856, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghWpAnti, P_WPlus, 506, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghA, P_ghAAnti, 519, check)
    call createCurrent(P_GQMinus, P_A, P_Z, P_GQPlus, 3133, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 699, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 2611, check)
    call createCurrent(P_GMinus, P_G0, P_ghWmAnti, P_ghZ, 575, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_A, P_ghZ, 379, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 853, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_GMinus, P_GQ0, 2937, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 983, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 1621, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 3827, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WQMinus, 1962, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 508, check)
    call createCurrent(P_HQ, P_H, P_ghWm, P_ghWmAnti, 1765, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, P_Z, 87, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghZ, P_ghZAnti, 1844, check)
    call createCurrent(P_G0, P_u, P_uAnti, 2735, check)
    call createCurrent(P_H, P_GPlus, P_ghWm, P_ghZAnti, 2955, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, P_H, 3127, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_HQ, 1825, check)
    call createCurrent(P_ZQ, P_WPlus, P_G0, P_GQMinus, 2414, check)
    call createCurrent(P_muPlus, P_muMinus, 3864, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, P_GQ0, 535, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 15, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 831, check)
    call createCurrent(P_GQ0, P_ghWm, P_GPlus, P_ghAAnti, 168, check)
    call createCurrent(P_GQ0, P_H, P_WPlus, P_WQMinus, 1583, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, P_Z, 3428, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 1533, check)
    call createCurrent(P_WQMinus, P_WPlus, P_WMinus, P_WQPlus, 1878, check)
    call createCurrent(P_dAnti, P_d, P_Z, 3030, check)
    call createCurrent(P_ghA, P_Z, P_ghWpAnti, P_WQPlus, 3196, check)
    call createCurrent(P_GQ0, P_ghWm, P_H, P_ghWmAnti, 1122, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 1660, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghZ, P_GMinus, 2905, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_ZQ, 2780, check)
    call createCurrent(P_GQ0, P_GMinus, P_WPlus, P_ZQ, 586, check)
    call createCurrent(P_uAnti, P_d, P_GQPlus, 1678, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_GMinus, P_GPlus, 1346, check)
    call createCurrent(P_WQPlus, P_A, P_GMinus, P_HQ, 3617, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_WPlus, P_WMinus, 2934, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 382, check)
    call createCurrent(P_ghWp, P_Z, P_ghAAnti, P_WMinus, 1739, check)
    call createCurrent(P_HQ, P_muMinus, P_muPlus, 2960, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 3325, check)
    call createCurrent(P_WPlus, P_ghA, P_WMinus, P_ghAAnti, 1997, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 2886, check)
    call createCurrent(P_GQPlus, P_H, P_ghZAnti, P_ghWm, 3017, check)
    call createCurrent(P_H, P_H, P_g, P_g, 3921, check)
    call createCurrent(P_WPlus, P_A, P_ghA, P_ghWpAnti, 3659, check)
    call createCurrent(P_A, P_A, P_H, 3971, check)
    call createCurrent(P_AQ, P_GMinus, P_GQPlus, 984, check)
    call createCurrent(P_Z, P_b, P_bAnti, 1090, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 1556, check)
    call createCurrent(P_t, P_tAnti, P_H, 3306, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_A, P_WPlus, 1669, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_H, P_ghWm, 2837, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, P_H, 3259, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 2753, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 2047, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 1815, check)
    call createCurrent(P_ZQ, P_G0, P_HQ, 1864, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghAAnti, P_GQPlus, 1904, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghWp, P_H, 195, check)
    call createCurrent(P_ZQ, P_ghWm, P_A, P_ghWmAnti, 1985, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 2653, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 2584, check)
    call createCurrent(P_GQPlus, P_GMinus, P_A, P_AQ, 896, check)
    call createCurrent(P_g, P_u, P_uAnti, 3518, check)
    call createCurrent(P_Z, P_ghWp, P_WMinus, P_ghZAnti, 2450, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, P_A, 2600, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, P_AQ, 842, check)
    call createCurrent(P_AQ, P_GPlus, P_GMinus, P_ZQ, 1729, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 1629, check)
    call createCurrent(P_AQ, P_GMinus, P_A, P_GQPlus, 1777, check)
    call createCurrent(P_GPlus, P_G0, P_ghAAnti, P_ghWm, 2145, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_G0, P_GMinus, 927, check)
    call createCurrent(P_ghAAnti, P_G0, P_GMinus, P_ghWp, 2730, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 676, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 338, check)
    call createCurrent(P_GMinus, P_ghWp, P_G0, P_ghZAnti, 1566, check)
    call createCurrent(P_ghZ, P_WPlus, P_Z, P_ghWpAnti, 2884, check)
    call createCurrent(P_WQPlus, P_Z, P_A, P_WQMinus, 2310, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 2614, check)
    call createCurrent(P_WQPlus, P_Z, P_ghZ, P_ghWpAnti, 3732, check)
    call createCurrent(P_HQ, P_ghWpAnti, P_H, P_ghWp, 3033, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghA, P_WMinus, 1027, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_GQ0, 2882, check)
    call createCurrent(P_ghZAnti, P_ghA, P_GPlus, P_GQMinus, 83, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 3597, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 3223, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 364, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghWp, P_ghZAnti, 1494, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 3887, check)
    call createCurrent(P_G0, P_ghAAnti, P_ghWm, P_GPlus, 3676, check)
    call createCurrent(P_AQ, P_ghAAnti, P_WPlus, P_ghWm, 444, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghZ, P_ghZAnti, 372, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 1129, check)
    call createCurrent(P_WQPlus, P_A, P_ghWpAnti, P_ghA, 343, check)
    call createCurrent(P_Z, P_WMinus, P_ghZ, P_ghWmAnti, 1727, check)
    call createCurrent(P_u, P_uAnti, P_GQ0, 1586, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, P_GQ0, 2713, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GQMinus, 3191, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 1160, check)
    call createCurrent(P_GQPlus, P_Z, P_WMinus, P_GQ0, 2758, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_G0, P_ghA, 147, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 2699, check)
    call createCurrent(P_ghWp, P_H, P_GMinus, P_ghZAnti, 2898, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 3221, check)
    call createCurrent(P_WQMinus, P_H, P_GPlus, P_ZQ, 1463, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 2874, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 2339, check)
    call createCurrent(P_sAnti, P_G0, P_s, 2144, check)
    call createCurrent(P_AQ, P_WMinus, P_ghAAnti, P_ghWp, 2402, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 1348, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 1661, check)
    call createCurrent(P_g, P_g, P_ghG, P_ghGAnti, 3508, check)
    call createCurrent(P_G0, P_GMinus, P_ghWmAnti, P_ghA, 1496, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghZAnti, P_WQPlus, 1981, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghA, P_GPlus, 2973, check)
    call createCurrent(P_ZQ, P_GMinus, P_WPlus, P_GQ0, 1637, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_G0, 2554, check)
    call createCurrent(P_A, P_WPlus, P_ghWpAnti, P_ghA, 1445, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 538, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WQMinus, 2668, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_GPlus, P_ghZ, 1839, check)
    call createCurrent(P_ZQ, P_GMinus, P_G0, P_WQPlus, 3681, check)
    call createCurrent(P_cAnti, P_c, P_g, 3193, check)
    call createCurrent(P_ZQ, P_d, P_dAnti, 1893, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GMinus, P_GPlus, 1293, check)
    call createCurrent(P_GQMinus, P_A, P_A, P_GQPlus, 644, check)
    call createCurrent(P_ghWm, P_G0, P_ghZAnti, P_GPlus, 3678, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 1923, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, P_ZQ, 2103, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 4012, check)
    call createCurrent(P_WQMinus, P_WPlus, P_H, P_GQ0, 3043, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, P_HQ, 3526, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, P_GQ0, 1559, check)
    call createCurrent(P_ghA, P_GPlus, P_ghZAnti, P_GMinus, 460, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GMinus, P_GQPlus, 1428, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_GMinus, P_ghZ, 1617, check)
    call createCurrent(P_A, P_g, P_A, P_g, 3929, check)
    call createCurrent(P_GQ0, P_WPlus, P_A, P_GQMinus, 2771, check)
    call createCurrent(P_GQ0, P_G0, P_GMinus, P_GQPlus, 2129, check)
    call createCurrent(P_ghWm, P_G0, P_ghZAnti, P_GQPlus, 3474, check)
    call createCurrent(P_WQPlus, P_GPlus, P_GMinus, P_WQMinus, 2551, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Z, P_WQPlus, 2660, check)
    call createCurrent(P_tAnti, P_t, P_H, 1785, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 3103, check)
    call createCurrent(P_AQ, P_b, P_bAnti, 687, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 69, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 3564, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_G0, 1579, check)
    call createCurrent(P_d, P_dAnti, P_Z, 685, check)
    call createCurrent(P_ghWm, P_A, P_A, P_ghWmAnti, 2470, check)
    call createCurrent(P_WQMinus, P_ghWmAnti, P_Z, P_ghA, 3320, check)
    call createCurrent(P_dAnti, P_H, P_d, 856, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ZQ, 1602, check)
    call createCurrent(P_AQ, P_WPlus, P_H, P_GQMinus, 2558, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_ghA, 2338, check)
    call createCurrent(P_ghA, P_WMinus, P_WPlus, P_ghZAnti, 1949, check)
    call createCurrent(P_ghA, P_GPlus, P_ghAAnti, P_GQMinus, 3373, check)
    call createCurrent(P_WPlus, P_A, P_ghWm, P_ghZAnti, 2597, check)
    call createCurrent(P_GPlus, P_ghA, P_GMinus, P_ghZAnti, 408, check)
    call createCurrent(P_AQ, P_GMinus, P_Z, P_GQPlus, 205, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 291, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, P_H, 454, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 3648, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_WPlus, P_WQMinus, 2794, check)
    call createCurrent(P_AQ, P_A, P_ghWpAnti, P_ghWp, 909, check)
    call createCurrent(P_A, P_Z, P_ghWmAnti, P_ghWm, 1243, check)
    call createCurrent(P_WQMinus, P_ghWpAnti, P_WPlus, P_ghWp, 98, check)
    call createCurrent(P_GQ0, P_WPlus, P_WMinus, P_GQ0, 2631, check)
    call createCurrent(P_tAnti, P_H, P_t, 155, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 478, check)
    call createCurrent(P_ZQ, P_ghWp, P_WMinus, P_ghZAnti, 3447, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghA, P_ghZAnti, 3379, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 1312, check)
    call createCurrent(P_A, P_Z, P_ghWp, P_ghWpAnti, 2279, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 3278, check)
    call createCurrent(P_HQ, P_H, P_HQ, 92, check)
    call createCurrent(P_HQ, P_WMinus, P_A, P_GQPlus, 1429, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, P_Z, 1246, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 1516, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 2654, check)
    call createCurrent(P_WQPlus, P_WMinus, P_H, P_GQ0, 2676, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 3060, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 2397, check)
    call createCurrent(P_ghA, P_A, P_WPlus, P_ghWpAnti, 3595, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, P_G0, 2517, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, P_Z, 745, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghZ, P_WPlus, 1973, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_AQ, 738, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 1184, check)
    call createCurrent(P_G0, P_ghWm, P_ghAAnti, P_GPlus, 2935, check)
    call createCurrent(P_ZQ, P_Z, P_WMinus, P_WQPlus, 2039, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 3384, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 388, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 3729, check)
    call createCurrent(P_GQPlus, P_G0, P_WQMinus, 2540, check)
    call createCurrent(P_WQMinus, P_WPlus, P_GQ0, 1749, check)
    call createCurrent(P_H, P_ghWm, P_ghAAnti, P_GPlus, 587, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 2903, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 3928, check)
    call createCurrent(P_ZQ, P_G0, P_WMinus, P_GQPlus, 736, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghAAnti, P_ghZ, 2612, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 1850, check)
    call createCurrent(P_GQMinus, P_H, P_WPlus, P_AQ, 1360, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, P_Z, 3515, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghZAnti, P_WQMinus, 1756, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 58, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_G0, P_GPlus, 2291, check)
    call createCurrent(P_GPlus, P_H, P_ghZAnti, P_ghWm, 2228, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghZ, P_WMinus, 117, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_ZQ, 2811, check)
    call createCurrent(P_b, P_bAnti, P_A, 1574, check)
    call createCurrent(P_ZQ, P_tauMinus, P_tauPlus, 1034, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghWp, P_GQ0, 3451, check)
    call createCurrent(P_AQ, P_ghWp, P_A, P_ghWpAnti, 3607, check)
    call createCurrent(P_A, P_G0, 3869, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_WMinus, P_ghA, 2317, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 2231, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_GPlus, P_GMinus, 39, check)
    call createCurrent(P_WMinus, P_A, P_ghAAnti, P_ghWp, 867, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghZ, P_WQPlus, 2105, check)
    call createCurrent(P_Z, P_ghWpAnti, P_A, P_ghWp, 68, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 345, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, P_AQ, 495, check)
    call createCurrent(P_HQ, P_GPlus, P_ghZAnti, P_ghWm, 1056, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_WMinus, P_WPlus, 2961, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_WPlus, P_ghWm, 1282, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, P_G0, 2669, check)
    call createCurrent(P_g, P_g, P_g, P_g, 530, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_H, P_ghWm, 1369, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_WPlus, P_WMinus, 760, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 1705, check)
    call createCurrent(P_Z, P_Z, P_A, P_Z, 3944, check)
    call createCurrent(P_GQMinus, P_tauPlus, P_nu_tau, 2004, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghA, P_WQPlus, 1068, check)
    call createCurrent(P_GMinus, P_ghA, P_GPlus, P_ghAAnti, 262, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 1789, check)
    call createCurrent(P_AQ, P_WPlus, P_ghZAnti, P_ghWm, 2481, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 2968, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, P_Z, 217, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghWpAnti, P_WPlus, 1259, check)
    call createCurrent(P_GPlus, P_H, P_ghWpAnti, P_ghZ, 254, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghZAnti, P_GPlus, 834, check)
    call createCurrent(P_GQ0, P_G0, P_WPlus, P_WQMinus, 583, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 239, check)
    call createCurrent(P_ePlus, P_eMinus, P_GQ0, 1565, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 2005, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_G0, P_GQMinus, 200, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 2348, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_A, P_WQPlus, 3471, check)
    call createCurrent(P_ghWm, P_H, P_GPlus, P_ghAAnti, 1263, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_G0, P_GMinus, 2620, check)
    call createCurrent(P_WQMinus, P_G0, P_G0, P_WQPlus, 411, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 3070, check)
    call createCurrent(P_u, P_uAnti, P_HQ, 3496, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 3805, check)
    call createCurrent(P_A, P_A, P_ghWpAnti, P_ghWp, 562, check)
    call createCurrent(P_H, P_d, P_dAnti, 2878, check)
    call createCurrent(P_ghWpAnti, P_G0, P_GPlus, P_ghZ, 174, check)
    call createCurrent(P_c, P_G0, P_cAnti, 2986, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, P_Z, 1254, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, P_HQ, 2987, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 3324, check)
    call createCurrent(P_gQ, P_b, P_bAnti, 451, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 3742, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ZQ, 2623, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, P_Z, 36, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_A, P_ghZ, 2125, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 3036, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 3955, check)
    call createCurrent(P_G0, P_G0, P_ghZ, P_ghZAnti, 1525, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 2781, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, P_H, 3004, check)
    call createCurrent(P_ghWp, P_WMinus, P_A, P_ghAAnti, 709, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghZAnti, P_GQMinus, 3410, check)
    call createCurrent(P_AQ, P_Z, P_ghWpAnti, P_ghWp, 328, check)
    call createCurrent(P_GQ0, P_GPlus, P_Z, P_WQMinus, 1787, check)
    call createCurrent(P_G0, P_ghZAnti, P_GMinus, P_ghWp, 1553, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 296, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_HQ, 324, check)
    call createCurrent(P_bAnti, P_A, P_b, 720, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, P_Z, 3382, check)
    call createCurrent(P_ghZ, P_GMinus, P_GPlus, P_ghAAnti, 3430, check)
    call createCurrent(P_A, P_A, P_A, P_Z, 3948, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, P_ZQ, 244, check)
    call createCurrent(P_G0, P_t, P_tAnti, 44, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghAAnti, P_ghA, 449, check)
    call createCurrent(P_WQPlus, P_nu_eAnti, P_eMinus, 1696, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghWpAnti, P_ghWp, 1073, check)
    call createCurrent(P_cAnti, P_c, P_G0, 1639, check)
    call createCurrent(P_WQPlus, P_Z, P_WMinus, P_AQ, 1441, check)
    call createCurrent(P_A, P_ghWpAnti, P_WPlus, P_ghA, 2419, check)
    call createCurrent(P_ghA, P_H, P_ghWpAnti, P_GPlus, 1898, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 1600, check)
    call createCurrent(P_ghZ, P_A, P_ghWpAnti, P_WPlus, 2388, check)
    call createCurrent(P_ghA, P_A, P_ghWpAnti, P_WPlus, 3635, check)
    call createCurrent(P_HQ, P_Z, P_Z, P_HQ, 1026, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 1402, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 776, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 2028, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_WPlus, P_WMinus, 27, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_H, P_GQMinus, 440, check)
    call createCurrent(P_G0, P_ghZAnti, P_ghWm, P_GPlus, 3035, check)
    call createCurrent(P_ZQ, P_WPlus, P_H, P_GQMinus, 582, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 2572, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghA, P_GMinus, 2596, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 892, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, P_AQ, 1568, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_Z, P_WPlus, 1954, check)
    call createCurrent(P_HQ, P_GMinus, P_ghWmAnti, P_ghZ, 2161, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_WPlus, P_WMinus, 999, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_A, P_ghA, 3793, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 2478, check)
    call createCurrent(P_WPlus, P_A, P_ghZ, P_ghWpAnti, 2500, check)
    call createCurrent(P_WQMinus, P_A, P_Z, P_WQPlus, 1392, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 2773, check)
    call createCurrent(P_ghWm, P_H, P_ghZAnti, P_GQPlus, 342, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, P_G0, 1332, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_GPlus, P_ghWm, 1763, check)
    call createCurrent(P_Z, P_ghAAnti, P_WPlus, P_ghWm, 3717, check)
    call createCurrent(P_ZQ, P_ghWp, P_WMinus, P_ghAAnti, 1931, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghA, P_WPlus, 1599, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, 2756, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghWm, P_GPlus, 1172, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 2293, check)
    call createCurrent(P_Z, P_A, P_H, P_H, 3817, check)
    call createCurrent(P_GQMinus, P_WPlus, P_H, P_ZQ, 1308, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 2249, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghZ, P_ghWmAnti, 2464, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 3334, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 3211, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghZ, P_GMinus, 477, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 2155, check)
    call createCurrent(P_AQ, P_H, P_WPlus, P_GQMinus, 1321, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 30, check)
    call createCurrent(P_ghZ, P_H, P_ghWmAnti, P_GQMinus, 735, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 2064, check)
    call createCurrent(P_H, P_ghZ, P_ghWmAnti, P_GMinus, 2350, check)
    call createCurrent(P_HQ, P_uAnti, P_u, 1924, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 3195, check)
    call createCurrent(P_G0, P_ghZAnti, P_ghZ, P_G0, 2619, check)
    call createCurrent(P_sAnti, P_s, P_Z, 3630, check)
    call createCurrent(P_ghWp, P_G0, P_GMinus, P_ghAAnti, 497, check)
    call createCurrent(P_ghZ, P_A, P_ghWmAnti, P_WQMinus, 3438, check)
    call createCurrent(P_ghWmAnti, P_A, P_WMinus, P_ghA, 813, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 3340, check)
    call createCurrent(P_AQ, P_ghWpAnti, P_ghWp, 4, check)
    call createCurrent(P_ghWm, P_A, P_WPlus, P_ghZAnti, 510, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, P_Z, 2800, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 3965, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 1358, check)
    call createCurrent(P_HQ, P_H, P_Z, P_ZQ, 3275, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghA, P_WPlus, 1353, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 1663, check)
    call createCurrent(P_A, P_A, P_Z, P_A, 3973, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 2513, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 3954, check)
    call createCurrent(P_HQ, P_ghZAnti, P_H, P_ghZ, 707, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_ZQ, 3738, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, P_Z, 2066, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, P_A, 2949, check)
    call createCurrent(P_ghZAnti, P_ghA, P_GMinus, P_GPlus, 2593, check)
    call createCurrent(P_HQ, P_A, P_WMinus, P_GQPlus, 1987, check)
    call createCurrent(P_GMinus, P_GPlus, 3837, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WQPlus, 2405, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_G0, P_ghA, 2816, check)
    call createCurrent(P_WPlus, P_Z, P_ghWpAnti, P_ghA, 986, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghAAnti, P_WMinus, 2440, check)
    call createCurrent(P_A, P_ghA, P_ghWmAnti, P_WMinus, 405, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 1238, check)
    call createCurrent(P_Z, P_cAnti, P_c, 307, check)
    call createCurrent(P_H, P_ghA, P_ghWmAnti, P_GMinus, 534, check)
    call createCurrent(P_H, P_ghZ, P_GPlus, P_ghWpAnti, 1342, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 2172, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 3886, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 355, check)
    call createCurrent(P_AQ, P_WMinus, P_ghZAnti, P_ghWp, 1425, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 159, check)
    call createCurrent(P_GQPlus, P_Z, P_H, P_WQMinus, 3178, check)
    call createCurrent(P_ghZ, P_G0, P_G0, P_ghZAnti, 3626, check)
    call createCurrent(P_ZQ, P_GPlus, P_Z, P_GQMinus, 2223, check)
    call createCurrent(P_Z, P_ghWmAnti, P_Z, P_ghWm, 611, check)
    call createCurrent(P_GQPlus, P_WMinus, P_H, P_ZQ, 553, check)
    call createCurrent(P_GQ0, P_Z, P_HQ, 3006, check)
    call createCurrent(P_cAnti, P_H, P_c, 3579, check)
    call createCurrent(P_Z, P_ghA, P_ghWpAnti, P_WPlus, 2738, check)
    call createCurrent(P_ghZAnti, P_A, P_WPlus, P_ghWm, 1190, check)
    call createCurrent(P_H, P_H, 3875, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 3629, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_H, P_ghA, 402, check)
    call createCurrent(P_G0, P_G0, P_H, 226, check)
    call createCurrent(P_G0, P_ghZ, P_GPlus, P_ghWpAnti, 1331, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghZAnti, P_ghZ, 144, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_H, P_GQPlus, 150, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 3197, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 430, check)
    call createCurrent(P_cAnti, P_c, P_A, 520, check)
    call createCurrent(P_H, P_GPlus, P_ghZAnti, P_ghWm, 57, check)
    call createCurrent(P_GQMinus, P_GPlus, P_G0, P_HQ, 1476, check)
    call createCurrent(P_GPlus, P_ghWm, P_GMinus, P_ghWmAnti, 1758, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GQPlus, 268, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 2954, check)
    call createCurrent(P_A, P_ghWm, P_WPlus, P_ghAAnti, 2920, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, P_Z, 1873, check)
    call createCurrent(P_A, P_A, P_A, P_A, 4011, check)
    call createCurrent(P_GQMinus, P_muPlus, P_nu_mu, 261, check)
    call createCurrent(P_ZQ, P_ghWp, P_A, P_ghWpAnti, 1268, check)
    call createCurrent(P_GQ0, P_GMinus, P_WQPlus, 1022, check)
    call createCurrent(P_ZQ, P_muMinus, P_muPlus, 418, check)
    call createCurrent(P_WQPlus, P_A, P_ghZ, P_ghWpAnti, 2617, check)
    call createCurrent(P_ZQ, P_GPlus, P_GMinus, P_AQ, 3692, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 2946, check)
    call createCurrent(P_s, P_cAnti, P_WQPlus, 2932, check)
    call createCurrent(P_ZQ, P_ghWm, P_WPlus, P_ghZAnti, 1529, check)
    call createCurrent(P_H, P_Z, P_H, P_A, 3829, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, P_G0, 960, check)
    call createCurrent(P_GQ0, P_b, P_bAnti, 2824, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 2988, check)
    call createCurrent(P_ZQ, P_WMinus, P_GPlus, P_HQ, 1120, check)
    call createCurrent(P_GQMinus, P_H, P_GQPlus, 438, check)
    call createCurrent(P_HQ, P_ghWp, P_ghWpAnti, 1545, check)
    call createCurrent(P_GQ0, P_G0, P_H, P_HQ, 1028, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 10, check)
    call createCurrent(P_ghWpAnti, P_ghWm, P_WPlus, P_WPlus, 1807, check)
    call createCurrent(P_WQPlus, P_Z, P_ghWpAnti, P_ghZ, 3354, check)
    call createCurrent(P_GQPlus, P_WMinus, P_ZQ, 2911, check)
    call createCurrent(P_GQPlus, P_A, P_WMinus, P_HQ, 191, check)
    call createCurrent(P_GQ0, P_H, P_GPlus, P_GQMinus, 1457, check)
    call createCurrent(P_WQPlus, P_ghA, P_Z, P_ghWpAnti, 1235, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_H, P_ghWp, 2844, check)
    call createCurrent(P_Z, P_ghAAnti, P_WMinus, P_ghWp, 3665, check)
    call createCurrent(P_GMinus, P_H, P_ghA, P_ghWmAnti, 3599, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, P_Z, 2902, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_WPlus, P_WMinus, 779, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_GQ0, 1045, check)
    call createCurrent(P_WQMinus, P_ghWp, P_WMinus, P_ghWmAnti, 2378, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_HQ, 417, check)
    call createCurrent(P_A, P_H, P_A, 4003, check)
    call createCurrent(P_WMinus, P_Z, P_ghWmAnti, P_ghA, 2546, check)
    call createCurrent(P_HQ, P_ghWp, P_H, P_ghWpAnti, 1448, check)
    call createCurrent(P_WQMinus, P_H, P_GQPlus, 1908, check)
    call createCurrent(P_WQMinus, P_ghWp, P_ghZAnti, 1374, check)
    call createCurrent(P_GQMinus, P_G0, P_WPlus, P_ZQ, 1894, check)
    call createCurrent(P_GQPlus, P_WMinus, P_GQ0, 647, check)
    call createCurrent(P_ZQ, P_WPlus, P_WQMinus, 1486, check)
    call createCurrent(P_ZQ, P_G0, P_GPlus, P_WQMinus, 688, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 31, check)
    call createCurrent(P_Z, P_G0, P_H, 757, check)
    call createCurrent(P_tAnti, P_G0, P_t, 607, check)
    call createCurrent(P_GQMinus, P_ghA, P_GPlus, P_ghAAnti, 1359, check)
    call createCurrent(P_H, P_GMinus, P_ghWmAnti, P_ghA, 3537, check)
    call createCurrent(P_AQ, P_WMinus, P_WPlus, P_ZQ, 3589, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 1271, check)
    call createCurrent(P_uAnti, P_u, P_HQ, 2156, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, P_H, 233, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghWmAnti, P_WMinus, 3713, check)
    call createCurrent(P_GQPlus, P_Z, P_G0, P_WQMinus, 81, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 970, check)
    call createCurrent(P_tAnti, P_Z, P_t, 2830, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, P_Z, 208, check)
    call createCurrent(P_WQMinus, P_ghZAnti, P_WPlus, P_ghZ, 2121, check)
    call createCurrent(P_ghWp, P_WMinus, P_A, P_ghZAnti, 1269, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 2639, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WQMinus, 3534, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 3051, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, P_Z, 1219, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghWmAnti, P_ghWm, 3323, check)
    call createCurrent(P_GQ0, P_Z, P_WPlus, P_GQMinus, 1204, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, P_Z, 3575, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WQPlus, 421, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, P_G0, 785, check)
    call createCurrent(P_d, P_dAnti, P_H, 547, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 2992, check)
    call createCurrent(P_GQPlus, P_GMinus, P_G0, P_GQ0, 1942, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_H, P_GMinus, 669, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 581, check)
    call createCurrent(P_AQ, P_WMinus, P_ghWp, P_ghAAnti, 474, check)
    call createCurrent(P_b, P_bAnti, P_g, 1289, check)
    call createCurrent(P_ghZAnti, P_ghA, P_WMinus, P_WQPlus, 1939, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 2050, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, P_H, 2587, check)
    call createCurrent(P_gQ, P_s, P_sAnti, 1675, check)
    call createCurrent(P_WQMinus, P_A, P_GPlus, P_HQ, 962, check)
    call createCurrent(P_A, P_ghZ, P_ghWmAnti, P_WMinus, 3206, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 2139, check)
    call createCurrent(P_ghZ, P_WMinus, P_WPlus, P_ghAAnti, 1119, check)
    call createCurrent(P_WQPlus, P_G0, P_Z, P_GQMinus, 3058, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghZAnti, P_ghZ, 1107, check)
    call createCurrent(P_GQMinus, P_H, P_GPlus, P_GQ0, 1200, check)
    call createCurrent(P_G0, P_GMinus, P_ghAAnti, P_ghWp, 537, check)
    call createCurrent(P_HQ, P_H, P_GPlus, P_GQMinus, 2373, check)
    call createCurrent(P_ghZ, P_GPlus, P_GMinus, P_ghAAnti, 2927, check)
    call createCurrent(P_ZQ, P_s, P_sAnti, 943, check)
    call createCurrent(P_ZQ, P_ghWm, P_WPlus, P_ghAAnti, 3463, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghZ, P_GQMinus, 2543, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 49, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 2691, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 1480, check)
    call createCurrent(P_ghA, P_Z, P_ghWmAnti, P_WQMinus, 1784, check)
    call createCurrent(P_ghWmAnti, P_H, P_H, P_ghWm, 3245, check)
    call createCurrent(P_ghAAnti, P_A, P_ghWp, P_WMinus, 2136, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, P_Z, 786, check)
    call createCurrent(P_WQMinus, P_A, P_ghA, P_ghWmAnti, 2221, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_WMinus, P_ghA, 1178, check)
    call createCurrent(P_GQ0, P_G0, P_ghZ, P_ghZAnti, 2413, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghZ, P_WPlus, 1416, check)
    call createCurrent(P_WMinus, P_WMinus, P_ghWmAnti, P_ghWp, 1299, check)
    call createCurrent(P_GQ0, P_H, P_ghWmAnti, P_ghWm, 542, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 3543, check)
    call createCurrent(P_ZQ, P_WMinus, P_GQPlus, 1948, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_WPlus, P_ghA, 1918, check)
    call createCurrent(P_sAnti, P_Z, P_s, 1225, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_HQ, 1173, check)
    call createCurrent(P_ghWm, P_GPlus, P_H, P_ghAAnti, 609, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, P_ZQ, 1424, check)
    call createCurrent(P_H, P_A, P_A, 3981, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 63, check)
    call createCurrent(P_AQ, P_WPlus, P_ghAAnti, P_ghWm, 1284, check)
    call createCurrent(P_ghWmAnti, P_G0, P_GMinus, P_ghZ, 3020, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghA, P_GPlus, 3542, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, P_H, 3011, check)
    call createCurrent(P_AQ, P_tauMinus, P_tauPlus, 1371, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 2828, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 3092, check)
    call createCurrent(P_GPlus, P_ghA, P_G0, P_ghWpAnti, 2429, check)
    call createCurrent(P_GPlus, P_ghZ, P_GMinus, P_ghAAnti, 3551, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_Z, P_ghZ, 3795, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GQPlus, 765, check)
    call createCurrent(P_ghZAnti, P_H, P_ghWm, P_GQPlus, 719, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, P_HQ, 1050, check)
    call createCurrent(P_GQMinus, P_GPlus, P_WMinus, P_WQPlus, 1990, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 462, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 2858, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 1455, check)
    call createCurrent(P_GQ0, P_u, P_uAnti, 789, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 1760, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_WMinus, P_WQPlus, 1483, check)
    call createCurrent(P_G0, P_ghWmAnti, P_G0, P_ghWm, 3555, check)
    call createCurrent(P_ghA, P_WMinus, P_ghAAnti, P_WQPlus, 948, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_WMinus, P_WPlus, 1630, check)
    call createCurrent(P_dAnti, P_A, P_d, 2180, check)
    call createCurrent(P_tAnti, P_A, P_t, 2655, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 3046, check)
    call createCurrent(P_GPlus, P_WMinus, 3912, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 1635, check)
    call createCurrent(P_HQ, P_H, P_ghZAnti, P_ghZ, 3482, check)
    call createCurrent(P_Z, P_tAnti, P_t, 655, check)
    call createCurrent(P_WQMinus, P_WMinus, P_WPlus, P_WQPlus, 272, check)
    call createCurrent(P_H, P_GMinus, P_ghWmAnti, P_ghZ, 2557, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, P_Z, 3476, check)
    call createCurrent(P_GMinus, P_ghZ, P_G0, P_ghWmAnti, 2241, check)
    call createCurrent(P_GQMinus, P_GPlus, P_H, P_HQ, 1317, check)
    call createCurrent(P_WPlus, P_Z, P_ghWm, P_ghZAnti, 1330, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 1133, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, P_H, 657, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 112, check)
    call createCurrent(P_A, P_A, P_Z, P_Z, 3922, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 1688, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghA, P_WMinus, 3209, check)
    call createCurrent(P_WQPlus, P_A, P_Z, P_WQMinus, 1153, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WQPlus, 1633, check)
    call createCurrent(P_ghZ, P_G0, P_ghZAnti, P_G0, 1819, check)
    call createCurrent(P_s, P_sAnti, 3823, check)
    call createCurrent(P_A, P_ghZAnti, P_ghWp, P_WMinus, 2128, check)
    call createCurrent(P_GQMinus, P_Z, P_A, P_GQPlus, 1013, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghZ, P_WPlus, 1527, check)
    call createCurrent(P_ghWpAnti, P_G0, P_G0, P_ghWp, 2255, check)
    call createCurrent(P_GQ0, P_ghWm, P_ghWmAnti, 232, check)
    call createCurrent(P_GQMinus, P_G0, P_ghWmAnti, P_ghZ, 2003, check)
    call createCurrent(P_ghA, P_ghAAnti, P_WMinus, P_WQPlus, 3251, check)
    call createCurrent(P_ghWm, P_GMinus, P_GPlus, P_ghWmAnti, 978, check)
    call createCurrent(P_WMinus, P_ghA, P_A, P_ghWmAnti, 1922, check)
    call createCurrent(P_tAnti, P_b, P_WQPlus, 2979, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_A, P_WMinus, 3157, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 1766, check)
    call createCurrent(P_GQMinus, P_Z, P_GPlus, P_AQ, 2471, check)
    call createCurrent(P_ghWpAnti, P_Z, P_WPlus, P_ghA, 1572, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 886, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_WMinus, P_ghWp, 2808, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 3590, check)
    call createCurrent(P_GQMinus, P_G0, P_WQPlus, 2770, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghA, P_ghAAnti, 2099, check)
    call createCurrent(P_G0, P_GPlus, P_ghWm, P_ghAAnti, 2001, check)
    call createCurrent(P_G0, P_GPlus, P_ghWpAnti, P_ghZ, 668, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_Z, P_WMinus, 2447, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 3974, check)
    call createCurrent(P_GPlus, P_ghA, P_GMinus, P_ghAAnti, 1484, check)
    call createCurrent(P_ghWmAnti, P_H, P_GMinus, P_ghA, 3014, check)
    call createCurrent(P_A, P_ghWm, P_WPlus, P_ghZAnti, 1914, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 1393, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 3800, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, P_ZQ, 2778, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_GQ0, 2193, check)
    call createCurrent(P_GQMinus, P_Z, P_H, P_WQPlus, 2460, check)
    call createCurrent(P_WQMinus, P_sAnti, P_c, 441, check)
    call createCurrent(P_G0, P_ghWm, P_GPlus, P_ghAAnti, 1410, check)
    call createCurrent(P_Z, P_ghZAnti, P_ghWm, P_WPlus, 2736, check)
    call createCurrent(P_GQPlus, P_G0, P_GMinus, P_GQ0, 3745, check)
    call createCurrent(P_WQPlus, P_nu_muAnti, P_muMinus, 876, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_GPlus, P_GMinus, 1849, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_WMinus, P_WQPlus, 2638, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 2330, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghWm, P_WPlus, 1803, check)
    call createCurrent(P_WMinus, P_A, P_ghWp, P_ghZAnti, 2790, check)
    call createCurrent(P_GQMinus, P_ghWp, P_ghZAnti, 3362, check)
    call createCurrent(P_ZQ, P_nu_muAnti, P_nu_mu, 1618, check)
    call createCurrent(P_WQPlus, P_Z, P_ghWpAnti, P_ghA, 3311, check)
    call createCurrent(P_G0, P_GPlus, P_ghZ, P_ghWpAnti, 1063, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 2209, check)
    call createCurrent(P_c, P_cAnti, P_g, 456, check)
    call createCurrent(P_GQ0, P_Z, P_GMinus, P_WQPlus, 1907, check)
    call createCurrent(P_GQ0, P_A, P_WPlus, P_GQMinus, 326, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghZAnti, P_ghWp, 3285, check)
    call createCurrent(P_ghA, P_ghZAnti, P_WPlus, P_WQMinus, 2754, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 1427, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GQMinus, 2550, check)
    call createCurrent(P_A, P_A, P_ghWm, P_ghWmAnti, 1636, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 2262, check)
    call createCurrent(P_ghAAnti, P_A, P_WMinus, P_ghWp, 961, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghWpAnti, P_ghWp, 66, check)
    call createCurrent(P_GQMinus, P_WPlus, P_WMinus, P_GQPlus, 3652, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 1542, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, P_H, 3396, check)
    call createCurrent(P_HQ, P_A, P_WPlus, P_GQMinus, 791, check)
    call createCurrent(P_AQ, P_WMinus, P_Z, P_WQPlus, 982, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_GMinus, P_GPlus, 2030, check)
    call createCurrent(P_ZQ, P_WPlus, P_ghWm, P_ghZAnti, 1207, check)
    call createCurrent(P_GQPlus, P_H, P_WMinus, P_ZQ, 46, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 1989, check)
    call createCurrent(P_G0, P_ghZAnti, P_G0, P_ghZ, 836, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 1057, check)
    call createCurrent(P_H, P_A, P_Z, P_H, 3825, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 893, check)
    call createCurrent(P_GQ0, P_ghAAnti, P_GMinus, P_ghWp, 193, check)
    call createCurrent(P_gQ, P_dAnti, P_d, 1440, check)
    call createCurrent(P_H, P_ghZ, P_ghWpAnti, P_GPlus, 1887, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Z, P_WMinus, 443, check)
    call createCurrent(P_GMinus, P_ghA, P_G0, P_ghWmAnti, 230, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 696, check)
    call createCurrent(P_H, P_u, P_uAnti, 2391, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 2345, check)
    call createCurrent(P_ghWpAnti, P_ghWm, P_WPlus, P_WQPlus, 2512, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, P_ZQ, 234, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghZ, P_WMinus, 2024, check)
    call createCurrent(P_GQMinus, P_A, P_WPlus, P_HQ, 2270, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 2051, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_H, P_ghA, 2829, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, P_HQ, 2876, check)
    call createCurrent(P_Z, P_ghWpAnti, P_WPlus, P_ghZ, 2670, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 1578, check)
    call createCurrent(P_WQMinus, P_H, P_WPlus, P_HQ, 3374, check)
    call createCurrent(P_GQ0, P_ghWp, P_GMinus, P_ghZAnti, 1117, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WQPlus, 1252, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 3540, check)
    call createCurrent(P_GQMinus, P_dAnti, P_u, 2304, check)
    call createCurrent(P_ghWp, P_A, P_WMinus, P_ghAAnti, 2058, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 1558, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, P_Z, 942, check)
    call createCurrent(P_bAnti, P_g, P_b, 1953, check)
    call createCurrent(P_GMinus, P_ghWm, P_ghWmAnti, P_GPlus, 3412, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 2527, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghWmAnti, P_ghZ, 127, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_GQ0, 3119, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_GPlus, P_GMinus, 1965, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 2068, check)
    call createCurrent(P_GQMinus, P_ghAAnti, P_GPlus, P_ghZ, 3364, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 3269, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 2497, check)
    call createCurrent(P_GQMinus, P_H, P_ghWmAnti, P_ghZ, 361, check)
    call createCurrent(P_HQ, P_GMinus, P_GPlus, P_HQ, 2740, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 1237, check)
    call createCurrent(P_GQPlus, P_ghZ, P_GMinus, P_ghZAnti, 2846, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, P_ZQ, 3684, check)
    call createCurrent(P_c, P_cAnti, 3836, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 2437, check)
    call createCurrent(P_g, P_bAnti, P_b, 2014, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghAAnti, P_ghZ, 1365, check)
    call createCurrent(P_WQMinus, P_WPlus, P_AQ, 1142, check)
    call createCurrent(P_ghZ, P_GPlus, P_G0, P_ghWpAnti, 485, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_G0, P_GPlus, 1171, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 1080, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 3580, check)
    call createCurrent(P_GQMinus, P_WPlus, P_GQ0, 2436, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, P_Z, 843, check)
    call createCurrent(P_G0, P_ghWp, P_G0, P_ghWpAnti, 885, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, P_Z, 3661, check)
    call createCurrent(P_WQPlus, P_eMinus, P_nu_eAnti, 2179, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 528, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 1004, check)
    call createCurrent(P_HQ, P_ghWpAnti, P_ghWp, 2273, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_WMinus, P_ghZ, 1370, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_H, P_ghZ, 1732, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 2530, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, P_A, 1709, check)
    call createCurrent(P_c, P_sAnti, P_WQMinus, 808, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, P_Z, 3657, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 231, check)
    call createCurrent(P_A, P_ghWpAnti, P_Z, P_ghWp, 3117, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 1917, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 2313, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, P_HQ, 2390, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_GMinus, P_ghWp, 1812, check)
    call createCurrent(P_Z, P_WPlus, P_ghWm, P_ghAAnti, 2872, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghA, P_ghAAnti, 2123, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 2060, check)
    call createCurrent(P_d, P_dAnti, P_AQ, 1131, check)
    call createCurrent(P_bAnti, P_b, P_A, 3358, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 3303, check)
    call createCurrent(P_WQPlus, P_ghAAnti, P_ghWm, 2263, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghA, P_ghZAnti, 2116, check)
    call createCurrent(P_GQMinus, P_ghA, P_G0, P_ghWmAnti, 1978, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GPlus, P_GMinus, 1324, check)
    call createCurrent(P_tAnti, P_t, P_AQ, 2162, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 1925, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 3032, check)
    call createCurrent(P_GPlus, P_ghWp, P_GMinus, P_ghWpAnti, 2989, check)
    call createCurrent(P_HQ, P_Z, P_GMinus, P_WQPlus, 2880, check)
    call createCurrent(P_H, P_GPlus, P_ghWpAnti, P_ghZ, 771, check)
    call createCurrent(P_Z, P_Z, P_ghWp, P_ghWpAnti, 2939, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, P_H, 3098, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_ZQ, 1135, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 412, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, P_Z, 1615, check)
    call createCurrent(P_GPlus, P_ghWm, P_G0, P_ghZAnti, 450, check)
    call createCurrent(P_HQ, P_GPlus, P_A, P_WQMinus, 20, check)
    call createCurrent(P_ghWp, P_WPlus, P_WMinus, P_ghWpAnti, 3164, check)
    call createCurrent(P_Z, P_WPlus, P_ghA, P_ghWpAnti, 959, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 2377, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WQMinus, 2506, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 946, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GQPlus, 1240, check)
    call createCurrent(P_G0, P_G0, P_ghZAnti, P_ghZ, 2958, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 265, check)
    call createCurrent(P_ZQ, P_u, P_uAnti, 483, check)
    call createCurrent(P_cAnti, P_G0, P_c, 2187, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_G0, P_GMinus, 3359, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 3587, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghAAnti, P_ghZ, 868, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_A, P_ghZ, 3725, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Z, P_WQMinus, 1196, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_WMinus, P_ghA, 2734, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, P_g, 3158, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_A, P_WQMinus, 2514, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, P_G0, 1125, check)
    call createCurrent(P_AQ, P_s, P_sAnti, 3662, check)
    call createCurrent(P_GQ0, P_GPlus, P_G0, P_GQMinus, 1038, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, P_GQ0, 2257, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 1112, check)
    call createCurrent(P_ghWpAnti, P_GMinus, P_GPlus, P_ghWp, 2616, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghWp, P_ghWpAnti, 1437, check)
    call createCurrent(P_WMinus, P_ghA, P_WPlus, P_ghZAnti, 2663, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, P_G0, 1266, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghAAnti, P_GMinus, 799, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_G0, P_GMinus, 3257, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_WPlus, P_WMinus, 2148, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghA, P_GQMinus, 2711, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 820, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 2264, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 882, check)
    call createCurrent(P_GQ0, P_H, P_WMinus, P_WQPlus, 2804, check)
    call createCurrent(P_ghWpAnti, P_A, P_WPlus, P_ghA, 3808, check)
    call createCurrent(P_ghWm, P_Z, P_ghZAnti, P_WPlus, 3811, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 828, check)
    call createCurrent(P_GQ0, P_WPlus, P_H, P_WQMinus, 1596, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghZ, P_ghAAnti, 2092, check)
    call createCurrent(P_WMinus, P_A, P_ghWmAnti, P_ghZ, 1724, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, P_G0, 803, check)
    call createCurrent(P_t, P_bAnti, P_GQMinus, 1541, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghZAnti, P_WPlus, 323, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GQMinus, 2465, check)
    call createCurrent(P_GQPlus, P_ghWm, P_G0, P_ghZAnti, 3356, check)
    call createCurrent(P_b, P_bAnti, 3878, check)
    call createCurrent(P_g, P_g, P_A, P_g, 3942, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, P_A, 3673, check)
    call createCurrent(P_HQ, P_c, P_cAnti, 2431, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_Z, P_ghA, 3229, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghAAnti, P_ghZ, 3052, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghZ, P_WPlus, 906, check)
    call createCurrent(P_Z, P_G0, 3859, check)
    call createCurrent(P_ghA, P_H, P_GPlus, P_ghWpAnti, 3730, check)
    call createCurrent(P_ghZ, P_G0, P_ghWmAnti, P_GMinus, 1343, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_HQ, 2297, check)
    call createCurrent(P_GQ0, P_H, P_ghWm, P_ghWmAnti, 2025, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghZ, P_WQMinus, 2892, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 704, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 400, check)
    call createCurrent(P_ghA, P_G0, P_ghWpAnti, P_GPlus, 567, check)
    call createCurrent(P_ghZ, P_Z, P_WPlus, P_ghWpAnti, 2363, check)
    call createCurrent(P_HQ, P_ghZAnti, P_GPlus, P_ghWm, 103, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, P_G0, 2807, check)
    call createCurrent(P_ghZ, P_Z, P_WMinus, P_ghWmAnti, 202, check)
    call createCurrent(P_u, P_dAnti, P_WQMinus, 1439, check)
    call createCurrent(P_uAnti, P_g, P_u, 89, check)
    call createCurrent(P_G0, P_ghWp, P_GMinus, P_ghZAnti, 608, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghWm, P_GPlus, 2309, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Z, P_WQPlus, 305, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghZAnti, P_GPlus, 1610, check)
    call createCurrent(P_WMinus, P_A, P_ghZ, P_ghWmAnti, 3151, check)
    call createCurrent(P_ZQ, P_Z, P_GMinus, P_GQPlus, 406, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_H, P_GQMinus, 3546, check)
    call createCurrent(P_t, P_tAnti, P_ZQ, 3568, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 3124, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 280, check)
    call createCurrent(P_WQPlus, P_ghA, P_ghWpAnti, 516, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghA, P_GPlus, 2115, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_GPlus, P_HQ, 2344, check)
    call createCurrent(P_u, P_uAnti, P_gQ, 3091, check)
    call createCurrent(P_G0, P_A, 3862, check)
    call createCurrent(P_g, P_uAnti, P_u, 902, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghZAnti, P_WPlus, 741, check)
    call createCurrent(P_GMinus, P_H, P_ghWmAnti, P_ghZ, 2040, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghA, P_WPlus, 554, check)
    call createCurrent(P_A, P_WPlus, P_ghAAnti, P_ghWm, 3777, check)
    call createCurrent(P_AQ, P_WMinus, P_H, P_GQPlus, 2813, check)
    call createCurrent(P_HQ, P_ghWm, P_GPlus, P_ghZAnti, 2917, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 3685, check)
    call createCurrent(P_ZQ, P_WMinus, P_Z, P_WQPlus, 1554, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 2742, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_WMinus, P_WPlus, 1945, check)
    call createCurrent(P_b, P_H, P_bAnti, 1084, check)
    call createCurrent(P_GMinus, P_G0, P_ghWp, P_ghZAnti, 1403, check)
    call createCurrent(P_WQMinus, P_Z, P_ghZ, P_ghWmAnti, 2159, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, P_GQ0, 1352, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 642, check)
    call createCurrent(P_WQPlus, P_GMinus, P_A, P_HQ, 3721, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_A, P_ghA, 3228, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 1033, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Z, P_WPlus, 2044, check)
    call createCurrent(P_d, P_uAnti, P_GQPlus, 2352, check)
    call createCurrent(P_H, P_Z, P_A, 3831, check)
    call createCurrent(P_ZQ, P_GPlus, P_G0, P_WQMinus, 129, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 1287, check)
    call createCurrent(P_ghWp, P_H, P_ghZAnti, P_GQMinus, 1632, check)
    call createCurrent(P_ghWmAnti, P_A, P_WMinus, P_ghZ, 875, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, P_AQ, 2326, check)
    call createCurrent(P_dAnti, P_d, P_G0, 3755, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, P_HQ, 3776, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 1146, check)
    call createCurrent(P_WQMinus, P_ghZ, P_WPlus, P_ghAAnti, 176, check)
    call createCurrent(P_GQ0, P_GPlus, P_H, P_GQMinus, 2646, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 427, check)
    call createCurrent(P_bAnti, P_b, P_G0, 2737, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghZ, P_WPlus, 3778, check)
    call createCurrent(P_G0, P_ghWp, P_ghZAnti, P_GMinus, 846, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_AQ, 467, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, P_G0, 3369, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, P_A, 814, check)
    call createCurrent(P_WQMinus, P_ePlus, P_nu_e, 1616, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 2714, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 981, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 2826, check)
    call createCurrent(P_GQMinus, P_nu_e, P_ePlus, 2817, check)
    call createCurrent(P_H, P_ghWmAnti, P_H, P_ghWm, 711, check)
    call createCurrent(P_ZQ, P_GMinus, P_WQPlus, 1357, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 1185, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Z, P_WPlus, 1869, check)
    call createCurrent(P_GQ0, P_GPlus, P_GQMinus, 2723, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghAAnti, P_ghZ, 1623, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghA, P_WPlus, 3318, check)
    call createCurrent(P_ZQ, P_A, P_WMinus, P_WQPlus, 1900, check)
    call createCurrent(P_ghWm, P_GPlus, P_H, P_ghZAnti, 3171, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 3937, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 2662, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_WPlus, P_WQMinus, 74, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 3703, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghAAnti, P_H, 1168, check)
    call createCurrent(P_ghAAnti, P_ghA, P_WPlus, P_WQMinus, 423, check)
    call createCurrent(P_GQPlus, P_Z, P_A, P_GQMinus, 2505, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 852, check)
    call createCurrent(P_GQMinus, P_ghZAnti, P_GPlus, P_ghA, 1059, check)
    call createCurrent(P_GQPlus, P_H, P_GMinus, P_GQ0, 3488, check)
    call createCurrent(P_ghZ, P_Z, P_ghWmAnti, P_WMinus, 3437, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, P_Z, 3332, check)
    call createCurrent(P_WQPlus, P_ghZAnti, P_WMinus, P_ghZ, 995, check)
    call createCurrent(P_H, P_G0, P_G0, 1680, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 391, check)
    call createCurrent(P_bAnti, P_b, P_gQ, 3468, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 2746, check)
    call createCurrent(P_G0, P_G0, P_A, P_A, 3923, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_H, P_ghWm, 617, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 3934, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 3566, check)
    call createCurrent(P_ghAAnti, P_A, P_WPlus, P_ghWm, 1010, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 635, check)
    call createCurrent(P_HQ, P_GMinus, P_ghWp, P_ghAAnti, 1846, check)
    call createCurrent(P_AQ, P_sAnti, P_s, 1018, check)
    call createCurrent(P_g, P_ghGAnti, P_g, P_ghG, 184, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, P_Z, 3753, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_GQ0, 2404, check)
    call createCurrent(P_H, P_ghZAnti, P_GMinus, P_ghWp, 1698, check)
    call createCurrent(P_GQ0, P_A, P_GPlus, P_WQMinus, 181, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_GPlus, P_GQ0, 3687, check)
    call createCurrent(P_gQ, P_ghG, P_ghGAnti, 365, check)
    call createCurrent(P_WQPlus, P_G0, P_WMinus, P_GQ0, 3389, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, P_G0, 625, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_Z, P_ghWp, 3293, check)
    call createCurrent(P_ZQ, P_H, P_GQ0, 314, check)
    call createCurrent(P_g, P_g, P_g, P_A, 3931, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, P_GQ0, 1262, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 318, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, P_Z, 3735, check)
    call createCurrent(P_A, P_dAnti, P_d, 2380, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghAAnti, P_ghA, 3201, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 2240, check)
    call createCurrent(P_gQ, P_ghGAnti, P_ghG, 26, check)
    call createCurrent(P_GQ0, P_ghWpAnti, P_G0, P_ghWp, 3746, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_ZQ, 1518, check)
    call createCurrent(P_sAnti, P_s, 3843, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_A, P_WPlus, 1391, check)
    call createCurrent(P_ghZ, P_H, P_GPlus, P_ghWpAnti, 2739, check)
    call createCurrent(P_A, P_ghAAnti, P_ghWp, P_WMinus, 2122, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 917, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 1552, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 947, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 223, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, P_HQ, 571, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghZ, P_WMinus, 2803, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, P_GQ0, 1716, check)
    call createCurrent(P_ghA, P_Z, P_ghWmAnti, P_WMinus, 2990, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_GPlus, P_ghZ, 964, check)
    call createCurrent(P_gQ, P_d, P_dAnti, 1733, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 1851, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 2336, check)
    call createCurrent(P_HQ, P_GPlus, P_Z, P_WQMinus, 1577, check)
    call createCurrent(P_ghZ, P_A, P_ghWpAnti, P_WQPlus, 1712, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, P_G0, 3003, check)
    call createCurrent(P_Z, P_H, P_A, P_H, 3892, check)
    call createCurrent(P_GQMinus, P_G0, P_ghA, P_ghWmAnti, 908, check)
    call createCurrent(P_GQMinus, P_Z, P_GQPlus, 3135, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghAAnti, P_WPlus, 3757, check)
    call createCurrent(P_gQ, P_c, P_cAnti, 1977, check)
    call createCurrent(P_GQMinus, P_u, P_dAnti, 2224, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_Z, P_ghWp, 915, check)
    call createCurrent(P_ghWp, P_Z, P_WMinus, P_ghAAnti, 1230, check)
    call createCurrent(P_ghWpAnti, P_GMinus, P_ghWp, P_GPlus, 2755, check)
    call createCurrent(P_WMinus, P_ghWpAnti, P_ghWp, P_WPlus, 2634, check)
    call createCurrent(P_HQ, P_G0, P_ghWpAnti, P_ghWp, 210, check)
    call createCurrent(P_ZQ, P_cAnti, P_c, 606, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_H, P_ghA, 2518, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 881, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, 1593, check)
    call createCurrent(P_Z, P_ghWmAnti, P_WMinus, P_ghZ, 1647, check)
    call createCurrent(P_Z, P_ghAAnti, P_ghWm, P_WPlus, 2186, check)
    call createCurrent(P_u, P_uAnti, P_G0, 1899, check)
    call createCurrent(P_ghWmAnti, P_GPlus, P_GMinus, P_ghWm, 2667, check)
    call createCurrent(P_GQPlus, P_H, P_ghZ, P_ghWpAnti, 2708, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_G0, P_GQMinus, 1751, check)
    call createCurrent(P_H, P_tAnti, P_t, 923, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_AQ, 335, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghA, P_GQPlus, 1148, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghA, P_ghAAnti, 1505, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, P_Z, 2027, check)
    call createCurrent(P_t, P_G0, P_tAnti, 2863, check)
    call createCurrent(P_GMinus, P_ghA, P_H, P_ghWmAnti, 1679, check)
    call createCurrent(P_HQ, P_GMinus, P_A, P_WQPlus, 2703, check)
    call createCurrent(P_ZQ, P_GPlus, P_WQMinus, 1444, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 273, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 3797, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Z, P_WPlus, 873, check)
    call createCurrent(P_GQMinus, P_G0, P_ghZ, P_ghWmAnti, 3346, check)
    call createCurrent(P_G0, P_GPlus, P_ghZAnti, P_ghWm, 370, check)
    call createCurrent(P_GQPlus, P_ghZ, P_H, P_ghWpAnti, 517, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_HQ, 330, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, P_H, 811, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 1875, check)
    call createCurrent(P_ghA, P_GPlus, P_GMinus, P_ghZAnti, 3187, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, P_A, 3470, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 3055, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_Z, P_ghZ, 737, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 3846, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 1478, check)
    call createCurrent(P_GQMinus, P_t, P_bAnti, 1862, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 163, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, P_ZQ, 298, check)
    call createCurrent(P_GQ0, P_H, P_G0, P_HQ, 3095, check)
    call createCurrent(P_WQPlus, P_WMinus, P_A, P_ZQ, 445, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WQMinus, 1411, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghWp, P_WMinus, 434, check)
    call createCurrent(P_WPlus, P_ghA, P_ghAAnti, P_WMinus, 1127, check)
    call createCurrent(P_t, P_H, P_tAnti, 2564, check)
    call createCurrent(P_d, P_dAnti, P_ZQ, 213, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 182, check)
    call createCurrent(P_ghWp, P_GPlus, P_GMinus, P_ghWpAnti, 2851, check)
    call createCurrent(P_cAnti, P_c, P_Z, 2767, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_A, P_WPlus, 1319, check)
    call createCurrent(P_A, P_ghZAnti, P_WMinus, P_ghWp, 84, check)
    call createCurrent(P_ZQ, P_GPlus, P_A, P_GQMinus, 724, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, P_ZQ, 309, check)
    call createCurrent(P_ghA, P_WMinus, P_ghZAnti, P_WPlus, 3118, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 1625, check)
    call createCurrent(P_WMinus, P_ghWp, P_Z, P_ghAAnti, 3751, check)
    call createCurrent(P_ZQ, P_ghWpAnti, P_ghWp, 93, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, P_ZQ, 2529, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 3780, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 1296, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, P_A, 2400, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghWp, P_WMinus, 605, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 3781, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, P_GQ0, 2181, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 111, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 1972, check)
    call createCurrent(P_GQMinus, P_ghZ, P_H, P_ghWmAnti, 3762, check)
    call createCurrent(P_WMinus, P_WMinus, P_ghWp, P_ghWmAnti, 650, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 2335, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 603, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_AQ, 130, check)
    call createCurrent(P_GQ0, P_G0, P_ghZAnti, P_ghZ, 1640, check)
    call createCurrent(P_tAnti, P_t, P_GQ0, 3179, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 2943, check)
    call createCurrent(P_GMinus, P_ghWpAnti, P_GPlus, P_ghWp, 2675, check)
    call createCurrent(P_WQPlus, P_GMinus, P_HQ, 3486, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_G0, P_G0, 2642, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 3970, check)
    call createCurrent(P_H, P_uAnti, P_u, 3664, check)
    call createCurrent(P_u, P_A, P_uAnti, 235, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 2999, check)
    call createCurrent(P_gQ, P_bAnti, P_b, 172, check)
    call createCurrent(P_G0, P_ghWm, P_G0, P_ghWmAnti, 3274, check)
    call createCurrent(P_GPlus, P_G0, P_ghWm, P_ghAAnti, 1470, check)
    call createCurrent(P_A, P_u, P_uAnti, 878, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_A, P_WMinus, 3126, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WQPlus, 125, check)
    call createCurrent(P_GQ0, P_G0, P_ghWpAnti, P_ghWp, 1283, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 1562, check)
    call createCurrent(P_GQMinus, P_H, P_H, P_GQPlus, 920, check)
    call createCurrent(P_H, P_ghAAnti, P_ghWp, P_GMinus, 2337, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 3398, check)
    call createCurrent(P_ghWpAnti, P_Z, P_A, P_ghWp, 62, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 2141, check)
    call createCurrent(P_WQPlus, P_H, P_H, P_WQMinus, 2434, check)
    call createCurrent(P_ZQ, P_GMinus, P_H, P_WQPlus, 3249, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 1399, check)
    call createCurrent(P_WQPlus, P_A, P_WMinus, P_AQ, 1054, check)
    call createCurrent(P_gQ, P_g, P_ghGAnti, P_ghG, 3297, check)
    call createCurrent(P_ghZAnti, P_H, P_GPlus, P_ghWm, 3677, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 2160, check)
    call createCurrent(P_G0, P_ghAAnti, P_GMinus, P_ghWp, 2087, check)
    call createCurrent(P_WQMinus, P_WPlus, P_G0, P_GQ0, 1543, check)
    call createCurrent(P_GQPlus, P_G0, P_WMinus, P_AQ, 3181, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 2577, check)
    call createCurrent(P_GQ0, P_ghWm, P_G0, P_ghWmAnti, 973, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 363, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_GPlus, P_ghA, 1980, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 3220, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WQPlus, 714, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 3302, check)
    call createCurrent(P_ghA, P_H, P_ghWpAnti, P_GQPlus, 1412, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, P_ZQ, 121, check)
    call createCurrent(P_g, P_A, P_g, P_g, 3939, check)
    call createCurrent(P_ghWmAnti, P_G0, P_GMinus, P_ghA, 2936, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_A, P_WMinus, 2311, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 1372, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 1180, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 377, check)
    call createCurrent(P_WQMinus, P_ghAAnti, P_WPlus, P_ghA, 359, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 1179, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghAAnti, P_ghA, 1061, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 3376, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 1646, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 1314, check)
    call createCurrent(P_GQPlus, P_ghWmAnti, P_GMinus, P_ghWm, 1595, check)
    call createCurrent(P_WPlus, P_ghA, P_WMinus, P_ghZAnti, 2150, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 783, check)
    call createCurrent(P_g, P_g, P_ghGAnti, P_ghG, 9, check)
    call createCurrent(P_Z, P_ghWm, P_ghAAnti, P_WPlus, 2379, check)
    call createCurrent(P_GQMinus, P_WPlus, P_HQ, 1840, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 1877, check)
    call createCurrent(P_ghA, P_Z, P_ghWpAnti, P_WPlus, 1581, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, P_H, 3416, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 3464, check)
    call createCurrent(P_WQPlus, P_H, P_WQMinus, 3271, check)
    call createCurrent(P_G0, P_A, P_H, 3882, check)
    call createCurrent(P_ghZ, P_WPlus, P_A, P_ghWpAnti, 2006, check)
    call createCurrent(P_ghWp, P_G0, P_ghZAnti, P_GQMinus, 2568, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 2320, check)
    call createCurrent(P_GQPlus, P_G0, P_GMinus, P_HQ, 1197, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_H, P_GQPlus, 870, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 3554, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_Z, P_ghA, 987, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_GMinus, P_ghZ, 2604, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, P_HQ, 2625, check)
    call createCurrent(P_ghA, P_GMinus, P_ghAAnti, P_GPlus, 95, check)
    call createCurrent(P_Z, P_Z, P_A, P_A, 3989, check)
    call createCurrent(P_AQ, P_muMinus, P_muPlus, 2048, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, P_Z, 2138, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, P_G0, 1227, check)
    call createCurrent(P_GQ0, P_cAnti, P_c, 2821, check)
    call createCurrent(P_H, P_ghZAnti, P_H, P_ghZ, 3173, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GQMinus, 2482, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 3403, check)
    call createCurrent(P_WPlus, P_A, P_ghAAnti, P_ghWm, 659, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GMinus, P_GQPlus, 2333, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, P_A, 1735, check)
    call createCurrent(P_c, P_sAnti, P_GQMinus, 2695, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 2407, check)
    call createCurrent(P_A, P_WMinus, P_ghA, P_ghWmAnti, 1044, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 3683, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_G0, P_GPlus, 2166, check)
    call createCurrent(P_GQMinus, P_A, P_GQPlus, 816, check)
    call createCurrent(P_ghWpAnti, P_Z, P_WPlus, P_ghZ, 1431, check)
    call createCurrent(P_ghZ, P_GMinus, P_G0, P_ghWmAnti, 2017, check)
    call createCurrent(P_H, P_Z, P_Z, 1982, check)
    call createCurrent(P_HQ, P_ghWmAnti, P_GMinus, P_ghZ, 1795, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_A, P_WPlus, 566, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 629, check)
    call createCurrent(P_uAnti, P_u, P_gQ, 1043, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 3150, check)
    call createCurrent(P_H, P_sAnti, P_s, 3619, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghZAnti, P_WMinus, 601, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 3645, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 166, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 1513, check)
    call createCurrent(P_WPlus, P_ghWm, P_WMinus, P_ghWmAnti, 1608, check)
    call createCurrent(P_HQ, P_ghWp, P_GMinus, P_ghZAnti, 375, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 4007, check)
    call createCurrent(P_ZQ, P_WMinus, P_GPlus, P_GQ0, 1382, check)
    call createCurrent(P_GQPlus, P_ghZ, P_G0, P_ghWpAnti, 276, check)
    call createCurrent(P_u, P_uAnti, P_H, 437, check)
    call createCurrent(P_WQPlus, P_ghA, P_WMinus, P_ghAAnti, 2854, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, P_GQ0, 3708, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghZAnti, P_ghZ, 1042, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 2356, check)
    call createCurrent(P_muPlus, P_muMinus, P_AQ, 2683, check)
    call createCurrent(P_WQPlus, P_GMinus, P_G0, P_ZQ, 1199, check)
    call createCurrent(P_ZQ, P_ghZAnti, P_WPlus, P_ghWm, 1447, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 3294, check)
    call createCurrent(P_WPlus, P_ghWm, P_Z, P_ghZAnti, 2507, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_GMinus, P_ghZ, 3381, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 840, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 371, check)
    call createCurrent(P_g, P_A, P_g, P_A, 4014, check)
    call createCurrent(P_GQ0, P_GMinus, P_G0, P_GQPlus, 3419, check)
    call createCurrent(P_GQMinus, P_GPlus, P_A, P_AQ, 35, check)
    call createCurrent(P_ZQ, P_GMinus, P_GQPlus, 2113, check)
    call createCurrent(P_A, P_ghWmAnti, P_WMinus, P_ghZ, 1306, check)
    call createCurrent(P_AQ, P_A, P_WPlus, P_WQMinus, 2974, check)
    call createCurrent(P_b, P_bAnti, P_H, 701, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_Z, P_WMinus, 3541, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 2281, check)
    call createCurrent(P_t, P_tAnti, P_AQ, 754, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 792, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghA, P_GQPlus, 1009, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, P_Z, 2190, check)
    call createCurrent(P_d, P_dAnti, P_g, 2184, check)
    call createCurrent(P_HQ, P_GPlus, P_ghWpAnti, P_ghZ, 2712, check)
    call createCurrent(P_ghWm, P_H, P_ghAAnti, P_GPlus, 1167, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghZ, P_G0, 624, check)
    call createCurrent(P_ghZ, P_Z, P_ghWpAnti, P_WQPlus, 1836, check)
    call createCurrent(P_AQ, P_bAnti, P_b, 2204, check)
    call createCurrent(P_ghWp, P_WMinus, P_WMinus, P_ghWmAnti, 3467, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, P_G0, 1092, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 2648, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghA, P_ghZAnti, 344, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, P_Z, 2842, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, P_AQ, 3585, check)
    call createCurrent(P_ZQ, P_WPlus, P_GQMinus, 3163, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 1130, check)
    call createCurrent(P_HQ, P_WPlus, P_A, P_GQMinus, 1465, check)
    call createCurrent(P_ghAAnti, P_G0, P_ghWm, P_GPlus, 453, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 3393, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 72, check)
    call createCurrent(P_ZQ, P_WMinus, P_ghAAnti, P_ghWp, 3078, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 2698, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 3964, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 3734, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 3930, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 1762, check)
    call createCurrent(P_t, P_tAnti, P_GQ0, 980, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, P_A, 2692, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 3908, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghZ, P_GQPlus, 3029, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghWmAnti, P_WMinus, 3477, check)
    call createCurrent(P_HQ, P_H, P_ghWpAnti, P_ghWp, 3772, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, P_Z, 1958, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Z, P_GQ0, 1078, check)
    call createCurrent(P_GQMinus, P_G0, P_ghZAnti, P_ghWp, 2545, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 748, check)
    call createCurrent(P_GQ0, P_WPlus, P_G0, P_WQMinus, 2528, check)
    call createCurrent(P_GQMinus, P_bAnti, P_t, 3756, check)
    call createCurrent(P_ghA, P_WMinus, P_WPlus, P_ghAAnti, 319, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 3952, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ZQ, 403, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 3056, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghAAnti, P_H, 3632, check)
    call createCurrent(P_GPlus, P_GMinus, 3876, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, P_ZQ, 1845, check)
    call createCurrent(P_A, P_ghZ, P_WMinus, P_ghWmAnti, 1071, check)
    call createCurrent(P_GQPlus, P_GMinus, P_G0, P_HQ, 770, check)
    call createCurrent(P_ghWm, P_Z, P_ghAAnti, P_WPlus, 1587, check)
    call createCurrent(P_c, P_g, P_cAnti, 3330, check)
    call createCurrent(P_A, P_Z, P_Z, P_Z, 3968, check)
    call createCurrent(P_ZQ, P_GPlus, P_H, P_WQMinus, 3243, check)
    call createCurrent(P_WQPlus, P_Z, P_G0, P_GQMinus, 2995, check)
    call createCurrent(P_c, P_cAnti, P_Z, 2411, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghA, P_ghAAnti, 965, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 1450, check)
    call createCurrent(P_H, P_GPlus, P_ghZ, P_ghWpAnti, 113, check)
    call createCurrent(P_A, P_ghAAnti, P_ghWm, P_WPlus, 2910, check)
    call createCurrent(P_WMinus, P_ghZ, P_A, P_ghWmAnti, 245, check)
    call createCurrent(P_AQ, P_GPlus, P_H, P_WQMinus, 2622, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 1687, check)
    call createCurrent(P_muMinus, P_muPlus, P_AQ, 2997, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 2835, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, P_G0, 2358, check)
    call createCurrent(P_WQMinus, P_tauPlus, P_nu_tau, 1903, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghWmAnti, P_WQMinus, 1150, check)
    call createCurrent(P_G0, P_GMinus, P_ghZAnti, P_ghWp, 2077, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 3456, check)
    call createCurrent(P_ghA, P_Z, P_WMinus, P_ghWmAnti, 903, check)
    call createCurrent(P_GQPlus, P_muMinus, P_nu_muAnti, 341, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 2812, check)
    call createCurrent(P_ZQ, P_WPlus, P_GMinus, P_HQ, 1203, check)
    call createCurrent(P_GQMinus, P_Z, P_WPlus, P_GQ0, 3345, check)
    call createCurrent(P_GQMinus, P_H, P_ghWp, P_ghZAnti, 3136, check)
    call createCurrent(P_dAnti, P_Z, P_d, 249, check)
    call createCurrent(P_AQ, P_GMinus, P_WQPlus, 3, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 1011, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghAAnti, P_WQMinus, 1798, check)
    call createCurrent(P_WQMinus, P_bAnti, P_t, 2340, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghWp, P_GQMinus, 162, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 3481, check)
    call createCurrent(P_ZQ, P_Z, P_ghWp, P_ghWpAnti, 29, check)
    call createCurrent(P_AQ, P_uAnti, P_u, 769, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 4000, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_H, P_GQPlus, 2392, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 2328, check)
    call createCurrent(P_ghA, P_A, P_ghWmAnti, P_WMinus, 698, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Z, P_HQ, 3679, check)
    call createCurrent(P_cAnti, P_c, P_ZQ, 589, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 206, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 3436, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghWmAnti, P_GMinus, 122, check)
    call createCurrent(P_ghA, P_G0, P_ghWmAnti, P_GMinus, 3792, check)
    call createCurrent(P_dAnti, P_d, P_AQ, 1537, check)
    call createCurrent(P_uAnti, P_u, P_G0, 90, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_H, 238, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 78, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghWmAnti, P_ghWm, 857, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 102, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 2585, check)
    call createCurrent(P_WMinus, P_Z, P_ghWp, P_ghAAnti, 3100, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_WPlus, P_ghZ, 3493, check)
    call createCurrent(P_Z, P_ghWmAnti, P_A, P_ghWm, 3521, check)
    call createCurrent(P_ghZ, P_GMinus, P_GPlus, P_ghZAnti, 1272, check)
    call createCurrent(P_GPlus, P_G0, P_ghZAnti, P_ghWm, 2976, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_WPlus, P_ghWm, 2888, check)
    call createCurrent(P_WQPlus, P_GMinus, P_G0, P_AQ, 3638, check)
    call createCurrent(P_WQMinus, P_nu_mu, P_muPlus, 1152, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, P_Z, 3342, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghWp, P_ghWpAnti, 3001, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, P_A, 2853, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 396, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_H, 3654, check)
    call createCurrent(P_HQ, P_A, P_GMinus, P_WQPlus, 1512, check)
    call createCurrent(P_AQ, P_ghWp, P_ghWpAnti, 1102, check)
    call createCurrent(P_WPlus, P_Z, P_ghA, P_ghWpAnti, 3190, check)
    call createCurrent(P_GQPlus, P_G0, P_ghWpAnti, P_ghA, 2469, check)
    call createCurrent(P_Z, P_WMinus, P_ghAAnti, P_ghWp, 279, check)
    call createCurrent(P_ZQ, P_Z, P_H, P_HQ, 3313, check)
    call createCurrent(P_GQMinus, P_GPlus, P_A, P_ZQ, 1231, check)
    call createCurrent(P_GPlus, P_ghWm, P_H, P_ghZAnti, 2857, check)
    call createCurrent(P_AQ, P_ghZAnti, P_WPlus, P_ghWm, 577, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghAAnti, P_WMinus, 2203, check)
    call createCurrent(P_ghA, P_ghAAnti, P_GMinus, P_GQPlus, 3328, check)
    call createCurrent(P_uAnti, P_H, P_u, 1037, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghZ, P_GMinus, 1867, check)
    call createCurrent(P_WMinus, P_ghZ, P_WPlus, P_ghZAnti, 45, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_G0, P_GQ0, 3048, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghA, P_ghZAnti, 2802, check)
    call createCurrent(P_ghWm, P_WMinus, P_ghWmAnti, P_WPlus, 3397, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_GQ0, 2349, check)
    call createCurrent(P_HQ, P_ghWm, P_ghWmAnti, 1848, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, P_G0, 3497, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 3946, check)
    call createCurrent(P_GQMinus, P_GPlus, P_G0, P_GQ0, 1407, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GMinus, P_GPlus, 1006, check)
    call createCurrent(P_WQPlus, P_GMinus, P_Z, P_HQ, 1297, check)
    call createCurrent(P_Z, P_Z, P_Z, P_A, 3969, check)
    call createCurrent(P_AQ, P_ghWp, P_WMinus, P_ghAAnti, 3505, check)
    call createCurrent(P_GQPlus, P_Z, P_GQMinus, 2520, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Z, P_WQMinus, 544, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_GPlus, P_ghWm, 2090, check)
    call createCurrent(P_WQPlus, P_WMinus, P_G0, P_HQ, 373, check)
    call createCurrent(P_GQPlus, P_G0, P_G0, P_GQMinus, 401, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 3936, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 1085, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 2658, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_G0, P_ghZ, 1025, check)
    call createCurrent(P_WQMinus, P_A, P_GPlus, P_GQ0, 2237, check)
    call createCurrent(P_WQMinus, P_WPlus, P_GMinus, P_GQPlus, 3571, check)
    call createCurrent(P_uAnti, P_u, P_ZQ, 2598, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 3427, check)
    call createCurrent(P_H, P_A, P_H, P_Z, 3871, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghZAnti, P_ghA, 521, check)
    call createCurrent(P_H, P_GPlus, P_ghA, P_ghWpAnti, 1951, check)
    call createCurrent(P_GQ0, P_H, P_GQ0, 674, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 2782, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GQMinus, 1654, check)
    call createCurrent(P_ZQ, P_GPlus, P_GMinus, P_ZQ, 827, check)
    call createCurrent(P_A, P_ghWmAnti, P_A, P_ghWm, 2479, check)
    call createCurrent(P_dAnti, P_d, P_gQ, 2146, check)
    call createCurrent(P_GPlus, P_ghWm, P_G0, P_ghAAnti, 2818, check)
    call createCurrent(P_A, P_A, P_g, P_g, 3959, check)
    call createCurrent(P_G0, P_ghWp, P_ghAAnti, P_GMinus, 3799, check)
    call createCurrent(P_GQ0, P_H, P_H, P_GQ0, 11, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, P_A, 3510, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 3361, check)
    call createCurrent(P_cAnti, P_s, P_GQPlus, 1055, check)
    call createCurrent(P_A, P_G0, P_G0, P_A, 3950, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_H, 457, check)
    call createCurrent(P_ghA, P_ghZAnti, P_GMinus, P_GQPlus, 188, check)
    call createCurrent(P_b, P_bAnti, P_Z, 299, check)
    call createCurrent(P_GQ0, P_WMinus, P_G0, P_WQPlus, 3231, check)
    call createCurrent(P_ghWp, P_G0, P_ghAAnti, P_GMinus, 466, check)
    call createCurrent(P_GQ0, P_eMinus, P_ePlus, 398, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_G0, P_GQ0, 2651, check)
    call createCurrent(P_Z, P_Z, 3855, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_AQ, 833, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, P_H, 3706, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 215, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 4013, check)
    call createCurrent(P_AQ, P_GPlus, P_G0, P_WQMinus, 3116, check)
    call createCurrent(P_WPlus, P_ghWm, P_Z, P_ghAAnti, 2229, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 3310, check)
    call createCurrent(P_uAnti, P_d, P_WQPlus, 2355, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 3563, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 1052, check)
    call createCurrent(P_WQPlus, P_muMinus, P_nu_muAnti, 1710, check)
    call createCurrent(P_g, P_g, 3868, check)
    call createCurrent(P_ghWpAnti, P_H, P_H, P_ghWp, 3172, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, P_Z, 533, check)
    call createCurrent(P_G0, P_ghWp, P_GMinus, P_ghAAnti, 2266, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghZAnti, P_WMinus, 1706, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 3351, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 3983, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghAAnti, P_GPlus, 588, check)
    call createCurrent(P_Z, P_sAnti, P_s, 501, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 890, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, P_HQ, 775, check)
    call createCurrent(P_GMinus, P_H, P_ghZ, P_ghWmAnti, 2896, check)
    call createCurrent(P_GQPlus, P_A, P_GQMinus, 2483, check)
    call createCurrent(P_GQMinus, P_nu_tau, P_tauPlus, 610, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghZ, P_ghAAnti, 652, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 2019, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WQPlus, 79, check)
    call createCurrent(P_WQMinus, P_WMinus, P_ghWmAnti, P_ghWp, 1944, check)
    call createCurrent(P_GMinus, P_ghA, P_ghAAnti, P_GPlus, 2, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghZAnti, P_ghA, 2341, check)
    call createCurrent(P_WMinus, P_ghWp, P_WMinus, P_ghWmAnti, 1143, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 1693, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 3289, check)
    call createCurrent(P_GQPlus, P_ghA, P_G0, P_ghWpAnti, 1060, check)
    call createCurrent(P_WPlus, P_ghA, P_ghZAnti, P_WMinus, 2694, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, P_A, 1519, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_GPlus, P_GQMinus, 1772, check)
    call createCurrent(P_GMinus, P_ghWp, P_GPlus, P_ghWpAnti, 627, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 3994, check)
    call createCurrent(P_GQPlus, P_WMinus, P_H, P_AQ, 3024, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, P_Z, 2140, check)
    call createCurrent(P_A, P_G0, P_H, 3849, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Z, P_ZQ, 120, check)
    call createCurrent(P_G0, P_G0, P_ghWp, P_ghWpAnti, 3801, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghWpAnti, P_ghZ, 883, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, P_AQ, 1491, check)
    call createCurrent(P_GMinus, P_H, P_ghWp, P_ghAAnti, 1264, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 3814, check)
    call createCurrent(P_ghWm, P_G0, P_G0, P_ghWmAnti, 3452, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 3524, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 1257, check)
    call createCurrent(P_G0, P_A, P_G0, P_A, 3943, check)
    call createCurrent(P_H, P_s, P_sAnti, 2820, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_WMinus, P_ghZ, 2147, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, P_ZQ, 1655, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghZ, P_WPlus, 1832, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 2126, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, P_AQ, 590, check)
    call createCurrent(P_GQPlus, P_A, P_Z, P_GQMinus, 1217, check)
    call createCurrent(P_HQ, P_WPlus, P_WQMinus, 801, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 1888, check)
    call createCurrent(P_ghWp, P_H, P_ghAAnti, P_GMinus, 3061, check)
    call createCurrent(P_WQPlus, P_WPlus, P_ghWm, P_ghWpAnti, 2559, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 3957, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 2063, check)
    call createCurrent(P_tAnti, P_g, P_t, 3044, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, P_HQ, 1800, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 3857, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 306, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 1539, check)
    call createCurrent(P_Z, P_WMinus, P_ghWmAnti, P_ghZ, 725, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_GPlus, P_G0, 3712, check)
    call createCurrent(P_eMinus, P_ePlus, P_HQ, 2135, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 2629, check)
    call createCurrent(P_sAnti, P_s, P_AQ, 54, check)
    call createCurrent(P_WQMinus, P_Z, P_GPlus, P_HQ, 504, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, P_Z, 2827, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, P_AQ, 1814, check)
    call createCurrent(P_WQPlus, P_WPlus, P_WMinus, P_WQMinus, 2733, check)
    call createCurrent(P_ZQ, P_A, P_GPlus, P_GQMinus, 255, check)
    call createCurrent(P_AQ, P_A, P_ghWmAnti, P_ghWm, 1446, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_WMinus, P_WQPlus, 1817, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 1108, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 2095, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 2205, check)
    call createCurrent(P_WQPlus, P_ghWmAnti, P_WMinus, P_ghWm, 2789, check)
    call createCurrent(P_ghWp, P_A, P_ghZAnti, P_WMinus, 1606, check)
    call createCurrent(P_GQ0, P_ghZAnti, P_GPlus, P_ghWm, 1397, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 1515, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 1404, check)
    call createCurrent(P_WMinus, P_WPlus, 3819, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, P_G0, 2226, check)
    call createCurrent(P_ghA, P_H, P_ghWmAnti, P_GQMinus, 3109, check)
    call createCurrent(P_Z, P_A, P_ghWmAnti, P_ghWm, 2618, check)
    call createCurrent(P_G0, P_ghA, P_GMinus, P_ghWmAnti, 2765, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 563, check)
    call createCurrent(P_ePlus, P_nu_e, P_GQMinus, 1607, check)
    call createCurrent(P_H, P_H, P_H, P_H, 2900, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_G0, P_GMinus, 1692, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 3317, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 3914, check)
    call createCurrent(P_HQ, P_WPlus, P_G0, P_WQMinus, 3090, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, P_ZQ, 1214, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_A, P_ghA, 1234, check)
    call createCurrent(P_ghWp, P_GMinus, P_G0, P_ghAAnti, 3054, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghA, P_WPlus, 2192, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, P_AQ, 2760, check)
    call createCurrent(P_G0, P_ghAAnti, P_ghWp, P_GMinus, 3408, check)
    call createCurrent(P_nu_e, P_ePlus, P_GQMinus, 1138, check)
    call createCurrent(P_G0, P_GPlus, P_ghWpAnti, P_ghA, 2635, check)
    call createCurrent(P_Z, P_A, P_A, P_Z, 3963, check)
    call createCurrent(P_HQ, P_ghZ, P_GMinus, P_ghWmAnti, 2810, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, P_H, 849, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WQPlus, 499, check)
    call createCurrent(P_GQPlus, P_WMinus, P_Z, P_HQ, 3602, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 473, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghZ, P_WPlus, 264, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghAAnti, P_ghWm, 2208, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_G0, P_ghWm, 3023, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 137, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_G0, P_GQMinus, 2252, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 2289, check)
    call createCurrent(P_GQPlus, P_H, P_ghA, P_ghWpAnti, 2592, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 274, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 38, check)
    call createCurrent(P_uAnti, P_G0, P_u, 1992, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, P_HQ, 732, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 743, check)
    call createCurrent(P_sAnti, P_c, P_GQMinus, 237, check)
    call createCurrent(P_c, P_A, P_cAnti, 2560, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_G0, P_GQMinus, 1349, check)
    call createCurrent(P_ghZAnti, P_G0, P_GMinus, P_ghWp, 3634, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 1821, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 684, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, P_GQ0, 2603, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghZ, P_WQPlus, 259, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 1420, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 3450, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 1162, check)
    call createCurrent(P_ghWm, P_G0, P_ghAAnti, P_GPlus, 2744, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_G0, P_ghZ, 3407, check)
    call createCurrent(P_AQ, P_Z, P_ghWmAnti, P_ghWm, 1834, check)
    call createCurrent(P_ghA, P_WPlus, P_ghZAnti, P_WMinus, 3492, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_HQ, 1776, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 623, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 1115, check)
    call createCurrent(P_Z, P_A, P_H, 3896, check)
    call createCurrent(P_A, P_WPlus, P_ghZ, P_ghWpAnti, 3748, check)
    call createCurrent(P_GQPlus, P_ghAAnti, P_GMinus, P_ghZ, 152, check)
    call createCurrent(P_bAnti, P_b, 3824, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 429, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 1415, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghA, P_WQMinus, 173, check)
    call createCurrent(P_A, P_H, P_H, P_Z, 3888, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 248, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 4002, check)
    call createCurrent(P_GQPlus, P_H, P_GMinus, P_HQ, 2189, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghWm, P_GQPlus, 697, check)
    call createCurrent(P_ghAAnti, P_Z, P_ghWp, P_WMinus, 100, check)
    call createCurrent(P_cAnti, P_c, P_GQ0, 1956, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 1861, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_Z, P_ghA, 919, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, P_Z, 3695, check)
    call createCurrent(P_WMinus, P_A, P_ghWp, P_ghAAnti, 331, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 3890, check)
    call createCurrent(P_GQ0, P_GMinus, P_Z, P_WQPlus, 848, check)
    call createCurrent(P_HQ, P_WMinus, P_WQPlus, 879, check)
    call createCurrent(P_t, P_tAnti, P_Z, 271, check)
    call createCurrent(P_GQMinus, P_WPlus, P_G0, P_ZQ, 1053, check)
    call createCurrent(P_Z, P_ghWm, P_Z, P_ghWmAnti, 1195, check)
    call createCurrent(P_A, P_WMinus, P_ghWmAnti, P_ghZ, 3339, check)
    call createCurrent(P_G0, P_GPlus, P_ghA, P_ghWpAnti, 1101, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 2235, check)
    call createCurrent(P_AQ, P_d, P_dAnti, 1339, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghA, P_WPlus, 3139, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 3007, check)
    call createCurrent(P_ghA, P_GMinus, P_GPlus, P_ghZAnti, 2930, check)
    call createCurrent(P_ZQ, P_WPlus, P_WMinus, P_AQ, 1728, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 2859, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Z, P_WMinus, 2008, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghA, P_GMinus, 2904, check)
    call createCurrent(P_d, P_A, P_dAnti, 135, check)
    call createCurrent(P_GQMinus, P_A, P_WPlus, P_GQ0, 2645, check)
    call createCurrent(P_ZQ, P_WPlus, P_ghWm, P_ghAAnti, 61, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 3520, check)
    call createCurrent(P_WPlus, P_ghWmAnti, P_WMinus, P_ghWm, 1876, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 1320, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 3987, check)
    call createCurrent(P_A, P_ghWp, P_A, P_ghWpAnti, 3156, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghA, P_ghZAnti, 3442, check)
    call createCurrent(P_ZQ, P_nu_eAnti, P_nu_e, 1740, check)
    call createCurrent(P_HQ, P_A, P_GPlus, P_WQMinus, 16, check)
    call createCurrent(P_ePlus, P_eMinus, P_AQ, 645, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 3219, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_A, 2259, check)
    call createCurrent(P_ghA, P_WMinus, P_ghAAnti, P_WPlus, 1881, check)
    call createCurrent(P_WQPlus, P_A, P_A, P_WQMinus, 2302, check)
    call createCurrent(P_GQMinus, P_ghAAnti, P_GPlus, P_ghA, 2283, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 3535, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_H, 531, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghZ, P_GQ0, 3598, check)
    call createCurrent(P_GQ0, P_H, P_ghWpAnti, P_ghWp, 2665, check)
    call createCurrent(P_WQPlus, P_GMinus, P_H, P_AQ, 1109, check)
    call createCurrent(P_ZQ, P_b, P_bAnti, 3700, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghWpAnti, P_ghWp, 3529, check)
    call createCurrent(P_WPlus, P_ghZ, P_WMinus, P_ghAAnti, 2091, check)
    call createCurrent(P_ghA, P_G0, P_GMinus, P_ghWmAnti, 1413, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghA, P_GMinus, 110, check)
    call createCurrent(P_Z, P_WPlus, P_ghWpAnti, P_ghA, 761, check)
    call createCurrent(P_ghWp, P_H, P_ghZAnti, P_GMinus, 3383, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, P_g, 1021, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, P_ZQ, 1500, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_A, P_ghWp, 3233, check)
    call createCurrent(P_ghZ, P_G0, P_ghWmAnti, P_GQMinus, 366, check)
    call createCurrent(P_GQMinus, P_WPlus, P_A, P_HQ, 2384, check)
    call createCurrent(P_eMinus, P_ePlus, P_AQ, 3523, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GPlus, P_GMinus, 749, check)
    call createCurrent(P_WQPlus, P_WMinus, P_G0, P_GQ0, 2849, check)
    call createCurrent(P_ZQ, P_WPlus, P_WMinus, P_ZQ, 3409, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, P_G0, 3525, check)
    call createCurrent(P_b, P_bAnti, P_GQ0, 2089, check)
    call createCurrent(P_gQ, P_cAnti, P_c, 2644, check)
    call createCurrent(P_Z, P_ghWm, P_WPlus, P_ghAAnti, 2085, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_GPlus, P_ghZ, 3031, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 1395, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 470, check)
    call createCurrent(P_ghA, P_ghZAnti, P_WPlus, P_WMinus, 1747, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Z, P_AQ, 2805, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 178, check)
    call createCurrent(P_A, P_ghAAnti, P_WMinus, P_ghWp, 1351, check)
    call createCurrent(P_H, P_H, P_ghWm, P_ghWmAnti, 2647, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 3141, check)
    call createCurrent(P_g, P_t, P_tAnti, 3360, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 2369, check)
    call createCurrent(P_s, P_sAnti, P_G0, 523, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 3982, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 2649, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_WMinus, P_WQPlus, 2498, check)
    call createCurrent(P_WQMinus, P_WPlus, P_HQ, 3371, check)
    call createCurrent(P_H, P_bAnti, P_b, 2480, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 2719, check)
    call createCurrent(P_bAnti, P_b, P_GQ0, 476, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 236, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, 2188, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, P_Z, 1773, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghZAnti, P_ghA, 1325, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_G0, P_ghA, 2444, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 3528, check)
    call createCurrent(P_u, P_H, P_uAnti, 1087, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, P_HQ, 546, check)
    call createCurrent(P_ZQ, P_G0, P_GMinus, P_WQPlus, 2906, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 3144, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 3945, check)
    call createCurrent(P_G0, P_ghWmAnti, P_GMinus, P_ghZ, 2775, check)
    call createCurrent(P_ghZAnti, P_H, P_GMinus, P_ghWp, 2360, check)
    call createCurrent(P_G0, P_G0, P_ghWpAnti, P_ghWp, 3804, check)
    call createCurrent(P_GPlus, P_G0, P_ghWm, P_ghZAnti, 855, check)
    call createCurrent(P_Z, P_t, P_tAnti, 930, check)
    call createCurrent(P_WMinus, P_ghA, P_ghAAnti, P_WPlus, 713, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 766, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_G0, P_ghZ, 3391, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_Z, P_ghWm, 2759, check)
    call createCurrent(P_WQPlus, P_ghWm, P_WMinus, P_ghWmAnti, 2285, check)
    call createCurrent(P_WQMinus, P_G0, P_GPlus, P_ZQ, 3075, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_HQ, 1430, check)
    call createCurrent(P_GQPlus, P_Z, P_WMinus, P_HQ, 1676, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 2984, check)
    call createCurrent(P_H, P_ghWm, P_GPlus, P_ghAAnti, 2678, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_H, P_GQPlus, 459, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghWmAnti, P_ghWm, 1233, check)
    call createCurrent(P_Z, P_c, P_cAnti, 139, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 99, check)
    call createCurrent(P_HQ, P_tAnti, P_t, 1886, check)
    call createCurrent(P_ZQ, P_G0, P_WPlus, P_GQMinus, 2319, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, P_H, 1182, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, P_AQ, 2244, check)
    call createCurrent(P_GMinus, P_G0, P_ghA, P_ghWmAnti, 65, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghWp, 1039, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_G0, 2015, check)
    call createCurrent(P_WQPlus, P_ghZ, P_A, P_ghWpAnti, 1531, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Z, P_WPlus, 1479, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, P_Z, 830, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 1522, check)
    call createCurrent(P_b, P_g, P_bAnti, 170, check)
    call createCurrent(P_gQ, P_ghGAnti, P_g, P_ghG, 3333, check)
    call createCurrent(P_gQ, P_g, P_ghG, P_ghGAnti, 3094, check)
    call createCurrent(P_GQ0, P_A, P_GMinus, P_WQPlus, 1380, check)
    call createCurrent(P_WQMinus, P_Z, P_WPlus, P_AQ, 3603, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 2825, check)
    call createCurrent(P_GQ0, P_H, P_ghWp, P_ghWpAnti, 2234, check)
    call createCurrent(P_ZQ, P_WPlus, P_GMinus, P_GQ0, 1145, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 253, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, P_gQ, 1983, check)
    call createCurrent(P_GQMinus, P_H, P_ghZAnti, P_ghWp, 378, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 1975, check)
    call createCurrent(P_GQMinus, P_Z, P_WPlus, P_HQ, 1806, check)
    call createCurrent(P_GQ0, P_WMinus, P_Z, P_GQPlus, 838, check)
    call createCurrent(P_WMinus, P_A, P_ghWmAnti, P_ghA, 2533, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 630, check)
    call createCurrent(P_AQ, P_ghWp, P_WMinus, P_ghZAnti, 540, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, P_G0, 169, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghA, P_GMinus, 3370, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 3009, check)
    call createCurrent(P_WQPlus, P_d, P_uAnti, 660, check)
    call createCurrent(P_H, P_GMinus, P_ghZ, P_ghWmAnti, 3202, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 2571, check)
    call createCurrent(P_G0, P_ghWm, P_GPlus, P_ghZAnti, 2687, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 1677, check)
    call createCurrent(P_GQ0, P_ghWp, P_H, P_ghWpAnti, 543, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, P_HQ, 2838, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, P_HQ, 956, check)
    call createCurrent(P_bAnti, P_b, P_HQ, 2978, check)
    call createCurrent(P_AQ, P_cAnti, P_c, 1672, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghZ, P_ghZAnti, 3142, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 1379, check)
    call createCurrent(P_GQMinus, P_ghZAnti, P_G0, P_ghWp, 944, check)
    call createCurrent(P_GQ0, P_ghWp, P_G0, P_ghWpAnti, 3076, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_Z, 167, check)
    call createCurrent(P_AQ, P_dAnti, P_d, 2881, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 3255, check)
    call createCurrent(P_HQ, P_GMinus, P_Z, P_WQPlus, 2799, check)
    call createCurrent(P_tAnti, P_t, P_gQ, 2967, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 763, check)
    call createCurrent(P_ZQ, P_H, P_GPlus, P_WQMinus, 3570, check)
    call createCurrent(P_WQPlus, P_ghZ, P_Z, P_ghWpAnti, 2361, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_G0, 2329, check)
    call createCurrent(P_WQMinus, P_ghZAnti, P_WPlus, P_ghA, 2046, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, P_GQ0, 327, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WQMinus, 3152, check)
    call createCurrent(P_H, P_dAnti, P_d, 823, check)
    call createCurrent(P_AQ, P_A, P_GPlus, P_GQMinus, 2213, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ZQ, 812, check)
    call createCurrent(P_WQPlus, P_uAnti, P_d, 3170, check)
    call createCurrent(P_WQMinus, P_nu_e, P_ePlus, 3740, check)
    call createCurrent(P_G0, P_ghZ, P_GMinus, P_ghWmAnti, 1665, check)
    call createCurrent(P_ePlus, P_eMinus, P_HQ, 3604, check)
    call createCurrent(P_WPlus, P_Z, P_ghWm, P_ghAAnti, 1298, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghA, P_WPlus, 3475, check)
    call createCurrent(P_G0, P_ghZ, P_ghZAnti, P_G0, 2062, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_H, P_GPlus, 154, check)
    call createCurrent(P_GQ0, P_dAnti, P_d, 2093, check)
    call createCurrent(P_H, P_ghZ, P_GMinus, P_ghWmAnti, 446, check)
    call createCurrent(P_ghWm, P_WMinus, P_ghWmAnti, P_WQPlus, 3506, check)
    call createCurrent(P_A, P_WMinus, P_ghWp, P_ghAAnti, 2677, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghA, P_GPlus, 3593, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghWpAnti, P_ghWp, 3578, check)
    call createCurrent(P_ghZAnti, P_H, P_ghWp, P_GQMinus, 2133, check)
    call createCurrent(P_ZQ, P_ghAAnti, P_WMinus, P_ghWp, 862, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 3916, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_WPlus, P_WQMinus, 2178, check)
    call createCurrent(P_AQ, P_WPlus, P_GQMinus, 746, check)
    call createCurrent(P_WMinus, P_ghWpAnti, P_WPlus, P_ghWp, 1001, check)
    call createCurrent(P_GQPlus, P_A, P_GMinus, P_AQ, 3307, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghWmAnti, P_ghWm, 1007, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 415, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 3993, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghZ, P_ghAAnti, 3099, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghWm, P_ghWmAnti, 975, check)
    call createCurrent(P_H, P_c, P_cAnti, 1754, check)
    call createCurrent(P_d, P_dAnti, P_GQ0, 3292, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghZAnti, P_ghZ, 773, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghA, P_GQMinus, 3122, check)
    call createCurrent(P_WPlus, P_ghWmAnti, P_ghWm, P_WMinus, 1302, check)
    call createCurrent(P_uAnti, P_u, P_A, 3586, check)
    call createCurrent(P_H, P_ghWp, P_H, P_ghWpAnti, 47, check)
    call createCurrent(P_WQPlus, P_tauMinus, P_nu_tauAnti, 2061, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_GQ0, 1019, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 1242, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghZ, P_ghWpAnti, 3286, check)
    call createCurrent(P_bAnti, P_b, P_H, 2856, check)
    call createCurrent(P_d, P_Z, P_dAnti, 955, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 1354, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 486, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, P_Z, 3426, check)
    call createCurrent(P_A, P_ghZ, P_WPlus, P_ghWpAnti, 2294, check)
    call createCurrent(P_WQMinus, P_H, P_WPlus, P_GQ0, 772, check)
    call createCurrent(P_t, P_A, P_tAnti, 197, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_GPlus, P_GQMinus, 283, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 1186, check)
    call createCurrent(P_ghWp, P_G0, P_GMinus, P_ghZAnti, 914, check)
    call createCurrent(P_G0, P_Z, P_H, 1884, check)
    call createCurrent(P_HQ, P_GMinus, P_H, P_GQPlus, 2867, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, P_ZQ, 73, check)
    call createCurrent(P_HQ, P_GMinus, P_WPlus, P_ZQ, 522, check)
    call createCurrent(P_WQPlus, P_WMinus, P_GQ0, 3027, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 1797, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 3272, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, P_A, 2928, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 2100, check)
    call createCurrent(P_GQMinus, P_GPlus, P_GPlus, P_GQMinus, 2729, check)
    call createCurrent(P_ghWm, P_H, P_ghZAnti, P_GPlus, 3649, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, P_A, 3347, check)
    call createCurrent(P_H, P_Z, P_A, P_H, 3833, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_A, P_WQMinus, 3424, check)
    call createCurrent(P_HQ, P_ghZAnti, P_GMinus, P_ghWp, 2474, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghA, P_GMinus, 777, check)
    call createCurrent(P_WQPlus, P_Z, P_GMinus, P_GQ0, 1191, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GMinus, P_GPlus, 3425, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 1373, check)
    call createCurrent(P_GQ0, P_Z, P_GPlus, P_WQMinus, 921, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 3553, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_G0, P_ghWm, 1592, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 287, check)
    call createCurrent(P_WPlus, P_Z, P_ghAAnti, P_ghWm, 3189, check)
    call createCurrent(P_ghZAnti, P_A, P_ghWm, P_WPlus, 3088, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghWm, P_ghWmAnti, 43, check)
    call createCurrent(P_HQ, P_tauPlus, P_tauMinus, 3375, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghZ, P_ghZAnti, 2707, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 2083, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 3538, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, P_GQ0, 1813, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghWp, P_G0, 3062, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 3873, check)
    call createCurrent(P_HQ, P_ghAAnti, P_GPlus, P_ghWm, 692, check)
    call createCurrent(P_GQMinus, P_H, P_ghZ, P_ghWmAnti, 2563, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghWmAnti, P_ghWm, 518, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_H, P_GPlus, 1560, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 2964, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 1310, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 950, check)
    call createCurrent(P_ghWp, P_H, P_H, P_ghWpAnti, 3812, check)
    call createCurrent(P_GQMinus, P_ghZ, P_G0, P_ghWmAnti, 2501, check)
    call createCurrent(P_H, P_ghWpAnti, P_GPlus, P_ghA, 2783, check)
    call createCurrent(P_HQ, P_ghZ, P_ghZAnti, 3258, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_A, P_WPlus, 2996, check)
    call createCurrent(P_WQMinus, P_A, P_ghWmAnti, P_ghA, 2980, check)
    call createCurrent(P_ZQ, P_ghWm, P_Z, P_ghWmAnti, 1998, check)
    call createCurrent(P_ZQ, P_H, P_Z, P_HQ, 3440, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, P_ZQ, 1750, check)
    call createCurrent(P_GQPlus, P_b, P_tAnti, 2443, check)
    call createCurrent(P_GQPlus, P_WMinus, P_AQ, 2012, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_WPlus, P_WQMinus, 493, check)
    call createCurrent(P_dAnti, P_G0, P_d, 2534, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, P_Z, 1482, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 550, check)
    call createCurrent(P_A, P_A, 3851, check)
    call createCurrent(P_HQ, P_H, P_WMinus, P_WQPlus, 498, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 3355, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_H, P_GMinus, 1722, check)
    call createCurrent(P_ghWm, P_WPlus, P_A, P_ghAAnti, 3547, check)
    call createCurrent(P_H, P_GMinus, P_ghZAnti, P_ghWp, 2792, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 2503, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_G0, P_ghWp, 315, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 228, check)
    call createCurrent(P_ghZ, P_A, P_ghWmAnti, P_WMinus, 428, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_H, P_GMinus, 1576, check)
    call createCurrent(P_GQMinus, P_G0, P_WPlus, P_AQ, 705, check)
    call createCurrent(P_GQPlus, P_WPlus, P_GMinus, P_WQMinus, 369, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, P_AQ, 2021, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 1963, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 974, check)
    call createCurrent(P_t, P_tAnti, 3907, check)
    call createCurrent(P_ghAAnti, P_Z, P_WMinus, P_ghWp, 2751, check)
    call createCurrent(P_cAnti, P_c, P_H, 672, check)
    call createCurrent(P_HQ, P_WMinus, P_H, P_WQPlus, 2868, check)
    call createCurrent(P_ghWp, P_WMinus, P_WPlus, P_ghWpAnti, 2940, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 1736, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_G0, 796, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 3034, check)
    call createCurrent(P_HQ, P_ghZ, P_H, P_ghZAnti, 1966, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WQMinus, 600, check)
    call createCurrent(P_HQ, P_ghWp, P_G0, P_ghWpAnti, 1065, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 898, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_WPlus, P_ghZ, 1189, check)
    call createCurrent(P_GQ0, P_A, P_WMinus, P_GQPlus, 2108, check)
    call createCurrent(P_HQ, P_Z, P_GQ0, 821, check)
    call createCurrent(P_AQ, P_WMinus, P_WPlus, P_AQ, 1032, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghZ, P_ghZAnti, 683, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghA, P_WQPlus, 3503, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_Z, P_ghWp, 3182, check)
    call createCurrent(P_ghA, P_ghZAnti, P_GMinus, P_GPlus, 2994, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 2124, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 945, check)
    call createCurrent(P_b, P_bAnti, P_ZQ, 910, check)
    call createCurrent(P_HQ, P_sAnti, P_s, 3775, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, P_Z, 1307, check)
    call createCurrent(P_GQMinus, P_GPlus, P_H, P_GQ0, 136, check)
    call createCurrent(P_u, P_uAnti, P_A, 3728, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_A, P_ghWp, 134, check)
    call createCurrent(P_HQ, P_WMinus, P_Z, P_GQPlus, 1823, check)
    call createCurrent(P_c, P_cAnti, P_ZQ, 1913, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 1376, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghA, P_GQMinus, 1385, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 654, check)
    call createCurrent(P_Z, P_ghWpAnti, P_WPlus, P_ghA, 1495, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_HQ, 1066, check)
    call createCurrent(P_ghZ, P_GMinus, P_H, P_ghWmAnti, 3733, check)
    call createCurrent(P_GQ0, P_GPlus, P_GMinus, P_GQ0, 1464, check)
    call createCurrent(P_GQ0, P_G0, P_ghWmAnti, P_ghWm, 308, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 1362, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 3925, check)
    call createCurrent(P_GMinus, P_ghWm, P_GPlus, P_ghWmAnti, 2953, check)
    call createCurrent(P_ghA, P_WMinus, P_Z, P_ghWmAnti, 678, check)
    call createCurrent(P_AQ, P_WPlus, P_ghWm, P_ghZAnti, 2256, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, P_gQ, 3519, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 1394, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_GMinus, P_HQ, 937, check)
    call createCurrent(P_G0, P_ghWpAnti, P_GPlus, P_ghZ, 1192, check)
    call createCurrent(P_GPlus, P_ghZ, P_G0, P_ghWpAnti, 2725, check)
    call createCurrent(P_GMinus, P_G0, P_ghAAnti, P_ghWp, 2784, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghA, P_WQMinus, 2314, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 114, check)
    call createCurrent(P_HQ, P_G0, P_H, P_GQ0, 2962, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghWm, 2537, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_H, P_ghA, 2536, check)
    call createCurrent(P_WPlus, P_ghWm, P_A, P_ghZAnti, 1995, check)
    call createCurrent(P_ghZ, P_WMinus, P_WPlus, P_ghZAnti, 2971, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, P_H, 900, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Z, P_WQMinus, 3161, check)
    call createCurrent(P_WQPlus, P_b, P_tAnti, 1540, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, P_H, 905, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghAAnti, P_ghZ, 3573, check)
    call createCurrent(P_GQMinus, P_GMinus, P_GPlus, P_GQPlus, 1292, check)
    call createCurrent(P_GQ0, P_G0, P_Z, P_ZQ, 2535, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_WMinus, P_ghZ, 2409, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghZ, P_GMinus, 1313, check)
    call createCurrent(P_HQ, P_GMinus, P_WQPlus, 656, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_A, P_ghWm, 1793, check)
    call createCurrent(P_GQ0, P_GMinus, P_H, P_GQPlus, 339, check)
    call createCurrent(P_tAnti, P_t, P_HQ, 1318, check)
  end subroutine fill_current_2
end module currents_info2
